create table MONITORA_ESTOQUE(
    TABELA VARCHAR(20),  -- ITENSENTRADAS / ITENSSAIDAS
    TIPO VARCHAR(10),   -- INTERNO / EXTERNO
    ACAO CHAR(1),       -- (I)nsert  /  (U)pdate  /  (D)elete
    LANCAMENTO INTEGER,
    CODPRODUTO INTEGER,
    CODUNIDADE INTEGER,
    ESTANTERIOR NUMERIC(10,2),
    QUANTIDADE NUMERIC(10,2),
    DATA DATE,
    CODOUTRAUNIDADE INTEGER,   -- se for transf
    USUARIO VARCHAR(50),
    DATALANC TIMESTAMP);

SET TERM ^ ;
ALTER TRIGGER TRENTESTOQUEITEM
ACTIVE BEFORE INSERT OR UPDATE POSITION 0
as
declare variable qtd numeric(18,4);
declare variable vlr numeric(18,4);
declare variable TotalAnt numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable QtdTotAnt numeric(18,4);
declare variable UnitAtual numeric(18,8);
declare variable TotalAtual numeric(18,4);
declare variable UnidOrigem integer;
declare variable xTipo varchar(10);
declare variable xData date;
declare variable xDataHora timestamp;
declare variable xAcao varchar(1);
begin
  if ((old.quantidade <> new.quantidade) or (old.quantidade is null)) then  -- se mudou outros dados q nao a quantidade nao precisa entrar aqui
  begin
      /* Deve ser before p/ inserir a Unid e Prod na tabela Estoques ANTES de
      inserir nesta, evitando assim erro de foreign key */
       if (old.quantidade is null) then
       begin
          qtd = new.quantidade;
          vlr = new.ValorTotal;
          xAcao = 'I';
       end
       else begin
          qtd = new.quantidade - old.quantidade;
          vlr = new.ValorTotal - old.ValorTotal;
          xAcao = 'U';
       end
    
       select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAnt is null) then
       begin
          insert into Estoques (CodUnidade, CodProduto, Estoque) values (new.CodUnidade, new.CodProduto, :qtd);
       end
       else begin
          update Estoques set Estoque=Estoque+:qtd where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
       end
    
       select CodUnidadeOrigem, Tipo, Data from ENTRADAS where Lancamento=new.Lancamento into :UnidOrigem, :xTipo, xData;
       if ((:UnidOrigem is null) and (old.quantidade is null)) then   -- old.quantidade is null para entrar aqui somente nas inclusoes
       begin /* a partir daqui calcular o custo, caso no seja transf interna */
          TotalAnt = 0;
          QtdTotAnt = 0;
          UnitAtual = 0;
          TotalAtual = 0;
          select QtdTotal, ValorAcumulado from Produtos where Codigo=new.CodProduto
             into :QtdTotAnt, :TotalAnt;
          if ((:QtdTotAnt < 0) or (:TotalAnt < 0))then
          begin
             UnitAtual = new.ValorUnitario;
          end
          else begin
             TotalAtual = :TotalAnt + :vlr;
             UnitAtual = :TotalAtual / (:QtdTotAnt + :qtd);
          end
          update produtos set QtdTotal=QtdTotal+:qtd, CustoMedio=:UnitAtual, UltimoCusto=new.ValorUnitario
                 where Codigo=new.CodProduto;  /* V.Total  calc automatico */
       end
  end
  /* monitoramento de estoque - sao valerio do sul */
  if (:QtdAnt is null) then
  begin
     QtdAnt = 0;  -- pra gravar no monitoramento
  end
  select current_timestamp from rdb$database into :xDataHora;
  INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
     VALUES('ItensEntradas',:xTipo,:xAcao,new.Lancamento,new.CodProduto,new.CodUnidade,:QtdAnt,:qtd,:xData,:UnidOrigem,'',:xDataHora);

end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TREXCENTESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable QtdAnt numeric(18,4);
declare variable UnidOrigem integer;
declare variable xTipo varchar(10);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade*(-1) );
   end
   else begin
      update Estoques set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   select CodUnidadeOrigem, Data, Tipo from ENTRADAS where Lancamento=old.Lancamento into :UnidOrigem, :xData, :xTipo;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      update produtos set QtdTotal=QtdTotal-old.Quantidade where Codigo=old.CodProduto;  /* V.Total  calc automatico */
   end

  if (:QtdAnt is null) then
  begin
     QtdAnt = 0;  -- pra gravar no monitoramento
  end
  select current_timestamp from rdb$database into :xDataHora;
  INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
     VALUES('ItensEntradas',:xTipo,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidOrigem,'',:xDataHora);
end
^
SET TERM ; ^



SET TERM ^ ;
ALTER TRIGGER TREXCSAIESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(20);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida, xUsuario, xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end

     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

     /* Estornar Baixa do Lote */
     BaixouLote = old.Quantidade;
     for
        select Lote, QtdSaida from Lotes
        where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto
              and :BaixouLote > 0 and QtdSaida > 0
        order by DtValidade descending
        into :Lote, :SaidaLote
     do begin
        if (:BaixouLote <= :SaidaLote) then
        begin
           if (BaixouLote=0) then
           begin
              Exit;
           end
           update LOTES set QtdSaida = QtdSaida - :BaixouLote where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = 0;
        end
        else begin
           if (BaixouLote=0) then
           begin
              Exit;
           end
           update LOTES set QtdSaida = 0 where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = BaixouLote - :SaidaLote;
        end
     end

     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);
   end
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TRSAIESTOQUEITEM
ACTIVE BEFORE INSERT POSITION 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(20);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida, :xUsuario, :xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;
     update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
     /* Gravar Baixa do Lote */
     BaixarLote = new.Quantidade;
     for
        select Lote, (QtdEntrada-QtdSaida) from Lotes
        where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
              and :BaixarLote > 0 and ((QtdEntrada-QtdSaida) > 0)
        order by DtValidade
        into :Lote, :DispoLote
     do begin
        if (:BaixarLote <= 0) then
        begin
          exit;
        end
        if (:BaixarLote <= :DispoLote) then
        begin
           update LOTES set QtdSaida = QtdSaida + :BaixarLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = 0;
        end
        else begin
           update LOTES set QtdSaida = QtdSaida + :DispoLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = BaixarLote - :DispoLote;
        end
     end
     /* monitoramento de estoque - sao valerio do sul */
     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'I',new.Lancamento,new.CodProduto,new.CodUnidade,:QtdAnt,new.Quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);
   end
end
^
SET TERM ; ^


