
create domain dinheiro numeric(18,4) default 0;

create table HD (
    Codigo  varchar(20));

create table PREFEITURA(
    Nome varchar(40),
    Cgc varchar(18),
    Cpf varchar(14),
    DataInstalacao timestamp,
    Tipo varchar(1) ,
    Prefeito varchar(40),
    VicePrefeito varchar(40),
    Fazenda varchar(40),
    Administracao varchar(40),
    Agricultura varchar(40),
    Educacao varchar(40),
    Saude varchar(40),
    Assistencia varchar(40),
    Obras varchar(40),
    Contador varchar(40),
    Compras varchar(40),
    Tesoureiro varchar(40),
    Informatica varchar(40),
    Contato varchar(40),
    Endereco varchar(30),
    Email varchar(30),
    InscricaoEstadual varchar(15),
    Bairro varchar(20),
    Cidade varchar(30),
    Uf varchar(2) ,
    Cep varchar(9) ,
    Fone1 varchar(15),
    Fone2 varchar(15),
    Fax varchar(15),
    Datas timestamp,
    Ps varchar(1) ,
    DividaAtiva varchar(5) ,
    Iptu varchar(5));

create table USUARIOS(
    Usuario                     varchar(15),
    Senha                       varchar(15),
    Cadastros                   varchar(5),
    Grupos                      varchar(5),
    Materiais                   varchar(5),
    Funcionarios                varchar(5),
    Secretarias                 varchar(5),
    Setores                     varchar(5),
    Destinos                    varchar(5),
    Finalidades                 varchar(5),
    Atividades                  varchar(5),
    Fornecedores                varchar(5),
    Prefeitura                  varchar(5),
    Lancamentos                 varchar(5),
    CartaConvite                varchar(5),
    TomadaDepreco               varchar(5),
    CompraSimples               varchar(5),
    EntradadeMaterial           varchar(5),
    SaidadeMaterial             varchar(5),
    PrestacaoPnae               varchar(5),
    Relatorios                  varchar(5),
    Estoque                     varchar(5),
    Entradas                    varchar(5),
    Saidas                      varchar(5),
    Utilitarios                 varchar(5),
    Backup                      varchar(5),
    Contratos                   varchar(5),
    TabelaDiversos              varchar(5),
    Integrar                    varchar(5),
    Usuarios                    varchar(5),
    Recrusos                    varchar(5),
    AtualizaBanco               varchar(5),
    Veiculos                    varchar(5),
    Natureza                    varchar(5),
    Cadastros2                  varchar(5),
    Bens                        varchar(5),
    Receitas                    varchar(5),
    Contas                      varchar(5),
    Convenios                   varchar(5),
    ReceitaseDespesas           varchar(5),
    Receitas2                   varchar(5),
    Despesas                    varchar(5),
    UnidadesOrcamentarias       varchar(5),
    Bancos                      varchar(5),
    CaracterizacaodeLicitacoes  varchar(5),
    DotacoesOrcamentarias       varchar(5),
    Convenios2                  varchar(5),
    SolicitacaodeRecuross       varchar(5),
    ProcessoLicitatorio         varchar(5),
    Convenios3                  varchar(5),
    Bens2                       varchar(5),
    Etiquetas                   varchar(5),
    SecretariaComAssinatura     varchar(5),
    SetorComAssinatura          varchar(5),
    Configuracoes               varchar(5),
    CompraseLicitacoes          varchar(5),
    AlterarNumeroLicitacoes     varchar(5),
    MovimentacaoResumida        varchar(5));

create table PROFISSIONAIS(
    Codigo integer not null,
    Nome varchar(40) not null,
    Setor varchar(40),
    Cargo varchar(50),
    Obs varchar(50));
alter table PROFISSIONAIS add constraint PK_PROFISSIONAIS primary key (CODIGO);

create table UNIDADES(
    Codigo integer not null,
    Nome varchar(60) not null,
    CodProfResponsavel integer,
    Tipo integer, 
    Descricao varchar(50),
    Endereco varchar(50),
    NroUltFaaMed varchar(9),
    NroUltFaaOdon varchar(9),
    NroUltFaaDiv varchar(9),
    Obs varchar(50));
alter table UNIDADES add constraint PK_UNIDADES primary key (CODIGO);
alter table UNIDADES add constraint FK_UNIDADES_CODPROFRESPONSAVEL
    foreign key (CodProfResponsavel) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;

create table TABDIV(
    MascaraEstoque      varchar(25),
    VersaoBanco         integer,
    VersaoExe           integer,
    CodUnidadeSaudeAtual integer);
alter table TABDIV add constraint FK_TABDIV_CODUNIDADEATUAL
    foreign key (CODUNIDADESAUDEATUAL) references UNIDADES(Codigo)
    on delete set null on update cascade;

create table DISTRITOS(
    Codigo integer not null,
    Nome varchar(40) not null);
alter table DISTRITOS add constraint PK_DISTRITOS primary key (CODIGO);

create table BAIRROS(
    Codigo integer not null,
    Nome varchar(40) not null);
alter table BAIRROS add constraint PK_BAIRROS primary key (CODIGO);

create table GRAUSINSTRUCAO(
    Codigo integer not null,
    Descricao varchar(40) not null);
alter table GRAUSINSTRUCAO add constraint PK_GRAUSINSTRUCAO primary key (CODIGO);

create table FORNECEDORES(
    Codigo integer not null,
    RazaoSocial varchar(40) not null,
    Tipo varchar(10),
    NomeFantasia varchar(40),
    Endereco varchar(40),
    Cidade varchar(40),
    UF varchar(2),
    CEP varchar(9),
    Contato varchar(40),
    Fone varchar(25),
    Fax varchar(25),
    CNPJ varchar(18),
    CPF varchar(14),
    IE varchar(15),
    CRM varchar(14),
    Obs varchar(50));
alter table FORNECEDORES add constraint PK_FORNECEDORES primary key(Codigo);

create table PESSOAS(
    Codigo integer not null, 
    OutroCod varchar(20),
    DtCadastro date, 
    Nome varchar(40) not null,
    CodDistrito integer,
    CodBairro integer,
    Endereco varchar(40),
    CodConjuge integer,
    CodTitular integer,
    Parentesco varchar(20),
    DtNascimento date,
    Sexo varchar(9),
    Raca varchar(10),
    Naturalidade varchar(40),
    UFNaturalidade varchar(2),
    Fone varchar(25),
    EstadoCivil varchar(10),
    PISPASEP varchar(11),
    CPF varchar(14),
    Certidao varchar(20),
    Cartorio varchar(40),
    DtCertidao date,
    Identidade varchar(15),
    UFIdentidade varchar(2),
    BlocoProdutor varchar(11),
    CTPS varchar(7),
    UFCTPS varchar(2),
    TituloEleitoral varchar(20),
    ZonaEleitoral varchar(3),
    SecaoEleitoral varchar(4),
    NomePai varchar(40),
    NomeMae varchar(40),
    GrauInstrucao integer,
    Estudante varchar(3),
    Profissao varchar(40),
    LocalProfissao varchar(40),
    Renda dinheiro,
    Aposentadoria varchar(10),
    ConvenioSaude varchar(10),
    ResideComFamilia varchar(3),
    Obs varchar(100));
alter table PESSOAS add constraint PK_PESSOAS primary key(Codigo);
create index U_PESSOAS_NOME on PESSOAS (NOME);
/*alter table PESSOAS add constraint U_PESSOAS_NOME unique(Nome);*/
alter table PESSOAS add constraint FK_PESSOAS_CODDISTRITO
    foreign key(CodDistrito) references DISTRITOS(Codigo)
    on delete set null on update cascade;
alter table PESSOAS add constraint FK_PESSOAS_CODBAIRRO
    foreign key(CodBairro) references BAIRROS(Codigo)
    on delete set null on update cascade;
alter table PESSOAS add constraint FK_PESSOAS_CONJUGE
    foreign key(CodConjuge) references PESSOAS(Codigo)
    on delete set null on update cascade;
alter table PESSOAS add constraint FK_PESSOAS_TITULAR
    foreign key(CodTitular) references PESSOAS(Codigo)
    on delete set null on update cascade;
alter table PESSOAS add constraint FK_PESSOAS_GRAUINSTRUCAO
    foreign key(GrauInstrucao) references GRAUSINSTRUCAO(Codigo)
    on delete set null on update cascade;

create table FAMILIAS(
    Codigo integer not null,
    QtdPessoas integer,
    SegmentoSUS varchar(2),
    AreaSUS varchar(3),
    MicroAreaSUS varchar(2),
    FamiliaSUS varchar(3),
    QtdTrabalhando integer,
    TipoHabitacao varchar(20),
    CondicoesHabitacao varchar(20),
    TempoResidencia varchar(15),
    CasaPropria varchar(10),
    NumPecas integer,
    AreaCasa numeric(10,2),
    AbastecimentoAgua varchar(20),
    TratamentoAgua varchar(20),
    PocoNegro varchar(3),
    LuzEletrica varchar(3),
    DestinoFezes varchar(20),
    DestinoLixo varchar(20),
    TempoLocalidade varchar(20),
    Procedencia varchar(40),
    AreaTerreno numeric(10,2),
    AreaConstruida numeric(10,2),
    Quadra varchar(4),
    Lote varchar(4),
    FrenteOuFundos varchar(10),
    Cobertura varchar(15),
    Piso varchar(20),
    Sanitario varchar(10),
    LogradouroFrontal varchar(10),
    OutrosTerrenos integer,
    Obs varchar(50));
alter table FAMILIAS add constraint PK_FAMILIAS primary key(Codigo);
alter table FAMILIAS add constraint FK_FAMILIAS_CODIGO
    foreign key(Codigo) references PESSOAS(Codigo)
    on delete no action on update cascade;

create table PATRIMONIOS(
    Codigo integer not null,
    Nome varchar(40) not null,
    Un varchar(10));
alter table PATRIMONIOS add constraint PK_PATRIMONIOS primary key(Codigo);

create table PATRIMONIOFAMILIA(
    CodFamilia integer not null,
    CodPatrimonio integer not null,
    Quantidade numeric(15,2));
alter table PATRIMONIOFAMILIA add constraint PK_PATRIMONIOFAMILIA primary key(CodFamilia,CodPatrimonio);
alter table PATRIMONIOFAMILIA add constraint FK_PATRIMONIOFAMILIA_CODFAMILIA
    foreign key(CodFamilia) references FAMILIAS(Codigo)
    on delete cascade on update cascade;
alter table PATRIMONIOFAMILIA add constraint FK_PATRIMONIOFAMILIA_CODPATRIMO
    foreign key(CodPatrimonio) references PATRIMONIOS(Codigo)
    on delete cascade on update cascade;

create table GRUPOSDERISCO(
    Sigla varchar(5) not null,
    Nome varchar(40) not null,
    CodProfResponsavel integer,
    Obs varchar(100));
alter table GRUPOSDERISCO add constraint PK_GRUPOSDERISCO primary key(Sigla);
alter table GRUPOSDERISCO add constraint FK_GRUPOSDERISCO_CODRESP
    foreign key (CodProfResponsavel) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;

create table PARTICIPANTESGRUPOS(
    SiglaGrupo varchar(5) not null,
    CodPessoa integer not null);
alter table PARTICIPANTESGRUPOS add constraint PK_PARTICIPANTESGRUPOS primary key(SiglaGrupo,CodPessoa);
alter table PARTICIPANTESGRUPOS add constraint FK_PARTGRUPOS_SIGLAGRUPO
    foreign key (SiglaGrupo) references GRUPOSDERISCO(Sigla)
    on delete cascade on update cascade;
alter table PARTICIPANTESGRUPOS add constraint FK_PARTGRUPOS_CODPESSOA
    foreign key (CodPessoa) references PESSOAS(Codigo)
    on delete cascade on update cascade;

create generator GCodBairros;
set generator GCodBairros to 0;
create trigger TrCodBairros for Bairros
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodBairros,1);
  while (exists (select B.codigo from Bairros B
                 where B.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodBairros,1);
  end
end;

create generator GCodDistritos;
set generator GCodDistritos to 0;
create trigger TrCodDistritos for Distritos
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodDistritos,1);
  while (exists (select codigo from Distritos
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodDistritos,1);
  end
end;

create generator GCodFornecedores;
set generator GCodFornecedores to 0;
create trigger TrCodFornecedores for Fornecedores
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodFornecedores,1);
  while (exists (select codigo from Fornecedores
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodFornecedores,1);
  end
end;

create generator GCodGrausInstrucao;
set generator GCodGrausInstrucao to 0;
create trigger TrCodGrausInstrucao for GrausInstrucao
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodGrausInstrucao,1);
  while (exists (select codigo from GrausInstrucao
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodGrausInstrucao,1);
  end
end;

create generator GCodProfissionais;
set generator GCodProfissionais to 0;
create trigger TrCodProfissionais for Profissionais
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodProfissionais,1);
  while (exists (select codigo from Profissionais
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodProfissionais,1);
  end
end;

create generator GCodUnidades;
set generator GCodUnidades to 0;
create trigger TrCodUnidades for Unidades
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodUnidades,1);
  while (exists (select codigo from Unidades
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodUnidades,1);
  end
end;

create generator GCodPatrimonios;
set generator GCodPatrimonios to 0;
create trigger TrCodPatrimonios for Patrimonios
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodPatrimonios,1);
  while (exists (select codigo from Patrimonios
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodPatrimonios,1);
  end
end;

create generator GCodPessoas;
set generator GCodPessoas to 0;
create trigger TrCodPessoas for Pessoas
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodPessoas,1);
  while (exists (select codigo from Pessoas
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodPessoas,1);
  end
end;

create table SUSTIPO(
    Codigo integer not null,
    Descricao varchar(50) not null,
    ContarFAA char(3));
alter table SUSTIPO add constraint PK_SUSTIPO primary key(Codigo);

create table SUSGRUPO(
    Codigo integer not null,
    Descricao varchar(50) not null);
alter table SUSGRUPO add constraint PK_SUSGRUPO primary key(Codigo);

create table SUSFXETARIA(
    Codigo integer not null,
    Descricao varchar(50) not null,
    Inicial integer,
    Final integer);
alter table SUSFXETARIA add constraint PK_SUSFXETARIA primary key(Codigo);

create table SUSATIVIDADE(
    Codigo integer not null,
    Descricao varchar(50) not null);
alter table SUSATIVIDADE add constraint PK_SUSATIVIDADE primary key(Codigo);

create table SUSPROCED(
    Codigo integer not null,
    Descricao varchar(254) not null,
    Pab varchar(10),
    ContarFAA char(3),
    Valor dinheiro,
    Categoria char(2),
    Perm_ativ varchar(200),
    Perm_tipo varchar(200),
    Perm_grup varchar(200),
    Perm_etar varchar(200));
alter table SUSPROCED add constraint PK_SUSPROCED primary key(Codigo);

create table CID(
    Codigo varchar(8) not null,
    Descricao varchar(254) not null);
alter table CID add constraint PK_CID primary key(Codigo);

create table FAA(
    NumFAA varchar(11) not null,
    CodUnidade integer not null,
    CodPessoa integer not null,
    EspecieAtend varchar(10),  /* Medico, Odonto, Outros */
    Data date,
    Hora time,
    Motivo varchar(100),
    TipoConsulta char(1),
    CodTipo integer,
    CodGrupo integer,
    CodProfissional integer,  /* apenas p/ contador diario */
    CodFxEtaria integer,
    NomePessoa varchar(50),  /* p/ quando for pacientes diversos */
    CodBairro integer,
    Endereco varchar(60),  /* caso seja paciente diversos */
    Sexo varchar(9),
    Idade integer,
    IdadeOdonto char(2),
    Obs varchar(254));
alter table FAA add constraint PK_FAA primary key(NumFAA);
alter table FAA add constraint FK_FAA_UNIDADESAUDE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;
alter table FAA add constraint FK_FAA_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table FAA add constraint FK_FAA_SUSTIPO
    foreign key(CodTipo) references SUSTIPO(Codigo)
    on delete no action on update cascade;
alter table FAA add constraint FK_FAA_SUSGRUPO
    foreign key(CodGrupo) references SUSGRUPO(Codigo)
    on delete no action on update cascade;
alter table FAA add constraint FK_FAA_SUSFXETARIA
    foreign key(CodFxEtaria) references SUSFXETARIA(Codigo)
    on delete no action on update cascade;
alter table FAA add constraint FK_FAA_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete no action on update cascade;
create generator GNumFAA;
set generator GNumFAA to 0;

create table FAAPROCED(
    Id_FAAProced integer not null,
    NumFAA varchar(11) not null,
    CodProcedimento integer,
    CodAtividade integer,
    CodProfissional integer,
    Quantidade integer default 1,
    Data date);  /* curativos podem ter varias datas p/ uma s FAA */
alter table FAAPROCED add constraint PK_FAAPROCED primary key(Id_FAAProced);
alter table FAAPROCED add constraint FK_FAAPROCED_FAA
    foreign key(NumFAA) references FAA(NumFAA)
    on delete cascade on update cascade;
alter table FAAPROCED add constraint FK_FAAPROCED_SUSPROCED
    foreign key(CodProcedimento) references SUSPROCED(Codigo)
    on delete no action on update cascade;
alter table FAAPROCED add constraint FK_FAAPROCED_SUSATIVIDADE
    foreign key(CodAtividade) references SUSATIVIDADE(Codigo)
    on delete no action on update cascade;
alter table FAAPROCED add constraint FK_FAAPROCED_SUSPROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete no action on update cascade;
create generator GId_FAAProced;
set generator GId_FAAProced to 0;

create table FAACID(
    NumFAA varchar(11) not null,
    CodCID varchar(8) not null);
alter table FAACID add constraint PK_FAACID primary key(NumFAA, CodCID);
alter table FAACID add constraint FK_FAACID_FAA
    foreign key(NumFAA) references FAA(NumFAA)
    on delete cascade on update cascade;
alter table FAACID add constraint FK_FAACID_CID
    foreign key(CodCID) references CID(Codigo)
    on delete no action on update cascade;

create table TRIAGENS(
    Id_triagem integer not null,
    Data date,
    Pressao varchar(10),
    Peso numeric(10,3),
    Temperatura numeric(8,2),
    Altura numeric(5,2),
    NumFAA integer);
alter table TRIAGENS add constraint PK_TRIAGENS primary key(Id_triagem);
alter table TRIAGENS add constraint FK_TRIAGENS_FAA
    foreign key(NumFAA) references FAA(NumFAA)
    on delete cascade on update cascade;
create generator GId_Triagens;
set generator GId_Triagens to 0;

create trigger TrId_FAAProced for FAAProced
before insert as
begin
  if (new.Id_FAAProced is null)
    then new.Id_FAAProced = gen_id(GId_FAAProced,1);
  while (exists (select F.Id_FAAProced from FAAProced F
                 where F.Id_FAAProced = new.Id_FAAProced)) do
  begin
    new.Id_FAAProced = gen_id(GId_FAAProced,1);
  end
end;

create trigger TrGId_Triagens for Triagens
before insert as
begin
  if (new.Id_Triagem is null)
    then new.Id_Triagem = gen_id(GId_Triagens,1);
  while (exists (select T.Id_Triagem from Triagens T
                 where T.Id_triagem = new.Id_triagem)) do
  begin
    new.Id_triagem = gen_id(GId_Triagens,1);
  end
end;

create table CONVENIOS(
    Codigo integer not null,
    Descricao varchar(80) not null,
    ValorLimite dinheiro,
    Obs varchar(100));
alter table CONVENIOS add constraint PK_CONVENIOS primary key(Codigo);

create table TIPOAUXILIOS(
    Codigo integer not null,
    Descricao varchar(80) not null,
    ValorUnitario dinheiro,
    ValorLimite dinheiro,
    QuantLimite integer,
    ModeloAut integer,
    NumVias integer,
    Compactado char(3),
    Obs varchar(100));
alter table TIPOAUXILIOS add constraint PK_TIPOAUXILIOS primary key(Codigo);

create table ITENSAUXILIOS(
    CodTipoAuxilio integer not null,
    CodItem integer not null,
    Descricao varchar(80) not null,
    ValorUnitario dinheiro,
    ValorSUS dinheiro,
    ValorLimite dinheiro,
    QuantLimite integer,
    CodProcedimento integer,
    Obs varchar(100));
alter table ITENSAUXILIOS add constraint PK_ITENSAUXILIOS primary key(CodTipoAuxilio,CodItem);
alter table ITENSAUXILIOS add constraint FK_ITENSAUXILIOS_TIPOAUXILIO
    foreign key(CodTipoAuxilio) references TIPOAUXILIOS(Codigo)
    on delete cascade on update cascade;

create table VEICULOS(
    Codigo integer not null,
    Descricao varchar(50) not null,
    Placa varchar(10),
    Marca varchar(20),
    Setor varchar(30),
    Ano varchar(4),
    Chassi varchar(20),
    NumMotor varchar(20),
    Motorista varchar(40),
    Combustivel varchar(15));
alter table VEICULOS add constraint PK_VEICULOS primary key(Codigo);

create table SOLICITACOES(
    Requerimento integer not null,
    CodPessoa integer,
    CodProfissional integer,
    CodTipo integer,
    Data date,
    Historico varchar(254),
    CodVeiculo integer,
    KmHoras varchar(15),
    Valor dinheiro,
    Subsidio dinheiro,
    CodBairro integer,
    DataExecucao date,
    Cobrado char(3),
    ProgSafi integer,
    TransfSafi char(1));
alter table SOLICITACOES add constraint PK_SOLICITACOES primary key(Requerimento);
alter table SOLICITACOES add constraint FK_SOLICITACOES_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table SOLICITACOES add constraint FK_SOLICITACOES_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;
alter table SOLICITACOES add constraint FK_SOLICITACOES_TIPO
    foreign key(CodTipo) references TIPOAUXILIOS(Codigo)
    on delete no action on update cascade;
alter table SOLICITACOES add constraint FK_SOLICITACOES_VEICULO
    foreign key(CodVeiculo) references VEICULOS(Codigo)
    on delete set null on update cascade;
alter table SOLICITACOES add constraint FK_SOLICITACOES_BAIRRO
    foreign key(CodBairro) references BAIRROS(Codigo)
    on delete set null on update cascade;

create table LANAUXILIOS(
    Lancamento integer not null,
    CodPessoa integer not null,
    CodProfissional integer,
    CodTipoAuxilio integer,
    CodFornecedor integer,
    CodConta integer,
    Data date,
    Historico varchar(254),
    Valor dinheiro,
    Subsidio dinheiro,
    PercSubsidio numeric(6,2),
    Cobrado char(3),
    Obs varchar(254));
alter table LANAUXILIOS add constraint PK_LANAUXILIOS primary key(Lancamento);
alter table LANAUXILIOS add constraint FK_LANAUXILIOS_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table LANAUXILIOS add constraint FK_LANAUXILIOS_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;
alter table LANAUXILIOS add constraint FK_LANAUXILIOS_TIPOAUXILIO
    foreign key(CodTipoAuxilio) references TIPOAUXILIOS(Codigo)
    on delete no action on update cascade;
alter table LANAUXILIOS add constraint FK_LANAUXILIOS_FORNECEDOR
    foreign key(CodFornecedor) references FORNECEDORES(Codigo)
    on delete set null on update cascade;

create table LANITAUXILIOS(
    Lancamento integer not null,
    CodTipoAuxilio integer not null,
    CodItem integer not null,
    CodConvenio integer,
    Valor dinheiro,
    Obs varchar(254));
alter table LANITAUXILIOS add constraint PK_LANITAUXILIOS primary key(Lancamento,CodTipoAuxilio,CodItem);
alter table LANITAUXILIOS add constraint FK_LANITAUXILIOS_LANCAMENTO
    foreign key(Lancamento) references LANAUXILIOS(Lancamento)
    on delete cascade on update cascade;
alter table LANITAUXILIOS add constraint FK_LANITAUXILIOS_ITEMAUXILIO
    foreign key(CodTipoAuxilio,CodItem) references ITENSAUXILIOS(CodTipoAuxilio,CodItem)
    on delete no action on update cascade;
alter table LANITAUXILIOS add constraint FK_LANITAUXILIOS_CONVENIO
    foreign key(CodConvenio) references CONVENIOS(Codigo)
    on delete no action on update cascade;


create table DIARIAS(
    NumDiaria varchar(9) not null,
    CodProfissional integer not null,
    Destino varchar(50),
    Local varchar(50),
    Quantidade numeric(5,1),
    DataHoraPartida timestamp,
    DataHoraRetorno timestamp,
    Motivo varchar(50),
    MeioTransporte varchar(50),
    Obs varchar(100),
    Pernoite char(3),
    ValorTotal dinheiro);
alter table DIARIAS add constraint PK_DIARIAS primary key(NumDiaria);
alter table DIARIAS add constraint FK_DIARIAS_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete no action on update cascade;
create generator GNumDiaria;
set generator GNumDiaria to 0;

create table TRANSPORTES(
    Lancamento integer not null,
    CodVeiculo integer,
    CodProfissional integer,
    Data date,
    Motivo varchar(100),
    HoraSaida time,
    HoraChegada time,
    KmSaida integer,
    KmChegada integer,
    Obs varchar(100));
alter table TRANSPORTES add constraint PK_TRANSPORTES primary key(Lancamento);
alter table TRANSPORTES add constraint FK_TRANSPORTES_VEICULO
    foreign key(CodVeiculo) references VEICULOS(Codigo)
    on delete no action on update cascade;
alter table TRANSPORTES add constraint FK_TRANSPORTES_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete no action on update cascade;
create generator GLanTransporte;
set generator GLanTransporte to 0;

create table TRANSPESSOAS(
    Lancamento integer not null,
    NumPaciente integer not null,
    CodPessoa integer not null,
    NomePessoa varchar(50),   /* quando  pacientes diversos */
    CodFornecedor integer,
    Hora time,
    Motivo varchar(100),
    Obs varchar(100));
alter table TRANSPESSOAS add constraint PK_TRANSPESSOAS primary key(Lancamento,NumPaciente);
alter table TRANSPESSOAS add constraint FK_TRANSPESSOAS_TRANSPORTE
    foreign key(Lancamento) references TRANSPORTES(Lancamento)
    on delete cascade on update cascade;
alter table TRANSPESSOAS add constraint FK_TRANSPESSOAS_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table TRANSPESSOAS add constraint FK_TRANSPESSOAS_FORNECEDOR
    foreign key(CodFornecedor) references FORNECEDORES(Codigo)
    on delete no action on update cascade;

create table CONTAS(
    Codigo integer not null,
    Descricao varchar(80) not null,
    SaldoAtual dinheiro default 0,
    Obs varchar(50));
alter table CONTAS add constraint PK_CONTAS primary key (CODIGO);

create table MOVCONTAS(
    Lancamento integer not null,
    CodConta integer not null,
    Historico varchar(100),
    Data date,
    TipoMov varchar(10),
    Valor dinheiro,
    SaldoAtual dinheiro,  /* este cpo sera gravado s antes de emitir os relat - se gravasse em cada lanc, ao alterar um lcto teria q dar update em todos os posteriores e ficaria rechamando a trigger */
    LancEntradaEstoque integer, 
    LancAuxilio integer,
    LancDiaria integer);
alter table MOVCONTAS add constraint PK_MOVCONTAS primary key(Lancamento);
alter table MOVCONTAS add constraint FK_MOVCONTAS_CONTA
    foreign key(CodConta) references CONTAS
    on update cascade on delete no action;
alter table MOVCONTAS add constraint FK_MOVCONTAS_LANAUXILIOS
    foreign key(LancAuxilio) references LANAUXILIOS(Lancamento)
    on update cascade on delete cascade;

alter table LANAUXILIOS add constraint FK_LANAUXILIOS_CONTAS
    foreign key(CodConta) references CONTAS(Codigo)
    on delete set null on update cascade;

create generator GCodTipoAuxilios;
set generator GCodTipoAuxilios to 0;
create or alter trigger TrCodTipoAuxilios for TipoAuxilios
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodTipoAuxilios,1);
  while (exists (select T.codigo from TipoAuxilios T
                 where T.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodTipoAuxilios,1);
  end
end;

create generator GCodVeiculos;
set generator GCodVeiculos to 0;
create or alter trigger TrCodVeiculos for Veiculos
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodVeiculos,1);
  while (exists (select V.codigo from Veiculos V
                 where V.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodVeiculos,1);
  end
end;

create generator GCodConvenios;
set generator GCodConvenios to 0;
create or alter trigger TrCodConvenios for Convenios
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodConvenios,1);
  while (exists (select c.codigo from Convenios c
                 where c.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodConvenios,1);
  end
end;

create generator GReqSolicitacoes;
set generator GReqSolicitacoes to 0;
create or alter trigger TrReqSolicitacoes for Solicitacoes
before insert as
begin
  if (new.requerimento is null)
    then new.requerimento = gen_id(GReqSolicitacoes,1);
  while (exists (select S.Requerimento from Solicitacoes S
                 where S.Requerimento = new.Requerimento)) do
  begin
    new.Requerimento = gen_id(GReqSolicitacoes,1);
  end
end;

create generator GLanAuxilios;
set generator GLanAuxilios to 0;
create or alter trigger TrGLanAuxilios for LanAuxilios
before insert as
begin
  if (new.lancamento is null)
    then new.lancamento = gen_id(GLanAuxilios,1);
  while (exists (select L.Lancamento from LanAuxilios L
                 where L.Lancamento = new.Lancamento)) do
  begin
    new.Lancamento = gen_id(GLanAuxilios,1);
  end
end;

create table MODALIDADES(
    Codigo integer not null,
    Descricao varchar(40) not null);
alter table MODALIDADES add constraint PK_MODALIDADES primary key (CODIGO);

create table GRUPOSPRODUTOS(
    Codigo integer not null,
    Descricao varchar(40) not null);
alter table GRUPOSPRODUTOS add constraint PK_GRUPOSPRODUTOS primary key (CODIGO);

create table PRODUTOS(
    Codigo integer not null,
    Descricao varchar(60) not null,
    Un varchar(10),
    CodGrupo integer,
    QtdTotal numeric(18,4),
    CustoMedio numeric(18,8),   /*CHECK (CustoMedio >= 0)*/
    ValorAcumulado computed by (QtdTotal*CustoMedio),
    UltimoCusto dinheiro,
    EstoqueMinimo numeric(18,4),
    EstoqueMaximo numeric(18,4),
    ProgTerceiraIdade char(3),
    Obs varchar(100));
alter table PRODUTOS add constraint CK_CUSTOMEDIO check (CustoMedio >= 0);
alter table PRODUTOS add constraint CK_ULTIMOCUSTO check (UltimoCusto >= 0);
alter table PRODUTOS add constraint PK_PRODUTOS primary key(Codigo);
alter table PRODUTOS add constraint FK_PRODUTOS_CODGRUPO
    foreign key(CodGrupo) references GRUPOSPRODUTOS(Codigo)
    on delete set null on update cascade;

create table MEDICCONTROLADA(
    CodPessoa integer not null,
    CodProduto integer not null,
    DiaRetirada integer,
    DtUltRetirada date,
    DtInicio date,
    Quantidade integer default 0,
    QuantRetirada integer default 0,
    Mensalmente char(3));
alter table MEDICCONTROLADA add constraint PK_MEDICCONTROLADA primary key(CodPessoa,CodProduto);
alter table MEDICCONTROLADA add constraint FK_MEDICCONTROLADA_CODPESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete cascade on update cascade;
alter table MEDICCONTROLADA add constraint FK_MEDICCONTROLADA_CODPRODUTO
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete no action on update cascade;

create table ESTOQUES(
    CodUnidade integer not null,
    CodProduto integer not null,
    Estoque numeric(18,4) default 0);
alter table ESTOQUES add constraint PK_ESTOQUES primary key(CodUnidade,CodProduto);
alter table ESTOQUES add constraint FK_ESTOQUES_CODUNIDADE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;
alter table ESTOQUES add constraint FK_ESTOQUES_CODPRODUTO
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete cascade on update cascade;

create table ENTRADAS(
    Lancamento integer not null,
    Tipo varchar(10) not null,
    CodFornecedor integer,
    Documento varchar(10),
    Data date,
    Obs varchar(100),
    CodUnidadeOrigem integer);
alter table ENTRADAS add constraint PK_ENTRADAS primary key(Lancamento);
alter table ENTRADAS add constraint FK_ENTRADAS_FORNECEDOR
    foreign key(CodFornecedor) references FORNECEDORES(Codigo)
    on delete no action on update cascade;
alter table ENTRADAS add constraint FK_ENTRADAS_UNIDORIGEM
    foreign key(CodUnidadeOrigem) references UNIDADES(Codigo)
    on delete no action on update cascade;
create generator GLancEntradas;
set generator GLancEntradas to 0;

create table ITENSENTRADAS(
    Lancamento integer not null,
    CodProduto integer not null,
    CodUnidade integer,
    Quantidade numeric(18,4),
    ValorTotal dinheiro,
    ValorUnitario computed by (ValorTotal/Quantidade)/*,
    CodUnidadeOrigem integer*/);
alter table ITENSENTRADAS add constraint PK_ITENSENTRADAS primary key(Lancamento,CodProduto);
alter table ITENSENTRADAS add constraint FK_ITENTRADAS_ENTRADA
    foreign key(Lancamento) references ENTRADAS(Lancamento)
    on delete cascade on update cascade;
alter table ITENSENTRADAS add constraint FK_ITENTRADAS_UNIDADE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;

create table SAIDAS(
    Lancamento integer not null,
    Tipo varchar(10) not null,
    CodPessoa integer,
    CodProfissional integer,
    Data date,
    CodUnidadeDestino integer);
alter table SAIDAS add constraint PK_SAIDAS primary key(Lancamento);
alter table SAIDAS add constraint FK_SAIDAS_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table SAIDAS add constraint FK_SAIDAS_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;
alter table SAIDAS add constraint FK_SAIDAS_UNIDDESTINO
    foreign key(CodUnidadeDestino) references UNIDADES(Codigo)
    on delete no action on update cascade;
create generator GLancSaidas;
set generator GLancSaidas to 0;

create table ITENSSAIDAS(
    Lancamento integer not null,
    CodProduto integer not null,
    Quantidade numeric(18,4) not null,
    ValorTotal dinheiro,
    ValorUnitario computed by (ValorTotal/Quantidade),
    Obs varchar(100),
    CodUnidade integer  /*coloquei as Unid aqui e nao na tab SAIDAS devido a integridade c/ a tab Estoques*/
   /* CodUnidadeDestino integer*/);
alter table ITENSSAIDAS add constraint PK_ITENSSAIDAS primary key(Lancamento,CodProduto);
alter table ITENSSAIDAS add constraint FK_ITSAIDAS_SAIDA
    foreign key(Lancamento) references SAIDAS(Lancamento)
    on delete cascade on update cascade;

create table MEDICFALTANTES(
    Lancamento integer not null,
    CodPessoa integer,
    CodProfissional integer,
    Data date,
    CodUnidade integer,
    CodProduto integer,
    NomeProduto varchar(50),
    Quantidade numeric(18,4),
    ValorTotal dinheiro,
    ValorUnitario computed by (ValorTotal/Quantidade),
    Obs varchar(100));
alter table MEDICFALTANTES add constraint PK_MEDICFALTANTES primary key(Lancamento);
alter table MEDICFALTANTES add constraint FK_MEDICFALTANTES_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table MEDICFALTANTES add constraint FK_MEDICFALTANTES_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;
alter table MEDICFALTANTES add constraint FK_MEDICFALTANTES_UNIDADE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;
alter table MEDICFALTANTES add constraint FK_MEDICFALTANTES_PRODUTO
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete no action on update cascade;

create table LOTES(
    Lote varchar(20) not null,
    CodUnidade integer not null,
    CodProduto integer not null,
    DtEntrada date,
    QtdEntrada numeric(18,4) default 0,
    QtdSaida numeric(18,4) default 0,
    DtFabricacao date,
    DtValidade date,
    LancEntrada integer);
alter table LOTES add constraint PK_LOTES primary key(Lote,CodUnidade,CodProduto);
alter table LOTES add constraint FK_LOTES_CODPRODUTO
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete cascade on update cascade;
alter table LOTES add constraint FK_LOTES_CODUNIDADE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;
alter table LOTES add constraint FK_LOTES_ITLANCENTRADA
    foreign key(LancEntrada,CodProduto) references ITENSENTRADAS(Lancamento,CodProduto)
    on delete cascade on update cascade;

create table LICITACAO(
    Modalidade integer not null,
    Ano integer not null,
    Numero integer not null,
    DtEdital date,
    DtEncerramento date,
    CodFornecedor integer,
    Tipo varchar(10),
    Justificativa varchar(100),
    Recurso varchar(50));
alter table LICITACAO add constraint PK_LICITACAO primary key(Modalidade,Ano,Numero);
alter table LICITACAO add constraint FK_LICITACAO_MODALIDADE
    foreign key(Modalidade) references MODALIDADES(Codigo)
    on delete no action on update cascade;
alter table LICITACAO add constraint FK_LICITACAO_FORNECEDOR
    foreign key(CodFornecedor) references FORNECEDORES(Codigo)
    on delete no action on update cascade;

create table ITENSLICITACAO(
    Modalidade integer not null,
    Ano integer not null,
    Numero integer not null,
    Item integer not null,
    CodFornecedor integer,  /* fornec pode ser por produto em muitos casos*/
    CodProduto integer,
    Quantidade numeric(18,4),
    ValorTotal dinheiro,
    Obs varchar(100),
    QtdRecebida numeric(18,4));
alter table ITENSLICITACAO add constraint PK_ITENSLICITACAO primary key(Modalidade,Ano,Numero,Item);
alter table ITENSLICITACAO add constraint FK_ITENSLICITACAO_LICITACAO
    foreign key(Modalidade,Ano,Numero) references LICITACAO(Modalidade,Ano,Numero)
    on delete cascade on update cascade;
alter table ITENSLICITACAO add constraint FK_ITENSLICITACAO_FORNECEDOR
    foreign key(CodFornecedor) references FORNECEDORES(Codigo)
    on delete no action on update cascade;
alter table ITENSLICITACAO add constraint FK_ITENSLICITACAO_PRODUTOS
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete cascade on update cascade;

create table CONFALTESTOQUE(
    CodProduto integer not null,
    CodUnidade integer,
    DataHora timestamp,
    EstoqueAntes numeric(18,4),
    EstoqueApos numeric(18,4),
    CustoAntes numeric(18,8),
    CustoApos numeric(18,8),
    Usuario varchar(20),
    Motivo varchar(100),
    Onde varchar(40));
alter table CONFALTESTOQUE add constraint FK_CONFALTESTOQUE_PRODUTO
    foreign key(CodProduto) references PRODUTOS(Codigo)
    on delete set null on update cascade;
alter table CONFALTESTOQUE add constraint FK_CONFALTESTOQUE_UNIDADE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete set null on update cascade;

create generator GCodGruposProdutos;
set generator GCodGruposProdutos to 0;
create trigger TrCodGruposProdutos for GruposProdutos
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodGruposProdutos,1);
  while (exists (select G.codigo from GruposProdutos G
                 where G.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodGruposProdutos,1);
  end
end;

create generator GCodProdutos;
set generator GCodProdutos to 0;
create trigger TrCodProdutos for Produtos
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodProdutos,1);
  while (exists (select P.codigo from Produtos P
                 where P.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodProdutos,1);
  end
end;

alter table MOVCONTAS add constraint FK_MOVCONTAS_ENTRADAS
    foreign key(LancEntradaEstoque) references ENTRADAS(Lancamento)
    on update cascade on delete cascade;

create generator GMovContas;
set generator GMovContas to 0;

create generator GCodContas;
set generator GCodContas to 0;
create trigger TrCodContas for Contas
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodContas,1);
  while (exists (select C.codigo from contas C
                 where C.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodContas,1);
  end
end;

CREATE TABLE CADVACINAS(
    Codigo integer not null,
    Descricao varchar(80) not null,
    Obs varchar(100));
alter table CADVACINAS add constraint PK_CADVACINAS primary key(Codigo);
create generator GcodVacinas;
set generator GcodVacinas to 0;

create table VACIDOSES(
    CodVacina integer not null,
    Dose integer not null,
    CodProced integer,
    CodProxiVaci integer,
    ProxiDose integer,
    DiasProxi integer,
    Obs varchar(100));
alter table VACIDOSES add constraint PK_VACIDOSES primary key(CodVacina, Dose);
alter table VACIDOSES add constraint FK_VACIDOSES_VACINA
    foreign key(CodVacina) references CADVACINAS(Codigo)
    on delete cascade on update cascade;
alter table VACIDOSES add constraint FK_VACIDOSES_PROXVACINA
    foreign key(CodProxiVaci) references CADVACINAS(Codigo)
    on delete no action on update cascade;
alter table VACIDOSES add constraint FK_VACIDOSES_PROCED
    foreign key(CodProced) references SUSPROCED(Codigo)
    on delete set null on update cascade;

create table LANVACINAS(
    Lancamento integer not null,
    CodUnidade integer,
    CodProfissional integer,
    Data date,
    CodPessoa integer not null,
    NomePessoa varchar(50),  /* p/ quando for pacientes diversos */
    CodBairro integer,
    Endereco varchar(60),  /* caso seja paciente diversos */
    Sexo varchar(9),
    Idade integer,
    CodTipo integer,
    CodFxEtaria integer,
    CodAtividade integer,
    Obs varchar(100));
alter table LANVACINAS add constraint PK_LANVACINAS primary key(Lancamento);
alter table LANVACINAS add constraint FK_LANVACINAS_UNIDADESAUDE
    foreign key(CodUnidade) references UNIDADES(Codigo)
    on delete no action on update cascade;
alter table LANVACINAS add constraint FK_LANVACINAS_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete no action on update cascade;
alter table LANVACINAS add constraint FK_LANVACINAS_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table LANVACINAS add constraint FK_LANVACINAS_SUSTIPO
    foreign key(CodTipo) references SUSTIPO(Codigo)
    on delete no action on update cascade;
alter table LANVACINAS add constraint FK_LANVACINAS_SUSFXETARIA
    foreign key(CodFxEtaria) references SUSFXETARIA(Codigo)
    on delete no action on update cascade;
alter table LANVACINAS add constraint FK_LANVACINAS_SUSATIVIDADE
    foreign key(CodAtividade) references SUSATIVIDADE(Codigo)
    on delete no action on update cascade;
create generator GLanVacinas;
set generator GLanVacinas to 0;

create table APLICVACINAS(
    Lancamento integer not null,
    CodVacina integer not null,
    Dose integer not null,
    CodProxiVaci integer,
    ProxiDose integer,
    DataProxiVaci date,
    TomouProxi char(3),
    Obs varchar(100));
alter table APLICVACINAS add constraint PK_APLICVACINAS primary key(Lancamento, CodVacina, Dose);
alter table APLICVACINAS add constraint FK_APLICVACINAS_LANVACINAS
    foreign key(Lancamento) references LANVACINAS(Lancamento)
    on delete cascade on update cascade;
alter table APLICVACINAS add constraint FK_APLICVACINAS_VACIDOSES
    foreign key(CodVacina,Dose) references VACIDOSES(CodVacina, Dose)
    on delete no action on update cascade;
alter table APLICVACINAS add constraint FK_APLICVACINAS_PROXVACI
    foreign key(CodProxiVaci,ProxiDose) references VACIDOSES(CodVacina, Dose)
    on delete no action on update cascade;

create trigger TrCodVacinas for CadVacinas
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodVacinas,1);
  while (exists (select C.codigo from cadVacinas C
                 where C.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodVacinas,1);
  end
end;

create trigger TrLanVacinas for LanVacinas
before insert as
begin
  if (new.Lancamento is null)
    then new.Lancamento = gen_id(GLanVacinas,1);
  while (exists (select L.Lancamento from LanVacinas L
                 where L.Lancamento = new.Lancamento)) do
  begin
    new.Lancamento = gen_id(GLanVacinas,1);
  end
end;

create table ESTABELECIMENTOS(
    Codigo integer not null,
    Nome varchar(50) not null,
    CNPJ varchar(18),
    CPF varchar(14),
    Inscricao varchar(10),
    Licenca varchar(15),
    TipoEstab varchar(50),
    Endereco varchar(50),
    Responsavel varchar(50),
    URMs numeric(8,2),
    Valor dinheiro, 
    Obs varchar(100));
alter table ESTABELECIMENTOS add constraint PK_ESTABELECIMENTOS primary key(Codigo);
create generator GCodEstab;
set generator GCodEstab to 0;

create table CADEPIDEMIO(
    Codigo integer not null,
    Descricao varchar(50) not null,
    Gravidade char(1),
    Obs varchar(100));
alter table CADEPIDEMIO add constraint PK_CADEPIDEMIO primary key(Codigo);
create generator GCodEpidemio;
set generator GCodEpidemio to 0;

create or alter trigger TrCodEstab for Estabelecimentos
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodEstab,1);
  while (exists (select codigo from Estabelecimentos
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodEstab,1);
  end
end;

create or alter trigger TrCodEpidemio for CadEpidemio
before insert as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodEpidemio,1);
  while (exists (select codigo from CadEpidemio
                 where codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodEpidemio,1);
  end
end;

/*Criao das triggers ref ao mod Contr. Estoque*/

create or alter trigger TrEstoqueTotal for Estoques
after insert or update as
begin
  delete from Estoques where Estoque=0;
  /* Se ja teve entrada ou saida o bd nao iria deixar deletar caso tivesse lctos aqui*/
end ;

create or alter trigger TrEntEstoqueItem for ItensEntradas
before insert or update as
declare variable qtd numeric(18,4);
declare variable vlr numeric(18,4);
declare variable TotalAnt numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable UnitAtual numeric(18,8);
declare variable TotalAtual numeric(18,4);
declare variable UnidOrigem integer;
begin
  /* Deve ser before p/ inserir a Unid e Prod na tabela Estoques ANTES de
  inserir nesta, evitando assim erro de foreign key */
   if (old.quantidade is null) then
   begin
      qtd = new.quantidade;
      vlr = new.ValorTotal;
   end
   else begin
      qtd = new.quantidade - old.quantidade;
      vlr = new.ValorTotal - old.ValorTotal;
   end

   select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (new.CodUnidade, new.CodProduto, :qtd);
   end
   else begin
      update Estoques set Estoque=Estoque+:qtd where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
   end

   select CodUnidadeOrigem from ENTRADAS where Lancamento=new.Lancamento into :UnidOrigem;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      TotalAnt = 0;
      QtdAnt = 0;
      UnitAtual = 0;
      TotalAtual = 0;
      select QtdTotal, ValorAcumulado from Produtos where Codigo=new.CodProduto
         into :QtdAnt, :TotalAnt;
      if ((:QtdAnt < 0) or (:TotalAnt < 0))then
      begin
         UnitAtual = new.ValorUnitario;
      end
      else begin
         TotalAtual = :TotalAnt + :vlr;
         UnitAtual = :TotalAtual / (:QtdAnt + :qtd);
      end
      update produtos set QtdTotal=QtdTotal+:qtd, CustoMedio=:UnitAtual, UltimoCusto=new.ValorUnitario
             where Codigo=new.CodProduto;  /* V.Total  calc automatico */
   end
end;

create or alter trigger TrExcEntEstoqueItem for ItensEntradas
after delete as
declare variable QtdAnt numeric(18,4);
declare variable UnidOrigem integer;
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade*(-1) );
   end
   else begin
      update Estoques set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   select CodUnidadeOrigem from ENTRADAS where Lancamento=old.Lancamento into :UnidOrigem;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      update produtos set QtdTotal=QtdTotal-old.Quantidade where Codigo=old.CodProduto;  /* V.Total  calc automatico */
   end
end;

create or alter trigger TrSaiEstoqueItem for ItensSaidas
before insert as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable Lote varchar(10);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
begin
   update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
   select CodUnidadeDestino from SAIDAS where Lancamento=new.Lancamento into :UnidDestino;
   if (:UnidDestino is null) then
   begin /* a partir daqui s entra caso no seja transf interna */
      update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

      /* Gravar Medic. Controlada: */
      select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
          into :CodPessoa, :Data;
      select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
          where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
          into :UltData, :QtdRetirada, :Mensal;
      if (not :QtdRetirada is null) then
      begin  /* como  default 0, se for null  pq nao existe o registro */
         if ((:Data >= :UltData) or (:UltData is null)) then
         begin
            if (:Mensal = 'No') then
            begin
               update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                   where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
            end
            else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
               update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
            end
         end
         else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
            if (:Mensal='No') then
            begin
               update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                   where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
            end
         end
      end
   end

   /* Gravar Baixa do Lote */
   BaixarLote = new.Quantidade;
   for
      select Lote, (QtdEntrada-QtdSaida) from Lotes
      where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
            and :BaixarLote > 0 and ((QtdEntrada-QtdSaida) > 0)
      order by DtValidade
      into :Lote, :DispoLote
   do begin
      if (:BaixarLote <= :DispoLote) then
      begin
         update LOTES set QtdSaida = QtdSaida + :BaixarLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
         BaixarLote = 0;
      end
      else begin
         update LOTES set QtdSaida = QtdSaida + :DispoLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
         BaixarLote = BaixarLote - :DispoLote;
      end
   end
end;

create or alter trigger TrExcSaiEstoqueItem for ItensSaidas
after delete as
declare variable UnidDestino integer;
declare variable Lote varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
begin
   update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   select CodUnidadeDestino from SAIDAS where Lancamento=old.Lancamento into :UnidDestino;
   if (:UnidDestino is null) then
   begin /* a partir daqui s entra caso no seja transf interna */
      update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
      /* Nao estornei Medic. Controlada, podera dar problema */
   end

   /* Estornar Baixa do Lote */
   BaixouLote = old.Quantidade;
   for
      select Lote, QtdSaida from Lotes
      where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto
            and :BaixouLote > 0 and QtdSaida > 0
      order by DtValidade descending
      into :Lote, :SaidaLote
   do begin
      if (:BaixouLote <= :SaidaLote) then
      begin
         update LOTES set QtdSaida = QtdSaida - :BaixouLote where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
         BaixouLote = 0;
      end
      else begin
         update LOTES set QtdSaida = 0 where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
         BaixouLote = BaixouLote - :SaidaLote;
      end
   end
end;

create or alter trigger TrConfAltEstoque for ConfAltEstoque
after insert as
declare variable EstoqueAnt numeric(18,4);
begin
   select Estoque from Estoques where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
       into :EstoqueAnt;
   if (:EstoqueAnt is null) then  /* se nao existe o reg correspondente */
   begin
      insert into Estoques(CodUnidade,CodProduto,Estoque) values(new.CodUnidade,new.CodProduto,new.EstoqueApos);
   end
   else begin
      update Estoques set Estoque=new.EstoqueApos where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
   end
   update Produtos set QtdTotal=QtdTotal+(new.EstoqueApos-new.EstoqueAntes),
      CustoMedio=new.CustoApos where Codigo=new.CodProduto; /* V.Total  computed by */
end;

create exception MOVCONTA_TIPOMOV
'O Tipo de Movimentao (Entrada ou Sada) no pode ser alterado';

create trigger TrLancMovContas for MovContas
before insert as
begin
  if (new.Lancamento is null)
    then new.Lancamento = gen_id(gmovcontas,1);
  while (exists (select M.Lancamento from MovContas M
                 where M.Lancamento = new.Lancamento)) do
  begin
    new.Lancamento = gen_id(gmovcontas,1);
  end
end;

/* nao gravarei o cpo SaldoAtual do MovContas nas trg abaixo pq no update e delete
   dava erro pq ficava chamando recursivamente estas mesmas triggers */
create or alter trigger TrSaldoConta_I for MovContas
after insert as
declare variable valor real;
begin
  if (new.TipoMov = 'SAIDA') then
  begin
     valor = new.Valor * (-1);
  end
  else begin
     valor = new.Valor;
  end
  update Contas set SaldoAtual = SaldoAtual + :valor where Codigo=new.CodConta;
end;

create or alter trigger TrSaldoConta_U for MovContas
after update as
declare variable valor real;
begin
  if (old.TipoMov <> new.TipoMov) then
  begin
     exception MOVCONTA_TIPOMOV;
     /* Nao previno este caso pq eh meio complicado e raramente devera acontecer*/
  end
  valor = new.Valor - old.Valor;
  if (new.TipoMov = 'SAIDA') then
  begin
     valor = :valor * (-1);
  end
  if (new.CodConta=old.CodConta) then
  begin
     update Contas set SaldoAtual = SaldoAtual + :valor where Codigo=old.CodConta;
  end
  else begin   /* se alterou a Conta ( um pouco mais complicado)*/
    if (old.TipoMov = 'ENTRADA') then
    begin
       update Contas set SaldoAtual = SaldoAtual - old.Valor where Codigo=old.CodConta;
       update Contas set SaldoAtual = SaldoAtual + new.Valor where Codigo=new.CodConta;
    end
    else begin
       update Contas set SaldoAtual = SaldoAtual + old.Valor where Codigo=old.CodConta;
       update Contas set SaldoAtual = SaldoAtual - new.Valor where Codigo=new.CodConta;
    end
  end
end;

create or alter trigger TrSaldoConta_D for MovContas
after delete as
declare variable valor real;
begin
  valor = 0 - old.Valor;
  if (old.TipoMov = 'SAIDA') then
  begin
     valor = :valor * (-1);
  end
  update Contas set SaldoAtual = SaldoAtual + :valor where Codigo=old.CodConta;
end;

create or alter procedure SPMOVIMENTACAOESTOQUE (
    DTINICIAL timestamp,
    DTFINAL timestamp)
returns (
    PCODPRODUTO integer,
    PDESCRICAO varchar(60),
    PUNIDADE varchar(10),
    PCODGRUPO integer,
    PESTANTERIOR numeric(18,2),
    PVALUNITANTERIOR numeric(18,4),
    PVALTOTALANTERIOR numeric(18,2),
    PQUANTENTRADA numeric(18,2),
    PVALORENTRADA numeric(18,2),
    PQUANTSAIDA numeric(18,2),
    PVALORSAIDA numeric(18,2),
    PESTATUAL numeric(18,2),
    PVALUNITATUAL numeric(18,6),
    PVALTOTALATUAL numeric(18,2))
as
declare variable VESTOQUE numeric(18,2);
declare variable VQTDENTAPOS numeric(18,2);
declare variable VQTDSAIAPOS numeric(18,2);
declare variable VVALENTAPOS numeric(18,2);
declare variable VVALSAIAPOS numeric(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    RIGHT OUTER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATA > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    RIGHT OUTER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.TIPO='EXTERNO' AND S.DATA > :DTFINAL
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE RIGHT OUTER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATA >= :DTINICIAL and E.DATA <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS RIGHT OUTER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO AND S.TIPO='EXTERNO'
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end


