alter table TipoAuxilios add DiaFaturaMensal integer;
alter table TipoAuxilios add DataCalculoMensal char(1);
UPDATE TABDIV SET VersaoBanco='1.29';
update TipoAuxilios set DiaFaturaMensal=1, DataCalculoMensal='L';
COMMIT;

create domain cod_produto bigint;

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODIGO') and
(RDB$RELATION_NAME = 'PRODUTOS');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'CONFALTESTOQUE');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'ESTOQUES');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'HISTMEDCONTROLADA');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'ITENSENTRADAS');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'ITENSLICITACAO');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'ITENSRECEITAS');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'ITENSSAIDAS');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'LOTES');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'MEDICCONTROLADA');

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'COD_PRODUTO'
where (RDB$FIELD_NAME = 'CODPRODUTO') and
(RDB$RELATION_NAME = 'MEDICFALTANTES');

create table Alvaras(
    CodEstabelecimento integer not null,
    Periodo varchar(10) not null,
    DataEmissao date,
    DataPagamento date,
    DataValidade date,
    Valor dinheiro,
    Obs varchar(200));
alter table Alvaras add constraint PK_ALVARAS primary key(CodEstabelecimento, Periodo);
alter table Alvaras add constraint FK_ALVARAS_ESTABELECIMENTOS
    foreign key(CodEstabelecimento) references estabelecimentos(Codigo)
    on delete cascade on update cascade;

SET TERM ^ ;

ALTER PROCEDURE SPMOVIMENTACAOESTOQUE (
    DTINICIAL TIMESTAMP,
    DTFINAL TIMESTAMP)
RETURNS (
    PCODPRODUTO BIGINT,
    PDESCRICAO VARCHAR(60),
    PUNIDADE VARCHAR(10),
    PCODGRUPO INTEGER,
    PESTANTERIOR NUMERIC(18,2),
    PVALUNITANTERIOR NUMERIC(18,4),
    PVALTOTALANTERIOR NUMERIC(18,2),
    PQUANTENTRADA NUMERIC(18,2),
    PVALORENTRADA NUMERIC(18,2),
    PQUANTSAIDA NUMERIC(18,2),
    PVALORSAIDA NUMERIC(18,2),
    PESTATUAL NUMERIC(18,2),
    PVALUNITATUAL NUMERIC(18,6),
    PVALTOTALATUAL NUMERIC(18,2))
AS
DECLARE VARIABLE VESTOQUE NUMERIC(18,2);
DECLARE VARIABLE VQTDENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VQTDSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALSAIAPOS NUMERIC(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATA > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.TIPO='EXTERNO' AND S.DATA > :DTFINAL
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATA >= :DTINICIAL and E.DATA <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO AND S.TIPO='EXTERNO'
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end

^

SET TERM ; ^



