UPDATE TABDIV SET VersaoBanco='1.35';
COMMIT;

ALTER TABLE FAA ALTER OBS TYPE VARCHAR(1500) CHARACTER SET NONE;

ALTER TABLE GESTANTES ADD Id_Gestante VARCHAR(15);
ALTER TABLE GESTANTES DROP menarca;  -- deletei pq era varchar e querem como data
ALTER TABLE GESTANTES ADD Menarca DATE;
ALTER TABLE GESTANTES ADD CicloMenstrual DATE;
ALTER TABLE GESTANTES ADD Para VARCHAR(40);
ALTER TABLE GESTANTES ADD CirurGineco VARCHAR(200);
ALTER TABLE GESTANTES ADD DtExAntiHIV DATE;
ALTER TABLE GESTANTES ADD MedicoExAntiHIV VARCHAR(60);
ALTER TABLE GESTANTES ADD DtExVDRL DATE;
ALTER TABLE GESTANTES ADD MedicoExVDRL VARCHAR(60);

ALTER TABLE GESTANTES
    ALTER QTDGESTACOES TYPE VARCHAR(40),
    ALTER QTDABORTOSESP TYPE VARCHAR(40),
    ALTER QTDABORTOSPROV TYPE VARCHAR(40),
    ALTER QTDECTOPICA TYPE VARCHAR(40),
    ALTER QTDPARTOSNORMAIS TYPE VARCHAR(40),
    ALTER QTDPARTOSCESARIAS TYPE VARCHAR(40),
    ALTER QTDNASCVIVOS TYPE VARCHAR(40),
    ALTER QTDNASCMORTOS TYPE VARCHAR(40),
    ALTER QTDRNBAIXOPESO TYPE VARCHAR(40),
    ALTER METCONTRACEPTIVO TYPE VARCHAR(200) CHARACTER SET NONE,
    ALTER MAMAS TYPE VARCHAR(200) CHARACTER SET NONE,
    ALTER EXCITOPATOLOGICO TYPE VARCHAR(200) CHARACTER SET NONE,
    ALTER TRATHORMONAISANT TYPE VARCHAR(100) CHARACTER SET NONE,
    ALTER TRATHORMONAISATUAIS TYPE VARCHAR(100) CHARACTER SET NONE,
    ALTER FUMO TYPE VARCHAR(50) CHARACTER SET NONE,
    ALTER ALCOOL TYPE VARCHAR(50) CHARACTER SET NONE,
    ALTER ATIVFISICA TYPE VARCHAR(50) CHARACTER SET NONE,
    ALTER MEDICAMENTOS TYPE VARCHAR(50) CHARACTER SET NONE,
    ALTER EXANTIHIV TYPE VARCHAR(200) CHARACTER SET NONE,
    ALTER EXVDRL TYPE VARCHAR(200) CHARACTER SET NONE;

CREATE TABLE ANTECEDENTES(
    Codigo INTEGER NOT NULL,
    Descricao VARCHAR(40) NOT NULL,
    Tipo CHAR(1));   /* Morbidos / Familiares */
ALTER TABLE ANTECEDENTES ADD CONSTRAINT PK_ANTECEDENTES PRIMARY KEY(Codigo);

CREATE GENERATOR GCodAntecedentes;
SET GENERATOR GCodAntecedentes TO 0;
CREATE TRIGGER TrCodAntecedentes FOR Antecedentes
BEFORE INSERT AS
BEGIN
  IF (NEW.codigo IS NULL)
    THEN NEW.codigo = GEN_ID(GCodAntecedentes,1);
  WHILE (EXISTS (SELECT codigo FROM Antecedentes
                 WHERE codigo = NEW.codigo)) DO
  BEGIN
    NEW.codigo = GEN_ID(GCodAntecedentes,1);
  END
END;

CREATE TABLE ANTECEDENTESPESSOAS(
    CodPessoa INTEGER NOT NULL,
    CodAntecedente INTEGER NOT NULL,
    Obs VARCHAR(50));
ALTER TABLE ANTECEDENTESPESSOAS ADD CONSTRAINT PK_ANTECEDENTESPESSOAS PRIMARY KEY(CodPessoa,CodAntecedente);
ALTER TABLE ANTECEDENTESPESSOAS ADD CONSTRAINT FK_ANTECEDENTESPESSOAS_PESSOAS
    FOREIGN KEY(CodPessoa) REFERENCES PESSOAS(Codigo)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE ANTECEDENTESPESSOAS ADD CONSTRAINT FK_ANTECPESSOAS_ANTECEDENTES
    FOREIGN KEY(CodAntecedente) REFERENCES ANTECEDENTES(Codigo)
    ON DELETE CASCADE ON UPDATE CASCADE;
