UPDATE TABDIV SET VersaoBanco='1.37';
COMMIT;

ALTER TABLE PESSOAS ADD FAMILIA VARCHAR(3);

CREATE TABLE DEFICIENCIAS(
    Codigo INTEGER NOT NULL,
    Descricao VARCHAR(40) NOT NULL);
ALTER TABLE DEFICIENCIAS ADD CONSTRAINT PK_DEFICIENCIAS PRIMARY KEY(Codigo);

CREATE GENERATOR GCodDeficiencia;
SET GENERATOR GCodDeficiencia TO 0;
CREATE TRIGGER TrCodDeficiencia FOR Deficiencias
BEFORE INSERT AS
BEGIN
  IF (NEW.codigo IS NULL)
    THEN NEW.codigo = GEN_ID(GCodDeficiencia,1);
  WHILE (EXISTS (SELECT codigo FROM Deficiencias
                 WHERE codigo = NEW.codigo)) DO
  BEGIN
    NEW.codigo = GEN_ID(GCodDeficiencia,1);
  END
END;

ALTER TABLE PESSOAS ADD BOLSAFAMILIA VARCHAR(3);
ALTER TABLE PESSOAS ADD CODDEFICIENCIA INTEGER;
ALTER TABLE PESSOAS ADD CONSTRAINT FK_PESSOAS_DEFICIENCIA
    FOREIGN KEY(CodDeficiencia) REFERENCES DEFICIENCIAS(Codigo)
    ON DELETE SET NULL ON UPDATE CASCADE;

INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(1,'NENHUMA');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(2,'CEGUEIRA');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(3,'MUDEZ');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(4,'SURDEZ');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(5,'MENTAL');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(6,'FSICA');
INSERT INTO DEFICIENCIAS(CODIGO, DESCRICAO) VALUES(9,'OUTRAS');
COMMIT;


