UPDATE TABDIV SET VERSAOBANCO='1.49';
-- Portaria 315, de 18/09/2009.
UPDATE SUSPROCEDUNIF SET OBS='01' WHERE CODIGO='0201020033';
UPDATE SUSPROCEDUNIF SET OBS='01' WHERE CODIGO='0201020050';
UPDATE SUSPROCEDUNIF SET OBS='01' WHERE CODIGO='0801010012';
UPDATE SUSPROCEDUNIF SET OBS='01' WHERE CODIGO='0801010020';
COMMIT;

DROP PROCEDURE spmovimentacaoestoque;    -- tenho q deletar e depois recriar para poder aumentar o tam do campo descricao
ALTER TABLE PRODUTOS ALTER DESCRICAO TYPE VARCHAR(100) CHARACTER SET NONE;

ALTER TABLE PESSOAS ADD DTIDENTIDADE DATE,
                    ADD ORGAOIDENTIDADE VARCHAR(10),
                    ADD DTCTPS DATE,
                    ADD SERIECTPS VARCHAR(10);

CREATE TABLE VEICPRODUTOS(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(100),
    UN VARCHAR(10));
ALTER TABLE VEICPRODUTOS ADD CONSTRAINT PK_VEICPRODUTOS PRIMARY KEY(CODIGO);

CREATE TABLE VEICDESPESAS(
    LANCAMENTO INTEGER NOT NULL,
    NUMORDEM INTEGER,
    DOCUMENTO VARCHAR(10),
    DATAEMISSAO DATE,
    DATADESPESA DATE,
    CODFORNECEDOR INTEGER,
    CODVEICULO INTEGER,
    KM INTEGER,
    OBS VARCHAR(200));
ALTER TABLE VEICDESPESAS ADD CONSTRAINT PK_VEICDESPESAS PRIMARY KEY(LANCAMENTO);
ALTER TABLE VEICDESPESAS ADD CONSTRAINT FK_VEICDESPESAS_FORNECEDOR
    FOREIGN KEY(CODFORNECEDOR) REFERENCES FORNECEDORES(CODIGO)
    ON DELETE SET NULL ON UPDATE CASCADE;
ALTER TABLE VEICDESPESAS ADD CONSTRAINT FK_VEICDESPESAS_VEICULO
    FOREIGN KEY(CODVEICULO) REFERENCES VEICULOS(CODIGO)
    ON DELETE NO ACTION ON UPDATE CASCADE;

CREATE TABLE VEICDESPITENS(
    LANCAMENTO INTEGER NOT NULL,
    ITEM INTEGER NOT NULL,
    CODPRODUTO INTEGER,
    QUANTIDADE NUMERIC(12,3),
    VALORTOTAL DINHEIRO,
    OBS VARCHAR(200));
ALTER TABLE VEICDESPITENS ADD CONSTRAINT PK_VEICDESPITENS PRIMARY KEY(LANCAMENTO,ITEM);
ALTER TABLE VEICDESPITENS ADD CONSTRAINT FK_VEICDESPITENS_VEICDESPESAS
    FOREIGN KEY(LANCAMENTO) REFERENCES VEICDESPESAS(LANCAMENTO)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE VEICDESPITENS ADD CONSTRAINT FK_VEICDESPITENS_VEICPRODUTO
    FOREIGN KEY(CODPRODUTO) REFERENCES VEICPRODUTOS(CODIGO)
    ON DELETE SET NULL ON UPDATE CASCADE;

CREATE GENERATOR GCodVeicProdutos;
SET GENERATOR GCodVeicProdutos TO 0;
CREATE TRIGGER TrCodVeicProdutos FOR VeicProdutos
BEFORE INSERT AS
BEGIN
  IF (NEW.codigo IS NULL)
    THEN NEW.codigo = GEN_ID(GCodVeicProdutos,1);
  WHILE (EXISTS (SELECT codigo FROM VeicProdutos
                 WHERE codigo = NEW.codigo)) DO
  BEGIN
    NEW.codigo = GEN_ID(GCodVeicProdutos,1);
  END
END;

SET TERM ^ ;
CREATE PROCEDURE SPMOVIMENTACAOESTOQUE (
    DTINICIAL TIMESTAMP,
    DTFINAL TIMESTAMP)
RETURNS (
    PCODPRODUTO BIGINT,
    PDESCRICAO VARCHAR(100),
    PUNIDADE VARCHAR(10),
    PCODGRUPO INTEGER,
    PESTANTERIOR NUMERIC(18,2),
    PVALUNITANTERIOR NUMERIC(18,4),
    PVALTOTALANTERIOR NUMERIC(18,2),
    PQUANTENTRADA NUMERIC(18,2),
    PVALORENTRADA NUMERIC(18,2),
    PQUANTSAIDA NUMERIC(18,2),
    PVALORSAIDA NUMERIC(18,2),
    PESTATUAL NUMERIC(18,2),
    PVALUNITATUAL NUMERIC(18,6),
    PVALTOTALATUAL NUMERIC(18,2))
AS
DECLARE VARIABLE VESTOQUE NUMERIC(18,2);
DECLARE VARIABLE VQTDENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VQTDSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALSAIAPOS NUMERIC(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATA > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.TIPO='EXTERNO' AND S.DATA > :DTFINAL
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATA >= :DTINICIAL and E.DATA <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO AND S.TIPO='EXTERNO'
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end
^
SET TERM ; ^

CREATE TABLE CURRICULOS(
    CODIGO INTEGER NOT NULL,
    CURSOS VARCHAR(300),
    ULTIMOEMPREGO VARCHAR(100),
    MOTIVOSAIDA VARCHAR(100),
    ULTIMOSALARIO DINHEIRO,
    REFERENCIAS VARCHAR(300),
    EXPERIENCIAS VARCHAR(300),
    INTERESSE VARCHAR(100),
    BUSCACAPACITACAO VARCHAR(150),
    OUTRASINFO VARCHAR(300));
ALTER TABLE CURRICULOS ADD CONSTRAINT PK_CURRICULOS PRIMARY KEY(CODIGO);
ALTER TABLE CURRICULOS ADD CONSTRAINT FK_CURRICULOS_PESSOAS
    FOREIGN KEY(CODIGO) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;


