UPDATE TABDIV SET VERSAOBANCO='1.50';
commit;

SET TERM ^ ;
ALTER TRIGGER TRSAIESTOQUEITEM
ACTIVE BEFORE INSERT POSITION 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(10);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
     /* Gravar Baixa do Lote */
     BaixarLote = new.Quantidade;
     for
        select Lote, (QtdEntrada-QtdSaida) from Lotes
        where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
              and :BaixarLote > 0 and ((QtdEntrada-QtdSaida) > 0)
        order by DtValidade
        into :Lote, :DispoLote
     do begin
        if (:BaixarLote <= :DispoLote) then
        begin
           update LOTES set QtdSaida = QtdSaida + :BaixarLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = 0;
        end
        else begin
           update LOTES set QtdSaida = QtdSaida + :DispoLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = BaixarLote - :DispoLote;
        end
     end
   end
end
^
SET TERM ; ^

SET TERM ^ ;
ALTER TRIGGER TREXCSAIESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(10);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end

     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

     /* Estornar Baixa do Lote */
     BaixouLote = old.Quantidade;
     for
        select Lote, QtdSaida from Lotes
        where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto
              and :BaixouLote > 0 and QtdSaida > 0
        order by DtValidade descending
        into :Lote, :SaidaLote
     do begin
        if (:BaixouLote <= :SaidaLote) then
        begin
           update LOTES set QtdSaida = QtdSaida - :BaixouLote where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = 0;
        end
        else begin
           update LOTES set QtdSaida = 0 where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = BaixouLote - :SaidaLote;
        end
     end
   end
end
^
SET TERM ; ^

ALTER TABLE FORNECEDORES ALTER ENDERECO TYPE VARCHAR(80) CHARACTER SET NONE;

CREATE TABLE ENCONTROSGRUPOS(
    ID_ENCONTRO INTEGER NOT NULL,
    SIGLAGRUPO VARCHAR(5),
    DATA DATE,
    ASSUNTO VARCHAR(100),
    OBS VARCHAR(500));
ALTER TABLE ENCONTROSGRUPOS ADD CONSTRAINT PK_ENCONTROSGRUPOS PRIMARY KEY(ID_ENCONTRO);
ALTER TABLE ENCONTROSGRUPOS ADD CONSTRAINT FK_ENCONTROSGRUPOS_GRUPOS
    FOREIGN KEY (SIGLAGRUPO) REFERENCES GRUPOSDERISCO(SIGLA)
    ON DELETE NO ACTION ON UPDATE CASCADE;

CREATE TABLE PRESENCAENCONTROS(
    ID_ENCONTRO INTEGER NOT NULL,
    CODPESSOA INTEGER NOT NULL,
    PRESENCA CHAR(1),
    OBS VARCHAR(100));
ALTER TABLE PRESENCAENCONTROS ADD CONSTRAINT PK_PRESENCAENCONTROS PRIMARY KEY(ID_ENCONTRO, CODPESSOA);
ALTER TABLE PRESENCAENCONTROS ADD CONSTRAINT FK_PRESENCAENCONTROS_ENCONTROS
    FOREIGN KEY (ID_ENCONTRO) REFERENCES ENCONTROSGRUPOS(ID_ENCONTRO)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE PRESENCAENCONTROS ADD CONSTRAINT FK_PRESENCAENCONTROS_PESSOAS
    FOREIGN KEY (CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

