UPDATE TABDIV SET VERSAOBANCO='1.51';
COMMIT;

CREATE TABLE RESUMOCONTABIL(
    DATAINICIO DATE,
    CODPRODUTO BIGINT,
    ESTOQUE NUMERIC(10,2),
    VALOR DINHEIRO);

SET TERM ^ ;

CREATE OR ALTER trigger tr_saidas_bd0 for saidas
active before delete position 0
AS
begin
  /* esta trg criei pq as vezes nao disparava a trg do itenssaidas quando la  deletado pelo cascade */
  delete from itenssaidas i where i.lancamento=old.lancamento;
end
^

-- nas duas trg abaixo vou apenas aumentar o campo lote para 20 pra nao dar erros
CREATE OR ALTER trigger trsaiestoqueitem for itenssaidas
active before insert position 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(20);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
     /* Gravar Baixa do Lote */
     BaixarLote = new.Quantidade;
     for
        select Lote, (QtdEntrada-QtdSaida) from Lotes
        where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
              and :BaixarLote > 0 and ((QtdEntrada-QtdSaida) > 0)
        order by DtValidade
        into :Lote, :DispoLote
     do begin
        if (:BaixarLote <= 0) then
        begin
          exit;
        end
        if (:BaixarLote <= :DispoLote) then
        begin
           update LOTES set QtdSaida = QtdSaida + :BaixarLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = 0;
        end
        else begin
           update LOTES set QtdSaida = QtdSaida + :DispoLote where CodUnidade = new.CodUnidade and CodProduto = new.CodProduto and Lote = :Lote;
           BaixarLote = BaixarLote - :DispoLote;
        end
     end
   end
end
^

CREATE OR ALTER trigger trexcsaiestoqueitem for itenssaidas
active after delete position 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(20);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end

     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

     /* Estornar Baixa do Lote */
     BaixouLote = old.Quantidade;
     for
        select Lote, QtdSaida from Lotes
        where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto
              and :BaixouLote > 0 and QtdSaida > 0
        order by DtValidade descending
        into :Lote, :SaidaLote
     do begin
        if (:BaixouLote <= :SaidaLote) then
        begin
           if (BaixouLote=0) then
           begin
              Exit;
           end
           update LOTES set QtdSaida = QtdSaida - :BaixouLote where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = 0;
        end
        else begin
           if (BaixouLote=0) then
           begin
              Exit;
           end
           update LOTES set QtdSaida = 0 where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
           BaixouLote = BaixouLote - :SaidaLote;
        end
     end
   end
end
^

CREATE OR ALTER procedure SPMOVIMENTACAOESTOQUE (
    DTINICIAL timestamp,
    DTFINAL timestamp)
returns (
    PCODPRODUTO bigint,
    PDESCRICAO varchar(100),
    PUNIDADE varchar(10),
    PCODGRUPO integer,
    PESTANTERIOR numeric(18,2),
    PVALUNITANTERIOR numeric(18,4),
    PVALTOTALANTERIOR numeric(18,2),
    PQUANTENTRADA numeric(18,2),
    PVALORENTRADA numeric(18,2),
    PQUANTSAIDA numeric(18,2),
    PVALORSAIDA numeric(18,2),
    PESTATUAL numeric(18,2),
    PVALUNITATUAL numeric(18,6),
    PVALTOTALATUAL numeric(18,2))
as
declare variable VESTOQUE numeric(18,2);
declare variable VQTDENTAPOS numeric(18,2);
declare variable VQTDSAIAPOS numeric(18,2);
declare variable VVALENTAPOS numeric(18,2);
declare variable VVALSAIAPOS numeric(18,2);
declare variable ESTGRAVADO numeric(18,2);
declare variable VALGRAVADO numeric(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
--    where codigo=6
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATA > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.TIPO='EXTERNO' AND S.DATA > :DTFINAL
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATA >= :DTINICIAL and E.DATA <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO AND S.TIPO='EXTERNO'
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;

    SELECT ESTOQUE, VALOR FROM RESUMOCONTABIL WHERE DATAINICIO=:DTINICIAL AND CODPRODUTO=:pcodproduto
      INTO :ESTGRAVADO, VALGRAVADO;
    if ((:ESTGRAVADO IS NOT NULL) AND (:valgravado IS NOT NULL)
    and (:ESTGRAVADO=PESTANTERIOR) AND (valgravado<>pvaltotalanterior)) then
    BEGIN
      PVALORSAIDA = valgravado + pvalorentrada - pvaltotalatual;
      if (PVALORSAIDA < 0) then
      BEGIN
        PVALORSAIDA = 0;
      END
      PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    END

    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end
^

SET TERM ; ^


