UPDATE TABDIV SET VERSAOBANCO='1.68';
COMMIT;

ALTER TABLE ITENSENTRADAS ADD LOTE VARCHAR(20);
ALTER TABLE ITENSSAIDAS ADD LOTE VARCHAR(20);
ALTER TABLE CONFALTESTOQUE
    ADD LOTE VARCHAR(20),
    ADD ESTLOTEANTES NUMERIC(15,2),
    ADD ESTLOTEAPOS NUMERIC(15,2);

CREATE TABLE NOVOLOTES(
    CODPRODUTO cod_produto NOT NULL,
    LOTE VARCHAR(20) NOT NULL,
    DTVALIDADE DATE,
    OBS VARCHAR(200));
ALTER TABLE NOVOLOTES ADD CONSTRAINT PK_NOVOLOTES PRIMARY KEY(CODPRODUTO, LOTE);
ALTER TABLE NOVOLOTES ADD CONSTRAINT FK_NOVOLOTES_PRODUTO
    FOREIGN KEY(CODPRODUTO) REFERENCES PRODUTOS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE ESTOQUESLOTES(
    CODPRODUTO cod_produto NOT NULL,
    LOTE VARCHAR(20) NOT NULL,
    CODUNIDADE INTEGER NOT NULL,
    ESTOQUE NUMERIC(18,4));
ALTER TABLE ESTOQUESLOTES ADD CONSTRAINT PK_ESTOQUESLOTES PRIMARY KEY(CODUNIDADE, CODPRODUTO, LOTE);
ALTER TABLE ESTOQUESLOTES ADD CONSTRAINT FK_ESTOQUESLOTES_LOTE
    FOREIGN KEY (CODPRODUTO, LOTE) REFERENCES NOVOLOTES(CODPRODUTO, LOTE)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE ESTOQUESLOTES ADD CONSTRAINT FK_ESTOQUESLOTES_CODUNIDADE
    FOREIGN KEY (CODUNIDADE) REFERENCES UNIDADES (CODIGO)
    ON DELETE NO ACTION ON UPDATE CASCADE;


SET TERM ^ ;
ALTER TRIGGER TREXCENTESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable QtdAnt numeric(18,4);
declare variable UnidOrigem integer;
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade*(-1) );
   end
   else begin
      update Estoques set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   -- baixar do lote
   if ((old.lote <> '') and (old.lote is not null)) then
   begin
       select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
          into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAnt is null) then
       begin
          insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade*(-1) );
       end
       else begin
          update Estoqueslotes set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
       end
   end

   select CodUnidadeOrigem from ENTRADAS where Lancamento=old.Lancamento into :UnidOrigem;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      update produtos set QtdTotal=QtdTotal-old.Quantidade where Codigo=old.CodProduto;  /* V.Total  calc automatico */
   end
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TRSAIESTOQUEITEM
ACTIVE BEFORE INSERT POSITION 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(20);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
   end
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TREXCSAIESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(20);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
begin
   select CodUnidadeDestino, Tipo from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end
    
     /* Estornar Baixa do Lote */
     if ((old.lote <> '') and (old.lote is not null)) then
     begin
         select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
            into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
         if (:QtdAnt is null) then
         begin
            insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade );
         end
         else begin
            update Estoqueslotes set Estoque=Estoque + old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
         end
     end
    
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

   end
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TRCONFALTESTOQUE
ACTIVE AFTER INSERT POSITION 0
as
declare variable EstoqueAnt numeric(18,4);
begin
   if (new.lote is null) then
   begin
       select Estoque from Estoques where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto
           into :EstoqueAnt;
       if (:EstoqueAnt is null) then  /* se nao existe o reg correspondente */
       begin
          insert into Estoques(CodUnidade,CodProduto,Estoque) values(new.CodUnidade,new.CodProduto,new.EstoqueApos);
       end
       else begin
          update Estoques set Estoque=new.EstoqueApos where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
       end
       update Produtos set QtdTotal=QtdTotal+(new.EstoqueApos-new.EstoqueAntes),
          CustoMedio=new.CustoApos where Codigo=new.CodProduto; /* V.Total  computed by */
   end
   else begin
       select Estoque from EstoquesLotes where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto and Lote=new.lote
           into :EstoqueAnt;
       if (:EstoqueAnt is null) then  /* se nao existe o reg correspondente */
       begin
          insert into EstoquesLotes(CodUnidade, CodProduto, Lote, Estoque) values(new.CodUnidade,new.CodProduto,new.lote,new.estloteapos);
       end
       else begin
          update EstoquesLotes set Estoque=new.estloteapos where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto and Lote=new.lote;
       end
   end
end
^
SET TERM ; ^

SET TERM ^ ;
CREATE PROCEDURE SP_NOVOLOTES
AS
DECLARE VARIABLE CODPRODUTO BIGINT;
DECLARE VARIABLE LOTE VARCHAR(20);
DECLARE VARIABLE CODUNIDADE INTEGER;
DECLARE VARIABLE QTDENTRADA NUMERIC(15,2);
DECLARE VARIABLE QTDSAIDA NUMERIC(18,4);
DECLARE VARIABLE DTVALIDADE DATE;
DECLARE VARIABLE X VARCHAR(20);
begin
  /* Procedure Text */
  for select CodProduto, Lote, CodUnidade, QtdEntrada, QtdSaida, DtValidade
      from Lotes
      where QtdEntrada > QtdSaida
      order by codproduto, Lote
      into :CodProduto, :Lote, :CodUnidade, :QtdEntrada, :QtdSaida, :DtValidade do
  begin
    select lote from novolotes where codproduto=:codproduto and lote=:LOTE
      into :x;
    if (x is null) then
    begin
        INSERT INTO NOVOLOTES(CodProduto, Lote, DtValidade) values(:CodProduto, :Lote, :DtValidade);
    end
    INSERT INTO CONFALTESTOQUE(CodProduto, CodUnidade, DataHora, Usuario, Onde, Lote, EstLoteApos)
                        values(:CodProduto, :CodUnidade, '01.01.2011', 'bkr', 'Script 1.68', :Lote, :QtdEntrada-:QtdSaida);
  end
  suspend;
end
^
SET TERM ; ^

execute procedure sp_novolotes;
