UPDATE TABDIV SET VERSAOBANCO='1.70';
COMMIT;

ALTER TABLE ESTABELECIMENTOS ALTER TIPOESTAB TYPE VARCHAR(150) CHARACTER SET NONE;
ALTER TABLE PESSOAS ALTER OUTROCOD TYPE VARCHAR(50) CHARACTER SET NONE;
ALTER TABLE PESSOAS ALTER ZONAELEITORAL TYPE VARCHAR(4) CHARACTER SET NONE;
ALTER TABLE PESSOAS
    ALTER NOMEPAI TYPE VARCHAR(70) CHARACTER SET NONE,
    ALTER NOMEMAE TYPE VARCHAR(70) CHARACTER SET NONE;


CREATE TABLE CNS_ENDERECOS (
    CO_ENDERECO          VARCHAR(50),
    CO_MUNICIPIO         VARCHAR(7),
    CO_TIPO_LOGRADOURO   VARCHAR(5),
    NO_LOGRADOURO        VARCHAR(50),
    NU_LOGRADOURO        VARCHAR(10),
    NO_COMPL_LOGRADOURO  VARCHAR(50),
    NO_BAIRRO            VARCHAR(50),
    CO_CEP               VARCHAR(8),
    NU_DDD               VARCHAR(10),
    NU_TELEFONE          VARCHAR(20),
    DS_USO_MUNICIPAL     VARCHAR(30),
    NU_DDD_FAX           VARCHAR(11),
    NU_FAX               VARCHAR(20),
    DT_OPERACAO          VARCHAR(20),
    NU_VERSAO            VARCHAR(10),
    CO_ORIGEM            VARCHAR(10),
    ST_CONTROLE          VARCHAR(1),
    ST_EXCLUIDO          VARCHAR(1),
    ST_ATIVO             VARCHAR(1),
    FL_ERROS             VARCHAR(100),
    ST_JA_RETORNOU       VARCHAR(10));

CREATE TABLE CNS_USUARIO (
    CO_ENDERECO              VARCHAR(50),
    CO_USUARIO               VARCHAR(70),
    NO_USUARIO               VARCHAR(70),
    DT_NASCIMENTO            VARCHAR(10),
    CO_MUNICIPIO_NASC        VARCHAR(10),
    NO_MAE                   VARCHAR(70),
    NO_PAI                   VARCHAR(70),
    ST_PROFISSIONAL          VARCHAR(10),
    ST_FREQUENTA_ESCOLA      VARCHAR(10),
    DS_FREQUENTA_ESCOLA      VARCHAR(30),
    DS_EMAIL                 VARCHAR(100),
    DS_USO_MUNICIPAL         VARCHAR(50),
    CO_RACA                  VARCHAR(2),
    DS_RACA                  VARCHAR(20),
    CO_ESTADO_CIVIL          VARCHAR(2),
    DS_ESTADO_CIVIL          VARCHAR(20),
    CO_SITUACAO_FAMILIAR     VARCHAR(10),
    DS_SITUACAO_FAMILIAR     VARCHAR(20),
    CO_PAIS                  VARCHAR(5),
    DS_PAIS                  VARCHAR(50),
    CO_SGRP_CBO              VARCHAR(20),
    CO_ESCOLARIDADE          VARCHAR(5),
    DS_ESCOLARIDADE          VARCHAR(30),
    NU_DDD                   VARCHAR(5),
    NU_TELEFONE              VARCHAR(20),
    NU_DDD_2                 VARCHAR(10),
    NU_TELEFONE_2            VARCHAR(20),
    CO_SEXO                  VARCHAR(2),
    DS_SEXO                  VARCHAR(20),
    DT_INCLUSAO              VARCHAR(20),
    DT_PREENCHIMENTO_FORM    VARCHAR(20),
    CO_MUNICIPIO_RESIDENCIA  VARCHAR(7),
    ST_SEM_DOCUMENTO         VARCHAR(10),
    NU_USUARIO_NO_DOMICILIO  VARCHAR(10),
    ST_CONTROLE              VARCHAR(1),
    ST_EXCLUIDO              VARCHAR(1),
    DT_OPERACAO              VARCHAR(20),
    NU_VERSAO                VARCHAR(10),
    CO_LOTE                  VARCHAR(70),
    CO_DOMICILIO             VARCHAR(50),
    ST_VIVO                  VARCHAR(1),
    FL_ERROS                 VARCHAR(100),
    ST_CONFIRMACAO_HOMONIMO  VARCHAR(10),
    ST_ENVIO_CEF             VARCHAR(10));

CREATE TABLE CNS_DOCUMENTOS (
    CO_USUARIO                 VARCHAR(70),
    CO_TIPO_DOCUMENTO          VARCHAR(5),
    DS_TIPO_DOCUMENTO          VARCHAR(30),
    CO_ORGAO_EMISSOR           VARCHAR(10),
    DS_ORGAO_EMISSOR           VARCHAR(50),
    NO_CARTORIO                VARCHAR(40),
    NU_LIVRO                   VARCHAR(10),
    NU_FOLHA                   VARCHAR(10),
    NU_TERMO                   VARCHAR(10),
    CO_NAC_SERVENTIA           VARCHAR(20),
    CO_ACERVO                  VARCHAR(20),
    CO_REGISTRO_CIVIL_PESSOAS  VARCHAR(50),
    NU_ANO_REGISTRO            VARCHAR(10),
    TP_LIVRO_REGISTRO          VARCHAR(10),
    NU_LIVRO_NOVACERT          VARCHAR(10),
    NU_FOLHA_NOVACERT          VARCHAR(10),
    NU_TERMO_NOVACERT          VARCHAR(10),
    NU_DV_NOVACERT             VARCHAR(10),
    NU_DNV                     VARCHAR(10),
    DT_EMISSAO                 VARCHAR(10),
    DT_CHEGADA_BRASIL          VARCHAR(20),
    NU_PORTARIA                VARCHAR(10),
    DT_NATURALIZACAO           VARCHAR(20),
    NU_DOCUMENTO               VARCHAR(30),
    NU_DOCUMENTO_COMPL         VARCHAR(10),
    NU_SERIE                   VARCHAR(10),
    NU_ZONA_ELEITORAL          VARCHAR(10),
    SG_UF                      VARCHAR(10),
    DS_UF                      VARCHAR(50),
    NU_SECAO_ELEITORAL         VARCHAR(10),
    ST_CONTROLE                VARCHAR(10),
    ST_EXCLUIDO                VARCHAR(10),
    DT_OPERACAO                VARCHAR(20),
    NU_VERSAO                  VARCHAR(10),
    FL_ERROS                   VARCHAR(100),
    CO_NUMERO_CARTAO           VARCHAR(20),
    CO_NUMERO_PIS              VARCHAR(20));

CREATE TABLE CNS_CARTAO(
    CO_NUMERO_CARTAO VARCHAR(20),
    CO_USUARIO VARCHAR(70),
    TP_CARTAO VARCHAR(10),
    DT_ATRIBUICAO VARCHAR(20),
    ST_CONTROLE VARCHAR(10),
    ST_EXCLUIDO VARCHAR(10),
    DT_OPERACAO VARCHAR(20),
    NU_VERSAO VARCHAR(10),
    FL_ERROS VARCHAR(100));


-- vou usar monitoramento de estoque para todos os clientes
CREATE TABLE MONITORA_ESTOQUE (
    TABELA           VARCHAR(20),
    TIPO             VARCHAR(10),
    ACAO             CHAR(1),
    LANCAMENTO       INTEGER,
    CODPRODUTO       INTEGER,
    CODUNIDADE       INTEGER,
    ESTANTERIOR      NUMERIC(10,2),
    QUANTIDADE       NUMERIC(10,2),
    DATA             DATE,
    CODOUTRAUNIDADE  INTEGER,
    USUARIO          VARCHAR(50),
    DATALANC         TIMESTAMP
);

SET TERM ^ ;
ALTER TRIGGER TRENTESTOQUEITEM
ACTIVE BEFORE INSERT OR UPDATE POSITION 0
as
declare variable qtd numeric(18,4);
declare variable vlr numeric(18,4);
declare variable TotalAnt numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable QtdTotAnt numeric(18,4);
declare variable UnitAtual numeric(18,8);
declare variable TotalAtual numeric(18,4);
declare variable UnidOrigem integer;
declare variable xTipo varchar(10);
declare variable xData date;
declare variable xDataHora timestamp;
declare variable xAcao varchar(1);
begin
  if ((old.quantidade <> new.quantidade) or (old.quantidade is null)) then  -- se mudou outros dados q nao a quantidade nao precisa entrar aqui
  begin
      /* Deve ser before p/ inserir a Unid e Prod na tabela Estoques ANTES de
      inserir nesta, evitando assim erro de foreign key */
       if (old.quantidade is null) then
       begin
          qtd = new.quantidade;
          vlr = new.ValorTotal;
          xAcao = 'I';
       end
       else begin
          qtd = new.quantidade - old.quantidade;
          vlr = new.ValorTotal - old.ValorTotal;
          xAcao = 'U';
       end
    
       select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAnt is null) then
       begin
          insert into Estoques (CodUnidade, CodProduto, Estoque) values (new.CodUnidade, new.CodProduto, :qtd);
       end
       else begin
          update Estoques set Estoque=Estoque+:qtd where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
       end
    
       select CodUnidadeOrigem, Tipo, Data from ENTRADAS where Lancamento=new.Lancamento into :UnidOrigem, :xTipo, xData;
       if ((:UnidOrigem is null) and (old.quantidade is null)) then   -- old.quantidade is null para entrar aqui somente nas inclusoes
       begin /* a partir daqui calcular o custo, caso no seja transf interna */
          TotalAnt = 0;
          QtdTotAnt = 0;
          UnitAtual = 0;
          TotalAtual = 0;
          select QtdTotal, ValorAcumulado from Produtos where Codigo=new.CodProduto
             into :QtdTotAnt, :TotalAnt;
          if ((:QtdTotAnt < 0) or (:TotalAnt < 0))then
          begin
             UnitAtual = new.ValorUnitario;
          end
          else begin
             TotalAtual = :TotalAnt + :vlr;
             UnitAtual = :TotalAtual / (:QtdTotAnt + :qtd);
          end
          update produtos set QtdTotal=QtdTotal+:qtd, CustoMedio=:UnitAtual, UltimoCusto=new.ValorUnitario
                 where Codigo=new.CodProduto;  /* V.Total  calc automatico */
       end
  end
  /* monitoramento de estoque - sao valerio do sul */
  if (:QtdAnt is null) then
  begin
     QtdAnt = 0;  -- pra gravar no monitoramento
  end
  select current_timestamp from rdb$database into :xDataHora;
  INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
     VALUES('ItensEntradas',:xTipo,:xAcao,new.Lancamento,new.CodProduto,new.CodUnidade,:QtdAnt,:qtd,:xData,:UnidOrigem,'',:xDataHora);
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TREXCENTESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable QtdAnt numeric(18,4);
declare variable UnidOrigem integer;
declare variable xTipo varchar(10);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade*(-1) );
   end
   else begin
      update Estoques set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   -- baixar do lote
   if ((old.lote <> '') and (old.lote is not null)) then
   begin
       select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
          into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAnt is null) then
       begin
          insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade*(-1) );
       end
       else begin
          update Estoqueslotes set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
       end
   end

   select CodUnidadeOrigem, Data, Tipo from ENTRADAS where Lancamento=old.Lancamento into :UnidOrigem, :xData, :xTipo;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      update produtos set QtdTotal=QtdTotal-old.Quantidade where Codigo=old.CodProduto;  /* V.Total  calc automatico */
   end
   select current_timestamp from rdb$database into :xDataHora;
   INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
     VALUES('ItensEntradas',:xTipo,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidOrigem,'',:xDataHora);
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TRSAIESTOQUEITEM
ACTIVE BEFORE INSERT POSITION 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(20);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida, :xUsuario, :xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;
     update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
     /* monitoramento de estoque - sao valerio do sul */
     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'I',new.Lancamento,new.CodProduto,new.CodUnidade,:QtdAnt,new.Quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);

   end
end
^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TREXCSAIESTOQUEITEM
ACTIVE AFTER DELETE POSITION 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(20);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data  from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida, xUsuario, xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end
    
     /* Estornar Baixa do Lote */
     if ((old.lote <> '') and (old.lote is not null)) then
     begin
         select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
            into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
         if (:QtdAnt is null) then
         begin
            insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade );
         end
         else begin
            update Estoqueslotes set Estoque=Estoque + old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
         end
     end
    
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);
   end
end
^
SET TERM ; ^



