UPDATE TABDIV SET VERSAOBANCO='1.73';
UPDATE PRESENCAENCONTROS SET PRESENCA='P' WHERE PRESENCA='X';
COMMIT;

ALTER TABLE GRUPOSDERISCO ADD CODRELCRAS VARCHAR(3);

SET TERM ^ ;

CREATE OR ALTER procedure SPMOVIMENTACAOESTOQUE (
    DTINICIAL timestamp,
    DTFINAL timestamp)
returns (
    PCODPRODUTO bigint,
    PDESCRICAO varchar(100),
    PUNIDADE varchar(10),
    PCODGRUPO integer,
    PESTANTERIOR numeric(18,2),
    PVALUNITANTERIOR numeric(18,4),
    PVALTOTALANTERIOR numeric(18,2),
    PQUANTENTRADA numeric(18,2),
    PVALORENTRADA numeric(18,2),
    PQUANTSAIDA numeric(18,2),
    PVALORSAIDA numeric(18,2),
    PESTATUAL numeric(18,2),
    PVALUNITATUAL numeric(18,6),
    PVALTOTALATUAL numeric(18,2))
as
declare variable VESTOQUE numeric(18,2);
declare variable VQTDENTAPOS numeric(18,2);
declare variable VQTDSAIAPOS numeric(18,2);
declare variable VVALENTAPOS numeric(18,2);
declare variable VVALSAIAPOS numeric(18,2);
declare variable ESTGRAVADO numeric(18,2);
declare variable VALGRAVADO numeric(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
--    where (codgrupo >= :codgrupo1) and (codgrupo <= :codgrupo2)
 --   where (codgrupo=:codgrupo) or (:codgrupo=0)
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATARECEB > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA > :DTFINAL AND (S.TIPO='EXTERNO' OR S.TIPO='PERDA')
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATARECEB >= :DTINICIAL and E.DATARECEB <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL AND (S.TIPO='EXTERNO' OR S.TIPO='PERDA')
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;

    SELECT FIRST 1 ESTOQUE, VALOR FROM RESUMOCONTABIL WHERE DATAINICIO=:DTINICIAL AND CODPRODUTO=:pcodproduto
      INTO :ESTGRAVADO, VALGRAVADO;
    if ((:ESTGRAVADO IS NOT NULL) AND (:valgravado IS NOT NULL)
    and (:ESTGRAVADO=PESTANTERIOR) AND (valgravado<>pvaltotalanterior)) then
    BEGIN
      PVALORSAIDA = valgravado + pvalorentrada - pvaltotalatual;
      if (PVALORSAIDA < 0) then
      BEGIN
        PVALORSAIDA = 0;
      END
      PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    END

    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end^

SET TERM ; ^


