UPDATE TABDIV SET VERSAOBANCO='1.74';
UPDATE ENTRADAS SET DATARECEB=DATA WHERE DATARECEB IS NULL;
COMMIT;

ALTER TABLE RESUMOCONTABIL ADD CODUNIDADE INTEGER;

SET TERM ^ ;

ALTER PROCEDURE SPMOVIMENTACAOESTOQUE (
    DTINICIAL TIMESTAMP,
    DTFINAL TIMESTAMP,
    PCODUNIDADE INTEGER)
RETURNS (
    PCODPRODUTO BIGINT,
    PDESCRICAO VARCHAR(100),
    PUNIDADE VARCHAR(10),
    PCODGRUPO INTEGER,
    PESTANTERIOR NUMERIC(18,2),
    PVALUNITANTERIOR NUMERIC(18,4),
    PVALTOTALANTERIOR NUMERIC(18,2),
    PQUANTENTRADA NUMERIC(18,2),
    PVALORENTRADA NUMERIC(18,2),
    PQUANTSAIDA NUMERIC(18,2),
    PVALORSAIDA NUMERIC(18,2),
    PESTATUAL NUMERIC(18,2),
    PVALUNITATUAL NUMERIC(18,6),
    PVALTOTALATUAL NUMERIC(18,2))
AS
DECLARE VARIABLE VESTOQUE NUMERIC(18,2);
DECLARE VARIABLE VESTOQUEUNIDADE NUMERIC(18,2);
DECLARE VARIABLE VQTDENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VQTDSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE ESTGRAVADO NUMERIC(18,2);
DECLARE VARIABLE VALGRAVADO NUMERIC(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    if (:PCODUNIDADE IS NOT NULL) then
    begin
      VESTOQUEUNIDADE = 0;
      select E.ESTOQUE FROM ESTOQUES E WHERE E.CODPRODUTO=:PCODPRODUTO AND E.CODUNIDADE=:PCODUNIDADE
            into VEstoqueUnidade;
      if ((:VESTOQUEUNIDADE is null) or (:VESTOQUEUNIDADE=0)) then
      begin
        VESTOQUE = 0;
        PVALTOTALATUAL = 0;
      end
      else begin
        VESTOQUE = :VESTOQUEUNIDADE;
        PVALTOTALATUAL = (:VESTOQUE*:PVALUNITATUAL);
      end
    end
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATARECEB > :DTFINAL
          AND (E.TIPO='EXTERNO' OR :PCODUNIDADE IS NOT NULL)
          AND (IE.CODUNIDADE=:PCODUNIDADE OR :PCODUNIDADE IS NULL)
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA > :DTFINAL
          AND ((S.TIPO='EXTERNO' OR S.TIPO='PERDA') OR :PCODUNIDADE IS NOT NULL)
          AND (ITS.CODUNIDADE=:PCODUNIDADE OR :PCODUNIDADE IS NULL)
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATARECEB >= :DTINICIAL and E.DATARECEB <= :DTFINAL
          AND (E.TIPO='EXTERNO' OR :PCODUNIDADE IS NOT NULL)
          AND (IE.CODUNIDADE=:PCODUNIDADE OR :PCODUNIDADE IS NULL)
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL
          AND ((S.TIPO='EXTERNO' OR S.TIPO='PERDA') OR :PCODUNIDADE IS NOT NULL)
          AND (ITS.CODUNIDADE=:PCODUNIDADE OR :PCODUNIDADE IS NULL)
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;

    SELECT FIRST 1 ESTOQUE, VALOR FROM RESUMOCONTABIL
      WHERE DATAINICIO=:DTINICIAL AND CODPRODUTO=:pcodproduto AND (CODUNIDADE=:PCODUNIDADE OR :PCODUNIDADE IS NULL)
      INTO :ESTGRAVADO, VALGRAVADO;
    if ((:ESTGRAVADO IS NOT NULL) AND (:valgravado IS NOT NULL)
    and (:ESTGRAVADO=PESTANTERIOR) AND (valgravado<>pvaltotalanterior)) then
    BEGIN
      PVALORSAIDA = valgravado + pvalorentrada - pvaltotalatual;
      if (PVALORSAIDA < 0) then
      BEGIN
        PVALORSAIDA = 0;
      END
      PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    END

    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end

^

SET TERM ; ^


