/* alterei no fonte para nao precisar o comando abaixo */
--ALTER TABLE PATRIMONIOFAMILIA DROP CONSTRAINT FK_PATRIMONIOFAMILIA_CODFAMILIA;
UPDATE TABDIV SET VERSAOBANCO='1.78';
COMMIT WORK;

ALTER TABLE GRUPOSDERISCO ADD DATAENCERRAMENTO DATE;
ALTER TABLE PARTICIPANTESGRUPOS ADD DATAINGRESSO DATE, ADD DATAEGRESSO DATE;
UPDATE PARTICIPANTESGRUPOS SET DATAINGRESSO='01.01.1900';
COMMIT WORK;

CREATE TABLE FORMAACESSOCRAS(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(100));
ALTER TABLE FORMAACESSOCRAS ADD CONSTRAINT PK_FORMAACESSOCRAS PRIMARY KEY(CODIGO);
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (1, 'Por demanda espontnea');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (2, 'Em decorrncia de Busca Ativa realizada pela equipe da unidade');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (3, 'Em decorrncia de encaminhamento realizado por outros servios/unidades da Proteo Social Bsica');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (4, 'Em decorrncia de encaminhamento realizado por outros servios/unidades da Proteo Social Especial');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (5, 'Em decorrncia de encaminhamento realizado pela rea de Sade');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (6, 'Em decorrncia de encaminhamento realizado pela rea de Educao');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (7, 'Em decorrncia de encaminhamento realizado por outras polticas setoriais');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (8, 'Em decorrncia de encaminhamento realizado pelo Conselho Tutelar');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (9, 'Em decorrncia de encaminhamento realizado por Poder Judicirio');
INSERT INTO FORMAACESSOCRAS(CODIGO, DESCRICAO) VALUES (10, 'Em decorrncia de encaminhamento realizado por outros rgos do Sistema de Garantia de Direitos');
COMMIT WORK;

CREATE TABLE CADPAIF(
    CODUNIDADE INTEGER NOT NULL,
    CODPESSOA INTEGER NOT NULL,
    DATA DATE,
    CODFORMAACESSO INTEGER,
    OBS VARCHAR(500),
    DATAEXCLUSAO DATE);
ALTER TABLE CADPAIF ADD CONSTRAINT PK_CADPAIF PRIMARY KEY(CODUNIDADE, CODPESSOA);
ALTER TABLE CADPAIF ADD CONSTRAINT FK_CADPAIF_UNIDADE
    FOREIGN KEY(CODUNIDADE) REFERENCES UNIDADES(CODIGO)
    ON UPDATE CASCADE ON DELETE NO ACTION;
ALTER TABLE CADPAIF ADD CONSTRAINT FK_CADPAIF_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE CADPAIF ADD CONSTRAINT FK_CADPAIF_ACESSO
    FOREIGN KEY(CODFORMAACESSO) REFERENCES FORMAACESSOCRAS(CODIGO)
    ON UPDATE CASCADE ON DELETE SET NULL;

--DROP TABLE TIPOSENCCRAS;
CREATE TABLE TIPOSENCCRAS(
    CODIGO VARCHAR(2) NOT NULL,
    DESCRICAO VARCHAR(150));
ALTER TABLE TIPOSENCCRAS ADD CONSTRAINT PK_TIPOSENCCRAS PRIMARY KEY(CODIGO);
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('00','Incluso da Famlia em acompanhamento pelo PAEFI (marcao exclusiva para CREAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('01','Incluso da Famlia em acompanhamento pelo PAIF (marcao exclusiva para CRAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('05','Para Servios de Convivncia e Fortalecimento de Vnculos voltados a crianas e adolescentes (inclusive PETI e Projovem)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('06','Para Servios de Convivncia e Fortalecimento de Vnculos voltados para idosos');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('07','Para atualizao cadastral no CADNICO (inclusive quando realizada no prprio CRAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('08','Para incluso no CADNICO (inclusive quando realizada no prprio CRAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('09','Para o INSS, visando acesso ao BPC');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('10','Para o INSS visando acesso a outros direitos, que no o BPC');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('11','Para acesso a Benefcios Eventuais');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('12','Para acesso a Documentao Civil (Certido de Nascimento, RG, Carteira de Trabalho etc)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('13','Encaminhamento do CRAS para o CREAS (marcao exclusiva para CRAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('14','Encaminhamento do CREAS para o CRAS (marcao exclusiva para CREAS)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('15','Encaminhamento para outras unidades/servios de Proteo Social Especial');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('30','Para Servios de Sade Bucal (por exemplo: Brasil Sorridente)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('31','Para Servios de Sade Mental');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('32','Para Servios de Sade voltados ao acesso de rteses e prteses para pessoas com deficincia');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('33','Para Unidades de Sade da Famlia');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('34','Para outros servios ou unidades do Sistema de nico de Sade');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('40','Para Educao  Creche e Pr-escola (ensino infantil)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('41','Para Educao - Rede regular de ensino (ensino fundamental e ensino mdio)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('42','Para Educao de Jovens de Adultos (por exemplo: Brasil Alfabetizado)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('50','Para Servios, Programas ou Projetos voltados  capacitao profissional');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('51','Para Servios, Programas ou Projetos voltados  gerao de trabalho e renda');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('52','Para Servios, Programas ou Projetos voltados  intermediao de mo-de-obra');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('53','Para acesso a microcrdito');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('60','Para Programas da rea de Habitao');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('61','Para acesso  Tarifa Social de Energia Eltrica');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('70','Para Conselho Tutelar');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('71','Para Poder Judicirio');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('72','Para Ministrio Pblico');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('73','Para Defensoria Pblica');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('74','Para Delegacias (especializadas, ou no).');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('85','Outras aes/encaminhamentos (cdigo livre, a ser utilizado conforme interesse especfico de cada municpio)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('86','Outras aes/encaminhamentos (cdigo livre, a ser utilizado conforme interesse especfico de cada municpio)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('87','Outras aes/encaminhamentos (cdigo livre, a ser utilizado conforme interesse especfico de cada municpio)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('88','Outras aes/encaminhamentos (cdigo livre, a ser utilizado conforme interesse especfico de cada municpio)');
INSERT INTO TIPOSENCCRAS(CODIGO, DESCRICAO) VALUES('89','Outras aes/encaminhamentos (cdigo livre, a ser utilizado conforme interesse especfico de cada municpio)');
COMMIT WORK;

CREATE TABLE LOCAISENCPAIF(
    CODIGO INTEGER NOT NULL,
    CODTIPO VARCHAR(2),
    DESCRICAO VARCHAR(60),
    ENDERECO VARCHAR(100),
    CIDADE VARCHAR(50),
    FONES VARCHAR(50),
    RESPONSAVEL VARCHAR(60),
    CONTATO VARCHAR(60),
    OBS VARCHAR(200));
ALTER TABLE LOCAISENCPAIF ADD CONSTRAINT PK_LOCAISENCPAIF PRIMARY KEY(CODIGO);

--DROP TABLE ENCAMINHAMENTOSPAIF;
CREATE TABLE ENCAMINHAMENTOSPAIF(
    ID INTEGER NOT NULL,
    CODUNIDADE INTEGER NOT NULL,
    CODPESSOA INTEGER NOT NULL,
    DATA DATE,
    CODLOCAL integer, 
    CODTIPOENC VARCHAR(2),
    OBS VARCHAR(500));
ALTER TABLE ENCAMINHAMENTOSPAIF ADD CONSTRAINT PK_ENCAMINHAMENTOSPAIF PRIMARY KEY(ID);
ALTER TABLE ENCAMINHAMENTOSPAIF ADD CONSTRAINT FK_ENCAMINHAMENTOSPAIF_UNIDADE
    FOREIGN KEY(CODUNIDADE) REFERENCES UNIDADES(CODIGO)
    ON UPDATE CASCADE ON DELETE NO ACTION;
ALTER TABLE ENCAMINHAMENTOSPAIF ADD CONSTRAINT FK_ENCPAIF_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE ENCAMINHAMENTOSPAIF ADD CONSTRAINT FK_ENCPAIF_TIPO
    FOREIGN KEY(CODTIPOENC) REFERENCES TIPOSENCCRAS(CODIGO)
    ON UPDATE CASCADE ON DELETE SET NULL;
ALTER TABLE ENCAMINHAMENTOSPAIF ADD CONSTRAINT FK_ENCPAIF_LOCAL
    FOREIGN KEY(CODLOCAL) REFERENCES LOCAISENCPAIF(CODIGO)
    ON UPDATE CASCADE ON DELETE SET NULL;

SET TERM ^ ;
CREATE PROCEDURE SP_CADPAIF
AS
DECLARE VARIABLE CODUNIDADE INTEGER;
DECLARE VARIABLE CODPESSOA INTEGER;
DECLARE VARIABLE CODRESP INTEGER;
DECLARE VARIABLE DATAINCPAIF DATE;
DECLARE VARIABLE ICOD INTEGER;
begin
  /* Procedure Text */
  select codigo from unidades where UPPER(nome) like '%CRAS%' into :CODUNIDADE;
  for select Codigo, Codtitular, DtIncPaif from pessoas where dtincpaif is not null order by codigo
      into :CODPESSOA, :CODRESP, :DATAINCPAIF do
  begin
    if (:CODRESP is not null) then
    begin
      ICOD = :CODRESP;
    end
    else if (:CODPESSOA is not null) then
    begin
      ICOD = :CODPESSOA;
    end
    CODPESSOA = NULL;
    select codpessoa from CadPaif WHERE CODUNIDADE=:CODUNIDADE AND CODPESSOA=:ICOD
        into :CODPESSOA;
    if (:CODPESSOA is null) then
    begin
      INSERT INTO CADPAIF(CODUNIDADE, CODPESSOA, DATA, OBS) VALUES(:CODUNIDADE, :ICOD, :DATAINCPAIF, 'Imp.Cad.');
    end
  end
  suspend;
end
^
SET TERM ; ^

execute procedure SP_CADPAIF;
COMMIT WORK;
