UPDATE TABDIV SET VERSAOBANCO='1.86';
COMMIT;

-- A ALTERACAO ABAIXO  NECESSARIA PARA TRABALHAR COM CODIGOS DE BARRAS NOS PRODUTOS
UPDATE RDB$RELATION_FIELDS SET
RDB$FIELD_SOURCE = 'COD_PRODUTO'
WHERE (RDB$FIELD_NAME = 'CODPRODUTO') AND
(RDB$RELATION_NAME = 'MONITORA_ESTOQUE');

ALTER TABLE PRODUTOS ADD QTDCODBARRAS INTEGER;
UPDATE PRODUTOS SET QTDCODBARRAS=0;

ALTER TABLE SOLICITACOES ADD DATAHORAAGEND TIMESTAMP;

CREATE TABLE SOLICVEICULOS(
    REQUERIMENTO INTEGER NOT NULL,
    CODVEICULO INTEGER NOT NULL,
    QUANTISENTO NUMERIC(10,2),
    QUANTCOBRADO NUMERIC(10,2),
    VALORUNIT NUMERIC(10,2),
    OBS VARCHAR(200));
ALTER TABLE solicveiculos ADD CONSTRAINT PK_SOLICVEICULOS PRIMARY KEY(REQUERIMENTO, CODVEICULO);
ALTER TABLE solicveiculos ADD CONSTRAINT FK_SOLICVEICULOS_SOLICITACAO
    FOREIGN KEY(REQUERIMENTO) REFERENCES SOLICITACOES(REQUERIMENTO)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE solicveiculos ADD CONSTRAINT FK_SOLICVEICULOS_VEICULO
    FOREIGN KEY(CODVEICULO) REFERENCES VEICULOS(CODIGO)
    ON DELETE NO ACTION ON UPDATE CASCADE;

ALTER TABLE VEICULOS ADD VALORUNIT NUMERIC(10,2);

ALTER TABLE PESSOAS ALTER ESTADOCIVIL TYPE VARCHAR(30) CHARACTER SET NONE;
ALTER TABLE PESSOAS ALTER SEXO TYPE VARCHAR(15) CHARACTER SET NONE;
ALTER TABLE PESSOAS ADD EMAIL VARCHAR(80);
ALTER TABLE PESSOAS DROP CONSTRAINT FK_PESSOAS_CEPNASC;
ALTER TABLE PESSOAS DROP CONSTRAINT FK_PESSOAS_CEPRESID;

ALTER TABLE GRAUSINSTRUCAO ALTER DESCRICAO TYPE VARCHAR(80) CHARACTER SET NONE;
ALTER TABLE GRAUSINSTRUCAO DROP CODIGOESUS;
ALTER TABLE GRAUSINSTRUCAO ADD CODIGOESUS VARCHAR(2);
UPDATE GRAUSINSTRUCAO SET CODIGO=CODIGO+100;
COMMIT;
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (1, 1, 'Creche');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (2, 2, 'Pr-escola (exceto CA)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (3, 3, 'Classe Alfabetizada - CA');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (4, 4, 'Ensino Fundamental 1 a 4 sries');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (5, 5, 'Ensino Fundamental 5 a 8 sries');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (6, 6, 'Ensino Fundamental Completo');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (7, 7, 'Ensino Fundamental Especial');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (8, 8, 'Ensino Fundamental EJA - sries iniciais (Supletivo 1 a 4)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (9, 9, 'Ensino Fundamental EJA - sries iniciais (Supletivo 5 a 8)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (10,10, 'Ensino Mdio, Mdio 2 Ciclo (Cientfico, Tcnico e etc)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (11,11, 'Ensino Mdio Especial');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (12,12, 'Ensino Mdio EJA (Supletivo)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (13,13, 'Superior, Aperfeioamento, Especializao, Mestrado, Doutorado');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (14,14, 'Alfabetizao para Adultos (Mobral, etc)');
UPDATE OR INSERT INTO GRAUSINSTRUCAO(CODIGO, CODIGOESUS, DESCRICAO) VALUES (15,15, 'Nenhum');

UPDATE PESSOAS SET ESTADOCIVIL='SOLTEIRO' WHERE ESTADOCIVIL='Solteiro';
UPDATE PESSOAS SET ESTADOCIVIL='CASADO' WHERE ESTADOCIVIL='Casado';
UPDATE PESSOAS SET ESTADOCIVIL='VIVO' WHERE ESTADOCIVIL='Vivo';
UPDATE PESSOAS SET ESTADOCIVIL='SEPARADO JUDICIALMENTE' WHERE ESTADOCIVIL='Separado';
UPDATE PESSOAS SET ESTADOCIVIL='UNIO CONSENSUAL' WHERE ESTADOCIVIL='Unio Cons';

UPDATE PESSOAS SET SEXO=UPPER(SEXO);
COMMIT;

--DROP TABLE PESSOASESUS;
CREATE TABLE PESSOASESUS (
    CODIGO              INTEGER,
    OUTROCOD            VARCHAR(50),
    DTCADASTRO          DATE,
    CODDISTRITO         INTEGER,
    CODBAIRRO           INTEGER,
    ENDERECO            VARCHAR(40),
    CODCONJUGE          INTEGER,
    CODTITULAR          INTEGER,
    PARENTESCO          VARCHAR(20),
    DTNASCIMENTO        DATE,
    SEXO                VARCHAR(15),
    RACA                VARCHAR(10),
    NATURALIDADE        VARCHAR(40),
    UFNATURALIDADE      VARCHAR(2),
    FONE                VARCHAR(25),
    ESTADOCIVIL         VARCHAR(10),
    PISPASEP            VARCHAR(11),
    CPF                 VARCHAR(14),
    CERTIDAO            VARCHAR(50),
    CARTORIO            VARCHAR(40),
    DTCERTIDAO          DATE,
    IDENTIDADE          VARCHAR(15),
    UFIDENTIDADE        VARCHAR(2),
    BLOCOPRODUTOR       VARCHAR(11),
    CTPS                VARCHAR(7),
    UFCTPS              VARCHAR(2),
    TITULOELEITORAL     VARCHAR(20),
    ZONAELEITORAL       VARCHAR(4),
    SECAOELEITORAL      VARCHAR(4),
    NOMEPAI             VARCHAR(70),
    NOMEMAE             VARCHAR(70),
    GRAUINSTRUCAO       INTEGER,
    ESTUDANTE           VARCHAR(3),
    PROFISSAO           VARCHAR(80),
    LOCALPROFISSAO      VARCHAR(40),
    RENDA               DINHEIRO,
    APOSENTADORIA       VARCHAR(10),
    CONVENIOSAUDE       VARCHAR(10),
    RESIDECOMFAMILIA    VARCHAR(3),
    OBS                 VARCHAR(100),
    CARTAOSUS           VARCHAR(20),
    DATADESATIVADO      DATE,
    MOTIVODESATIVADO    VARCHAR(50),
    NIS                 VARCHAR(20),
    BOLSAFAMILIA        VARCHAR(3),
    CODDEFICIENCIA      INTEGER,
    DATANEGATIVA        DATE,
    AREA                INTEGER,
    MICROAREA           INTEGER,
    FAMILIA             INTEGER,
    NOME                VARCHAR(80) CHARACTER SET WIN1252 COLLATE PXW_INTL850,
    DTIDENTIDADE        DATE,
    ORGAOIDENTIDADE     VARCHAR(10),
    DTCTPS              DATE,
    SERIECTPS           VARCHAR(10),
    GRUPOSANGUINEO      VARCHAR(3),
    FATORRH             VARCHAR(1),
    DOADORSANGUE        CHAR(1),
    DOADORORGAOS        CHAR(1),
    VALBOLSAFAMILIA     DINHEIRO,
    APOSENTIDADE        CHAR(1),
    APOSENTINVALIDEZ    CHAR(1),
    APOSENTPENSAO       CHAR(1),
    APOSENTBPC          CHAR(1),
    NACIONALIDADE       VARCHAR(3),
    SISVAN              CHAR(1),
    DTATUALIZACAO       DATE,
    DTINCPAIF           DATE,
    PARECERSOCIAL       BLOB SUB_TYPE 1 SEGMENT SIZE 80,
    CEPMUNICNASC        VARCHAR(9),
    CEPRESIDENCIA       VARCHAR(9),
    NOMEBAIRRO          VARCHAR(200),
    ESCOLARIDADEESUS    VARCHAR(100),
    ST_FALECEU          INTEGER,
    NU_CNS_RESPONSAVEL  VARCHAR(20),
    DS_EMAIL            VARCHAR(100),
    ENDNUM              VARCHAR(5)
);


CREATE TABLE CIAPS (
    CODIGO     VARCHAR(8) NOT NULL,
    DESCRICAO  VARCHAR(254) NOT NULL);
ALTER TABLE CIAPS ADD CONSTRAINT PK_CIAPS PRIMARY KEY (CODIGO);

INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP009','Asma');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP019','Dengue');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP008','Desnutrio');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP006','Diabetes');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP010','DPOC');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP020','DST');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP018','Hansenase');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP005','Hipertenso Arterial');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP007','Obesidade');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP001','Pr-natal');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP004','Puericultura');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP002','Puerprio (at 42 dias)');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP023','Rastreamento de Cncer de mama');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP022','Rastreamento de Cncer do colo do tero');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP024','Rastreamento de Risco cardiovascular');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP015','Reabilitao');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP014','Sade Mental');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP003','Sade Sexual e Reprodutiva');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP011','Tabagismo');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP017','Tuberculose');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP012','Usurio de alcool');
INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('ABP013','Usurio de outras drogas');
COMMIT WORK;

CREATE TABLE FAACIAPS (
    NUMFAA      VARCHAR(11) NOT NULL,
    CODUNIDADE  INTEGER NOT NULL,
    CODCIAP     VARCHAR(8) NOT NULL);
ALTER TABLE FAACIAPS ADD CONSTRAINT PK_FAACIAPS PRIMARY KEY (NUMFAA, CODUNIDADE, CODCIAP);
ALTER TABLE FAACIAPS ADD CONSTRAINT FK_FAACIAPS_FAA FOREIGN KEY (NUMFAA, CODUNIDADE) REFERENCES FAA (NUMFAA, CODUNIDADE) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE PROFISSIONAIS ADD INE VARCHAR(10);

--- abaixo novos sql depois de implantar em salvador e pejuara:

INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('XXX1','Ficha de Procedimentos (PA, Glic., Temp., Altura, Curat., Peso, Coleta p/Lab.)');;

CREATE TABLE MOTIVOSVISITA (
    CODIGO     INTEGER NOT NULL,
    DESCRICAO  VARCHAR(80) NOT NULL);
ALTER TABLE MOTIVOSVISITA ADD CONSTRAINT PK_MOTIVOSVISITA PRIMARY KEY (CODIGO);

INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(1, ' CADASTRAMENTO_OU_ATUALIZACAO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(29, ' VISITA_PERIODICA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(2, 'BUSCA_ATIVA - CONSULTA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(3, 'BUSCA_ATIVA - EXAME');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(4, 'BUSCA_ATIVA - VACINA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(30, 'BUSCA_ATIVA - CONDICIONALIDADES_BOLSA_FAMILIA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(5, 'ACOMPANHAMENTO GESTANTE');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(6, 'ACOMPANHAMENTO PUERPERA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(7, 'ACOMPANHAMENTO RECEM_NASCIDO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(8, 'ACOMPANHAMENTO CRIANCA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(9, 'ACOMPANHAMENTO PESSOA_COM_DESNUTRICAO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(10, 'ACOMPANHAMENTO PESSOA_EM_REABILITACAO_OU_COM_DEFICIENCIA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(11, 'ACOMPANHAMENTO PESSOA_COM_HIPERTENSAO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(12, 'ACOMPANHAMENTO PESSOA_COM_DIABETES');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(13, 'ACOMPANHAMENTO PESSOA_COM_ASMA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(14, 'ACOMPANHAMENTO PESSOA_COM_DPOC_OU_ENFISEMA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(15, 'ACOMPANHAMENTO PESSOA_COM_CANCER');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(16, 'ACOMPANHAMENTO PESSOA_COM_OUTRAS_DOENCAS_CRONICAS');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(17, 'ACOMPANHAMENTO PESSOA_COM_HANSENIASE');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(18, 'ACOMPANHAMENTO PESSOA_COM_TUBERCULOSE');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(32, 'ACOMPANHAMENTO SINTOMATICOS_RESPORATORIOS');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(33, 'ACOMPANHAMENTO TABAGISTA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(19, 'ACOMPANHAMENTO DOMICILIADOS_OU_ACAMADOS');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(20, 'ACOMPANHAMENTO CONDICOES_DE_VULNERABILIDADE_SOCIAL');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(21, 'ACOMPANHAMENTO CONDICIONALIDADES_BOLSA_FAMILIA');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(22, 'ACOMPANHAMENTO SAUDE_MENTAL');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(23, 'ACOMPANHAMENTO USUARIO_DE_ALCOOL');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(24, 'ACOMPANHAMENTO USUARIO_DE_OUTRAS_DROGAS');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(25, 'OUTROS - EGRESSO_DE_INTERNACAO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(26, 'OUTROS - CONTROLE_DE_AMBIENTES_OU_VETORES');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(27, 'OUTROS - CONVITE_PARA_ATIVIDADES_COLETIVAS_OU_CAMPANHA_DE_SAUDE');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(31, 'OUTROS - ORIENTACAO_OU_PREVENCAO');
INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(28, 'OUTROS - OUTROS');
COMMIT;

ALTER TABLE FAA ADD DESFECHOVISITA CHAR(1);

CREATE TABLE FAAMOTVISITAS (
    NUMFAA      VARCHAR(11) NOT NULL,
    CODUNIDADE  INTEGER NOT NULL,
    CODMOTIVO   INTEGER NOT NULL);
ALTER TABLE FAAMOTVISITAS ADD CONSTRAINT PK_FAAMOTVISITAS PRIMARY KEY (NUMFAA, CODUNIDADE, CODMOTIVO);
ALTER TABLE FAAMOTVISITAS ADD CONSTRAINT FK_FAAMOTVISITAS_FAA FOREIGN KEY (NUMFAA, CODUNIDADE) REFERENCES FAA (NUMFAA, CODUNIDADE) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE TABLE CONDUTAS (
    CODIGO     INTEGER NOT NULL,
    DESCRICAO  VARCHAR(80) NOT NULL,
    FICHA      VARCHAR(10),
    CODIGOESUS INTEGER);
ALTER TABLE CONDUTAS ADD CONSTRAINT PK_CONDUTAS PRIMARY KEY (CODIGO);

INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(1, 'RETORNO_PARA_CONSULTA_AGENDADA', 'AT_INDIV', 1);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(2, 'RETORNO_PARA_CUIDADO_CONTINUADO_OU_PROGRAMADO', 'AT_INDIV', 2);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(3, 'AGENDAMENTO_PARA_GRUPOS', 'AT_INDIV', 12);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(4, 'AGENDAMENTO_PARA_NASF', 'AT_INDIV', 3);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(5, 'ALTA_DO_EPISODIO', 'AT_INDIV', 9);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(6, 'ENCAMINHAMENTO_INTERNO_NO_DIA', 'AT_INDIV', 11);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(7, 'ENCAMINHAMENTO_PARA_SERVICO_ESPECIALIZADO', 'AT_INDIV', 4);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(8, 'ENCAMINHAMENTO_PARA_CAPS', 'AT_INDIV', 5);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(9, 'ENCAMINHAMENTO_PARA_INTERNACAO_HOSPITALAR', 'AT_INDIV', 6);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(10, 'ENCAMINHAMENTO_PARA_URGENCIA', 'AT_INDIV', 7);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(11, 'ENCAMINHAMENTO_PARA_SERVICAO_ATENCAO_DOMICILIAR', 'AT_INDIV', 8);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(12, 'ENCAMINHAMENTO_INTERSETORIAL', 'AT_INDIV', 10);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(13, 'RETORNO_PARA_CONSULTA_AGENDADA',    'AT_ODONTO', 16);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(14, 'AGENDAMENTO_PARA_OUTROS_PROFISSIONAIS_AB',    'AT_ODONTO', 12);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(15, 'AGENDAMENTO_PARA_NASF',    'AT_ODONTO', 13);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(16, 'AGENDAMENTO_PARA_GRUPOS',    'AT_ODONTO', 14);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(17, 'TRATAMENTO_CONCLUIDO',    'AT_ODONTO', 15);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(18, 'PACIENTES_A_PACIENTES_COM_NECESSIDADES_ESPECIAIS',    'AT_ODONTO', 1);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(19, 'CIRURGIA_BMF',    'AT_ODONTO', 2);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(20, 'ENDODONTIA',    'AT_ODONTO', 3);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(21, 'ESTOMATOLOGIA',    'AT_ODONTO', 4);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(22, 'IMPLANTODONTIA',    'AT_ODONTO', 5);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(23, 'ODONTOPEDIATRIA',    'AT_ODONTO', 6);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(24, 'ORTODONTIA_ORTOPEDIA',    'AT_ODONTO', 7);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(25, 'PERIODONTIA',    'AT_ODONTO', 8);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(26, 'PROTESE_DENTARIA',    'AT_ODONTO', 9);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(27, 'RADIOLOGIA',    'AT_ODONTO', 10);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(28, 'OUTROS',    'AT_ODONTO', 11);
INSERT INTO CONDUTAS(CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES(29, 'NAO_SE_APLICA',    'AT_ODONTO', 99);
COMMIT;

ALTER TABLE FAA ADD CODCONDUTA INTEGER;
ALTER TABLE FAA ADD CONSTRAINT FK_FAA_CONDUTA FOREIGN KEY (CODCONDUTA) REFERENCES CONDUTAS(CODIGO) ON DELETE SET NULL ON UPDATE CASCADE;

ALTER TABLE FAA ADD TIPOCONSULTAODONTO VARCHAR(2);

CREATE TABLE FAAVIGBUCAL(
    NUMFAA      VARCHAR(11) NOT NULL,
    CODUNIDADE  INTEGER NOT NULL,
    CODVIGBUCAL INTEGER NOT NULL);
ALTER TABLE FAAVIGBUCAL ADD CONSTRAINT PK_FAAVIGBUCAL PRIMARY KEY (NUMFAA, CODUNIDADE, CODVIGBUCAL);
ALTER TABLE FAAVIGBUCAL ADD CONSTRAINT FK_FAAVIGBUCAL_FAA FOREIGN KEY (NUMFAA, CODUNIDADE) REFERENCES FAA (NUMFAA, CODUNIDADE) ON DELETE CASCADE ON UPDATE CASCADE;
    
CREATE TABLE FAAFORNECIMENTOS(
    NUMFAA      VARCHAR(11) NOT NULL,
    CODUNIDADE  INTEGER NOT NULL,
    CODFORNEC INTEGER NOT NULL);   -- (1) ESCOVA DENTAL, (2) CREME DENTAL, (3) FIO DENTAL
ALTER TABLE FAAFORNECIMENTOS ADD CONSTRAINT PK_FAAFORNECIMENTOS PRIMARY KEY (NUMFAA, CODUNIDADE, CODFORNEC);
ALTER TABLE FAAFORNECIMENTOS ADD CONSTRAINT FK_FAAFORNECIMENTOS_FAA FOREIGN KEY (NUMFAA, CODUNIDADE) REFERENCES FAA (NUMFAA, CODUNIDADE) ON DELETE CASCADE ON UPDATE CASCADE;




