UPDATE TABDIV SET VERSAOBANCO='1.87';
COMMIT;

ALTER TABLE FAAPROCED ADD FACE VARCHAR(6), ADD DENTE VARCHAR(2);
ALTER TABLE SUSPROCEDUNIF ADD CODPROCESUS VARCHAR(10);
ALTER TABLE ENCONTROSGRUPOS ADD TIPOATIVCOLETIVA VARCHAR(2);

create TABLE PUBLICOALVO(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(50));
ALTER TABLE PUBLICOALVO ADD CONSTRAINT PK_PUBLICOALVO PRIMARY KEY(CODIGO);

CREATE TABLE ENCONTROS_PUBLICO(
    ID_ENCONTRO INTEGER NOT NULL,
    CODPUBLICO INTEGER NOT NULL,
    OBS VARCHAR(100));
ALTER TABLE ENCONTROS_PUBLICO ADD CONSTRAINT PK_ENCONTROS_PUBLICO PRIMARY KEY(ID_ENCONTRO, CODPUBLICO);
ALTER TABLE ENCONTROS_PUBLICO ADD CONSTRAINT FK_ENCONTROSPUBL_ENCONTRO FOREIGN KEY (ID_ENCONTRO) REFERENCES ENCONTROSGRUPOS (ID_ENCONTRO) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE ENCONTROS_PUBLICO ADD CONSTRAINT FK_ENCONTROSPUBL_PUBLICO FOREIGN KEY (CODPUBLICO) REFERENCES PUBLICOALVO(CODIGO) ON DELETE CASCADE ON UPDATE CASCADE;

create TABLE TEMASSAUDE(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(50));
ALTER TABLE TEMASSAUDE ADD CONSTRAINT PK_TEMASSAUDE PRIMARY KEY(CODIGO);

CREATE TABLE ENCONTROS_TEMA(
    ID_ENCONTRO INTEGER NOT NULL,
    CODTEMA INTEGER NOT NULL,
    OBS VARCHAR(100));
ALTER TABLE ENCONTROS_TEMA ADD CONSTRAINT PK_ENCONTROS_TEMA PRIMARY KEY(ID_ENCONTRO, CODTEMA);
ALTER TABLE ENCONTROS_TEMA ADD CONSTRAINT FK_ENCONTROSTEMA_ENCONTRO FOREIGN KEY (ID_ENCONTRO) REFERENCES ENCONTROSGRUPOS (ID_ENCONTRO) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE ENCONTROS_TEMA ADD CONSTRAINT FK_ENCONTROSTEMA_TEMA FOREIGN KEY (CODTEMA) REFERENCES TEMASSAUDE(CODIGO) ON DELETE CASCADE ON UPDATE CASCADE;

UPDATE FAAPROCED SET DENTE='', FACE='' WHERE DENTE IS NULL;
COMMIT;

-- Fichas de Atend. Odontologico
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO001' WHERE CODIGO='0307020010';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO002' WHERE CODIGO='0307040143';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO003' WHERE CODIGO='0101020058';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO004' WHERE CODIGO='0101020066';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO005' WHERE CODIGO='0101020074';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO006' WHERE CODIGO='0307010015';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO007' WHERE CODIGO='0307040135';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO008' WHERE CODIGO='0307020029';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO009' WHERE CODIGO='0401010031';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO010' WHERE CODIGO='0101020082';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO011' WHERE CODIGO='0414020120';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO012' WHERE CODIGO='0414020138';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO013' WHERE CODIGO='0307040160';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO014' WHERE CODIGO='0307040070';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO015' WHERE CODIGO='';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO016' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO017' WHERE CODIGO='0307020070';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO018' WHERE CODIGO='0204010187';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO019' WHERE CODIGO='0307030016';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO020' WHERE CODIGO='0307030024';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO021' WHERE CODIGO='0307010023';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO022' WHERE CODIGO='0307010031';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO023' WHERE CODIGO='0307010040';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG018' WHERE CODIGO='0301100152';   -- CURIOSO ESTE CDIGO, MAS CONSTA NO DIC. DE DADOS DO E-SSU
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO025' WHERE CODIGO='0101020090';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO026' WHERE CODIGO='0414020383';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPO027' WHERE CODIGO='0414020405';
COMMIT;

-- Fichas de Procedimentos
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG001' WHERE CODIGO='';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG002' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG003' WHERE CODIGO='0301100047';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG004' WHERE CODIGO='0303080019';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG005' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG006' WHERE CODIGO='0301100063';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG007' WHERE CODIGO='0401010023';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG008' WHERE CODIGO='0401010031';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABEX004' WHERE CODIGO='0211020036';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG010' WHERE CODIGO='0201020033';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG011' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG012' WHERE CODIGO='0201010020';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG013' WHERE CODIGO='0211060100';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG014' WHERE CODIGO='0303090030';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG015' WHERE CODIGO='0404010300';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG016' WHERE CODIGO='0401010112';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG017' WHERE CODIGO='0404010270';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG018' WHERE CODIGO='0301100152';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG019' WHERE CODIGO='0401010066';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG020' WHERE CODIGO='0211060275';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG021' WHERE CODIGO='0406040290';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG022' WHERE CODIGO='0214010066';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG040' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG024' WHERE CODIGO='0214010058';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG024' WHERE CODIGO='0214010040';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG025' WHERE CODIGO='0214010090';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG026' WHERE CODIGO='0214010074';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG027' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG028' WHERE CODIGO='0301100020';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG029' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG030' WHERE CODIGO='0301100101';
--UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG031' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG032' WHERE CODIGO='';
UPDATE SUSPROCEDUNIF SET CODPROCESUS='ABPG' WHERE CODIGO='';
COMMIT;


UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (1, 'Retorno para consulta agendada', 'AT_INDIV', 1);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (2, 'Retorno para cuidado continuado ou programado', 'AT_INDIV', 2);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (3, 'Agendamento para Grupos', 'AT_INDIV', 12);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (4, 'Agendamento para NASF', 'AT_INDIV', 3);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (5, 'ALTA DO EPISDIO', 'AT_INDIV', 9);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (6, 'Encaminhamento interno no dia', 'AT_INDIV', 11);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (7, 'Encaminhamento para servio especializado', 'AT_INDIV', 4);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (8, 'Encaminhamento para CAPS', 'AT_INDIV', 5);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (9, 'Encaminhamento para internao hospitalar', 'AT_INDIV', 6);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (10, 'Encaminhamento para urgncia', 'AT_INDIV', 7);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (11, 'Encaminhamento para servio de ateno domiciliar', 'AT_INDIV', 8);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (12, 'Encaminhamento intersetorial', 'AT_INDIV', 10);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (13, 'Retorno para consulta agendada', 'AT_ODONTO', 16);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (14, 'Agendamento para outros profissionais AB', 'AT_ODONTO', 12);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (15, 'Agendamento para NASF', 'AT_ODONTO', 13);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (16, 'Agendamento para Grupos', 'AT_ODONTO', 14);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (17, 'TRATAMENTO CONCLUDO', 'AT_ODONTO', 15);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (18, 'Pacientes com necessidades especiais', 'AT_ODONTO', 1);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (19, 'Cirurgia BMF', 'AT_ODONTO', 2);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (20, 'Endodontia', 'AT_ODONTO', 3);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (21, 'Estomatologia', 'AT_ODONTO', 4);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (22, 'Implantodontia', 'AT_ODONTO', 5);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (23, 'Odontopediatria', 'AT_ODONTO', 6);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (24, 'Ortodontia/Ortopedia', 'AT_ODONTO', 7);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (25, 'Periodontia', 'AT_ODONTO', 8);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (26, 'Prtese dentria', 'AT_ODONTO', 9);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (27, 'Radiologia', 'AT_ODONTO', 10);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (28, 'Outros', 'AT_ODONTO', 11);
UPDATE OR INSERT INTO CONDUTAS (CODIGO, DESCRICAO, FICHA, CODIGOESUS) VALUES (29, 'No se aplica', 'AT_ODONTO', 99);
COMMIT WORK;

UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(1, ' CADASTRAMENTO OU ATUALIZAO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(29, ' VISITA PERIDICA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(2, 'BUSCA ATIVA - CONSULTA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(3, 'BUSCA ATIVA - EXAME');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(4, 'BUSCA ATIVA - VACINA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(30, 'BUSCA ATIVA - CONDICIONALIDADES BOLSA FAMILIA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(5, 'ACOMPANHAMENTO GESTANTE');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(6, 'ACOMPANHAMENTO PUERPERA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(7, 'ACOMPANHAMENTO RECEM NASCIDO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(8, 'ACOMPANHAMENTO CRIANCA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(9, 'ACOMPANHAMENTO PESSOA COM DESNUTRICAO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(10, 'ACOMPANHAMENTO PESSOA EM REABILITACAO_OU_COM_DEFICIENCIA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(11, 'ACOMPANHAMENTO PESSOA COM HIPERTENSAO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(12, 'ACOMPANHAMENTO PESSOA COM DIABETES');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(13, 'ACOMPANHAMENTO PESSOA COM ASMA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(14, 'ACOMPANHAMENTO PESSOA COM DPOC_OU_ENFISEMA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(15, 'ACOMPANHAMENTO PESSOA COM CANCER');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(16, 'ACOMPANHAMENTO PESSOA COM OUTRAS_DOENCAS_CRONICAS');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(17, 'ACOMPANHAMENTO PESSOA COM HANSENIASE');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(18, 'ACOMPANHAMENTO PESSOA COM TUBERCULOSE');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(32, 'ACOMPANHAMENTO SINTOMATICOS_RESPORATORIOS');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(33, 'ACOMPANHAMENTO TABAGISTA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(19, 'ACOMPANHAMENTO DOMICILIADOS OU ACAMADOS');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(20, 'ACOMPANHAMENTO CONDICOES DE VULNERABILIDADE SOCIAL');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(21, 'ACOMPANHAMENTO CONDICIONALIDADES BOLSA FAMILIA');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(22, 'ACOMPANHAMENTO SAUDE MENTAL');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(23, 'ACOMPANHAMENTO USUARIO DE ALCOOL');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(24, 'ACOMPANHAMENTO USUARIO DE OUTRAS DROGAS');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(25, 'OUTROS - EGRESSO DE INTERNACAO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(26, 'OUTROS - CONTROLE DE AMBIENTES OU VETORES');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(27, 'OUTROS - CONVITE PARA ATIVIDADES COLETIVAS OU CAMPANHA DE SAUDE');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(31, 'OUTROS - ORIENTACAO OU PREVENCAO');
UPDATE OR INSERT INTO MOTIVOSVISITA(CODIGO, DESCRICAO) VALUES(28, 'OUTROS - OUTROS');
COMMIT;

INSERT INTO CIAPS(CODIGO, DESCRICAO) VALUES('X','Outros');
commit;

SET TERM ^ ;
create or alter procedure "REMOVER_ACENTO" (
    "PE_TEXTO" varchar(100))
returns (
    "PS_TEXTO" varchar(100))
as
declare V_COM_ACENTO varchar(30) = 'ǀ&';
declare V_SEM_ACENTO varchar(30) = 'aaeouaoaeioucuAAEOUAOAEIOUCCUE';
declare V_LOOP_1 integer = 1;
declare V_LOOP_2 integer = 1;
declare V_TEXTO_A varchar(1) = '';
declare V_TEXTO_B varchar(100) = '';
begin
  V_LOOP_1 = 1;
  /* ------------------------------------------------------------------------ */
  /* INICIAR O LOOP NO TEXTO PRINCIPAL -------------------------------------- */
  /* ------------------------------------------------------------------------ */
  while (V_LOOP_1 <= char_length(PE_TEXTO)) do
  begin
    V_TEXTO_A = '';
    V_TEXTO_A = substring(PE_TEXTO from :V_LOOP_1 for 1);
    V_LOOP_2 = 1;
    /* ---------------------------------------------------------------------- */
    /* INICIAR O LOOP NO TEXTO COM ACENTO ----------------------------------- */
    /* ---------------------------------------------------------------------- */
    while (V_LOOP_2 <= char_length(V_COM_ACENTO)) do
    begin
      if (V_TEXTO_A = substring(V_COM_ACENTO from :V_LOOP_2 for 1)) then
      begin
        V_TEXTO_A = substring(V_SEM_ACENTO from :V_LOOP_2 for 1);
      end
      V_LOOP_2 = V_LOOP_2 + 1;
    end
    V_TEXTO_B = V_TEXTO_B || V_TEXTO_A;
    V_LOOP_1 = V_LOOP_1 + 1;
  end
  PS_TEXTO = V_TEXTO_B;
  suspend;
end
^
SET TERM ; ^

UPDATE PESSOAS P SET P.NOME=(SELECT (SELECT PS_TEXTO FROM REMOVER_ACENTO(PESSOAS.NOME)) FROM PESSOAS WHERE PESSOAS.CODIGO=P.CODIGO);
COMMIT;
UPDATE PESSOAS P SET P.NOMEMAE=(SELECT (SELECT PS_TEXTO FROM REMOVER_ACENTO(PESSOAS.NOMEMAE)) FROM PESSOAS WHERE PESSOAS.CODIGO=P.CODIGO);
COMMIT;
--UPDATE PESSOAS P SET P.NOMEPAI=(SELECT (SELECT PS_TEXTO FROM REMOVER_ACENTO(PESSOAS.NOMEPAI)) FROM PESSOAS WHERE PESSOAS.CODIGO=P.CODIGO);
--COMMIT;
UPDATE PESSOAS P SET P.ENDERECO=(SELECT (SELECT PS_TEXTO FROM REMOVER_ACENTO(PESSOAS.ENDERECO)) FROM PESSOAS WHERE PESSOAS.CODIGO=P.CODIGO);
COMMIT;
UPDATE PESSOAS P SET P.CARTORIO=(SELECT (SELECT PS_TEXTO FROM REMOVER_ACENTO(PESSOAS.CARTORIO)) FROM PESSOAS WHERE PESSOAS.CODIGO=P.CODIGO);
COMMIT;

ALTER TABLE CIAPS ADD LISTA CHAR(1);
UPDATE CIAPS SET LISTA='1';
COMMIT;

INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K04', 'PALPITAES/PERCEPO DOS BATIMENTOS CARDACOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K05', 'OUTRAS IRREGULARIDADES DOS BATIMENTOS CARDACOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K06', 'VEIAS PROEMINENTES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K07', 'TORNOZELOS INCHADOS/EDEMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K24', 'MEDO DE DOENA CARDACA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K25', 'MEDO DE HIPERTENSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K27', 'MEDO DE OUTRA DOENA CARDIOVASCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K29', 'OUTROS SINAIS/SINTOMAS CARDIOVASCULARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K70', 'DOENA INFECCIOSA DO APARELHO CIRCULATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K71', 'FEBRE REUMTICA/CARDIOPATIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K72', 'NEOPLASIA DO APARELHO CIRCULATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K73', 'MALFORMAES CONGNITAS DO APARELHO CIRCULATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K74', 'DOENA CARDACA ISQUMICA COM ANGINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K75', 'INFARTO OU ENFARTE AGUDO MIOCRDIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K76', 'DOENA CARDACA ISQUMICA SEM ANGINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K77', 'INSUFICINCIA CARDACA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K78', 'FIBRILAO/FLUTTER AURICULAR/ ATRIAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K79', 'TAQUICARDIA PAROXSTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K80', 'ARRITMIA CARDACA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K81', 'SOPRO CARDACO/ARTERIAL NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K82', 'DOENA CARDIOPULMONAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L16', 'SINAIS/SINTOMAS DO TORNOZELO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L17', 'SINAIS/SINTOMAS DO P/DEDOS P', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L84', 'DOENAS OU SNDROMES DA COLUNA SEM IRRADIAO DE DOR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L85', 'DEFORMAO ADQUIRIDA DA COLUNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L86', 'SNDROME VERTEBRAL COM IRRADIAO DOR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L87', 'BURSITE/TENDINITE/SINOVITE NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L88', 'ARTRITE REUMATIDE/SEROPOSITIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L89', 'OSTEOARTROSE DO QUADRIL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R23', 'SINAIS/SINTOMAS DA VOZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L90', 'OSTEOARTROSE DO JOELHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L91', 'OUTRAS OSTEOARTROSES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L92', 'SNDROME DO OMBRO DOLOROSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L93', 'COTOVELO DE TENISTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L94', 'OSTEOCONDROSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L95', 'OSTEOPOROSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L96', 'LESO INTERNA AGUDA DO JOELHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L97', 'NEOPLASIA BENIGNA/INCERTAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L98', 'MALFORMAO ADQUIRIDA DE UM MEMBRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L99', 'OUTRA DOENA DO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N01', 'CEFALIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N03', 'DORES DA FACE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N04', 'SNDROME DAS PERNAS INQUIETAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N05', 'FORMIGAMENTO/ PARESTESIA NOS DEDOS DAS MOS/PS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N06', 'OUTRAS ALTERAES DA SENSIBILIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N07', 'CONVULSES/ATAQUES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N08', 'MOVIMENTOS INVOLUNTRIOS ANORMAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N16', 'ALTERAES DO OLFATO/GOSTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N17', 'VERTIGENS/TONTURAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N18', 'PARALISIA/FRAQUEZA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N19', 'PERTURBAES DA FALA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N26', 'MEDO DE CNCER DO SISTEMA NEUROLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N27', 'MEDO DE OUTRAS DOENAS NEUROLGICAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N29', 'SINAIS/SINTOMAS DO SISTEMA NEUROLGICO, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N70', 'POLIOMIELITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N71', 'MENINGITE/ENCEFALITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N72', 'TTANO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N73', 'OUTRA INFECO NEUROLGICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N74', 'NEOPLASIA MALIGNA DO SISTEMA NEUROLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N76', 'NEOPLASIA DO SISTEMA NEUROLGICO DE NATUREZA INCERTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N79', 'CONCUSSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N80', 'OUTRAS LESES CRANIANAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N81', 'OUTRA LESO DO SISTEMA NEUROLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N85', 'MALFORMAES CONGNITAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N86', 'ESCLEROSE MLTIPLA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N87', 'PARKINSONISMO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N88', 'EPILEPSIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N89', 'ENXAQUECA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N90', 'CEFALIA DE CLUSTER', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N91', 'PARALISIA FACIAL/PARALISIA DE BELL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N92', 'NEVRALGIA DO TRIGMIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N93', 'SNDROME DO TNEL DO CARPO/ SNDROME DO CANAL CRPICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N94', 'NEURITE/ NEVRITE/NEUROPATIA PERIFRICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N95', 'CEFALIA TENSIONAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N99', 'OUTRAS DOENAS DO SISTEMA NEUROLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K83', 'DOENA VALVULAR CARDACA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K84', 'OUTRAS DOENAS CARDACAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K85', 'PRESSO ARTERIAL ELEVADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K87', 'HIPERTENSO COM COMPLICAES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K88', 'HIPOTENSO POSTURAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K89', 'ISQUMIA/ ACIDENTE CEREBRAL TRANSITRIA(O)', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K90', 'TROMBOSE/ACIDENTE VASCULAR CEREBRAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K91', 'DOENA VASCULAR CEREBRAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K92', 'ATEROSCLEROSE/DOENA VASCULAR PERIFRICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K93', 'EMBOLIA PULMONAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K94', 'FLEBITE/TROMBOFLEBITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K95', 'VEIAS VARICOSAS DA PERNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K96', 'HEMORRIDAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K99', 'OUTRAS DOENAS DO APARELHO CIRCULATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L01', 'SINAIS/SINTOMAS DO PESCOO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L02', 'SINAIS/SINTOMAS DA REGIO DORSAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L03', 'SINAIS/SINTOMAS DA REGIO LOMBAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L04', 'SINAIS/SINTOMAS DO TRAX', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L05', 'SINAIS/SINTOMAS DA AXILA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U07', 'OUTROS SINAIS/SINTOMAS URINRIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U08', 'RETENO URINRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U13', 'SINAIS/SINTOMAS DA BEXIGA, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U14', 'SINAIS/SINTOMAS DOS RINS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U26', 'MEDO DE CNCER NO APARELHO URINRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U27', 'MEDO DE OUTRA DOENA URINRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U70', 'PIELONEFRITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U71', 'CISTITE/OUTRA INFECO URINRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U72', 'URETRITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U75', 'NEOPLASIA MALIGNA DO RIM', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U76', 'NEOPLASIA BENIGNA DO RIM', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U77', 'NEOPLASIA MALIGNA DO APARELHO URINRIO, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U78', 'NEOPLASIA BENIGNA DO APARELHO URINRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U79', 'NEOPLASIA DO APARELHO URINRIO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U80', 'LESES TRAUMTICAS DO APARELHO URINRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U85', 'MALFORMAO CONGNITA DO APARELHO URINRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U88', 'GLOMERULONEFRITE/ SINDROME NEFRTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U90', 'ALBUMINRIA/PROTEINRIA ORTOSTTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U95', 'CLCULO URINRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U98', 'ANLISE DE URINA ANORMAL NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U99', 'OUTRAS DOENAS URINRIAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W01', 'QUESTO SOBRE GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W02', 'MEDO DE ESTAR GRVIDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W03', 'HEMORRAGIA ANTES DO PARTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W05', 'VMITOS/NUSEAS DURANTE A GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W10', 'CONTRACEPO PS-COITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W11', 'CONTRACEPO ORAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W12', 'CONTRACEPO INTRA-UTERINA/ DISPOSITIVO INTRAUTERINO/ DIU', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W13', 'ESTERILIZAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W14', 'CONTRACEPO/OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P18', 'ABUSO DE MEDICAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P20', 'ALTERAES DA MEMRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P22', 'SINAIS/SINTOMAS RELACIONADOS AO COMPORTAMENTO DA CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P23', 'SINAIS/SINTOMAS RELACIONADOS AO COMPORTAMENTO DO ADOLESCENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P24', 'DIFICULDADES ESPECIFICAS DE APRENDIZAGEM', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P25', 'PROBLEMAS DA FASE DE VIDA DE ADULTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P27', 'MEDO DE PERTURBAES MENTAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S12', 'PICADA OU MORDEDURA DE INSETO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P29', 'SINAIS/SINTOMAS PSICOLGICOS, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P70', 'DEMNCIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P71', 'OUTRAS PSICOSES ORGNICAS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P72', 'ESQUIZOFRENIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P73', 'PSICOSE AFETIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P74', 'DISTRBIO ANSIOSO/ESTADO DE ANSIEDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P75', 'SOMATIZAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P76', 'PERTURBAES DEPRESSIVAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P77', 'SUICDIO/TENTATIVA DE SUICDIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P78', 'NEURASTENIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P79', 'FOBIA/PERTURBAO COMPULSIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P80', 'PERTURBAES DE PERSONALIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P81', 'PERTURBAO HIPERCINTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P82', 'ESTRESSE PS TRAUMTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P85', 'RETARDO/ ATRASO MENTAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P86', 'ANOREXIA NERVOSA, BULIMIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P98', 'OUTRAS PSICOSES NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P99', 'OUTRAS PERTURBAES PSICOLGICAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S13', 'MORDEDURA ANIMAL/HUMANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S14', 'QUEIMADURA/ESCALDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R01', 'DOR ATRIBUDA AO APARELHO RESPIRATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R02', 'DIFICULDADE RESPIRATRIA, DISPNEIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R03', 'RESPIRAO RUIDOSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R04', 'OUTROS PROBLEMAS RESPIRATRIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R05', 'TOSSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R06', 'HEMORRAGIA NASAL/EPISTAXE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R07', 'ESPIRRO/CONGESTO NASAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R08', 'OUTROS SINAIS/SINTOMAS NASAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R09', 'SINAIS/SINTOMAS DOS SEIOS PARANASAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R21', 'SINAIS/SINTOMAS DA GARGANTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R26', 'MEDO DE CNCER DO APARELHO RESPIRATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R27', 'MEDO DE OUTRAS DOENAS RESPIRATRIAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R29', 'SINAIS/SINTOMAS DO APARELHO RESPIRATRIO, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R71', 'TOSSE CONVULSA/ PERTUSSIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R72', 'INFECO ESTREPTOCCICA DA OROFARINGE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R73', 'ABCESSO/FURNCULO NO NARIZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R74', 'INFECO AGUDA DO APARELHO RESPIRATRIO SUPERIOR (IVAS)', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R75', 'SINUSITE CRNICA/AGUDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R76', 'AMIGDALITE AGUDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R77', 'LARINGITE/TRAQUETE AGUDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R78', 'BRONQUITE/BRONQUIOLITE AGUDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R79', 'BRONQUITE CRNICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R80', 'GRIPE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R81', 'PNEUMONIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R82', 'PLEURITE/DERRAME PLEURAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R83', 'OUTRA INFECO RESPIRATRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R84', 'NEOPLASIA MALIGNA DOS BRNQUIOS/PULMO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R85', 'OUTRA NEOPLASIA RESPIRATRIA MALIGNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R86', 'NEOPLASIA BENIGNA RESPIRATRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R87', 'CORPO ESTRANHO NARIZ/LARINGE/BRNQUIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B81', 'ANEMIA PERNICIOSA/DEFICINCIA DE FOLATOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D74', 'NEOPLASIA MALIGNA DO ESTMAGO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D75', 'NEOPLASIA MALIGNA DO CLON/RETO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D76', 'NEOPLASIA MALIGNA DO PNCREAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D77', 'NEOPLASIA MALIGNA DO APARELHO DIGESTIVO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D78', 'NEOPLASIA BENIGNA DO APARELHO DIGESTIVO/INCERTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S15', 'CORPO ESTRANHO NA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D79', 'CORPO ESTRANHO NO APARELHO DIGESTIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D80', 'OUTRAS LESES TRAUMTICAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D81', 'MALFORMAES CONGNITAS DO APARELHO DIGESTIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D82', 'DOENA DOS DENTES/GENGIVAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D83', 'DOENA DA BOCA/LNGUA/LBIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D84', 'DOENA DO ESFAGO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D85', 'LCERA DO DUODENO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F72', 'BLEFARITE/HORDOLO/CALZIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D86', 'LCERA PPTICA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D87', 'ALTERAES FUNCIONAIS ESTMAGO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D88', 'APENDICITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D89', 'HRNIA INGUINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D90', 'HRNIA DE HIATO /DIAFRAGMTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D91', 'HRNIA ABDOMINAL, OUTRAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D92', 'DOENA DIVERTICULAR INTESTINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D93', 'SNDROME DO CLON IRRITVEL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D94', 'ENTERITE CRNICA/COLITE ULCEROSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B82', 'OUTRAS ANEMIAS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B83', 'PRPURA/DEFEITOS DE COAGULAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B84', 'GLBULOS BRANCOS ANORMAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B87', 'ESPLENOMEGALIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B90', 'INFECO POR VIH/ HIV/SIDA/ AIDS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B99', 'OUTRA DOENA DO SANGUE/LINFTICOS/BAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D01', 'DOR ABDOMINAL GENERALIZADA/CLICAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D02', 'DORES ABDOMINAIS, EPIGSTRICAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D03', 'AZIA/ QUEIMAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D04', 'DOR ANAL/RETAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D05', 'IRRITAO PERIANAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D06', 'OUTRAS DORES ABDOMINAIS LOCALIZADAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D07', 'DISPEPSIA/INDIGESTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D08', 'FLATULNCIA /GASES/ERUCTAES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D11', 'DIARREIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D12', 'OBSTIPAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D13', 'ICTERCIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D14', 'HEMATMESE/VMITO SANGUE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D15', 'MELENA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D16', 'HEMORRAGIA RETAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D17', 'INCONTINNCIA FECAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D18', 'ALTERAES NAS FEZES/MOV. INTESTINAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D19', 'SINAIS/SINTOMAS DOS DENTES/GENGIVAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D20', 'SINAIS/SINTOMAS DA BOCA/LNGUA/LBIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D21', 'PROBLEMAS DE DEGLUTIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D23', 'HEPATOMEGALIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D24', 'MASSA ABDOMINAL NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D25', 'DISTENSO ABDOMINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D26', 'MEDO DE CNCER NO APARELHO DIGESTIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D27', 'MEDO DE OUTRAS DOENAS APARELHO DIGESTIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D29', 'OUTROS SINAIS/SINTOMAS DIGESTIVOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D70', 'INFECO GASTROINTESTINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D71', 'CAXUMBA/PAROTIDITE EPIDMICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D72', 'HEPATITE VIRAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D73', 'GASTROENTERITE, PRESUMVEL INFECO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('49', 'OUTROS PROCEDIMENTOS PREVENTIVOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R24', 'HEMOPTISE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S20', 'CALOS/CALOSIDADES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y82', 'HIPOSPDIAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('30', 'EXAME MDICO/AVALIAO DE SADE - COMPLETO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('31', 'EXAME MDICO/AVALIAO DE SADE - PARCIAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('32', 'TESTE DE SENSIBILIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('33', 'EXAME MICROBIOLGICO/IMUNOLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('34', 'ANLISE DE SANGUE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('35', 'ANLISE DE URINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('36', 'ANLISE DE FEZES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('37', 'CITOLOGIA ESFOLIATIVA/HISTOLOGIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('38', 'OUTRAS ANLISES LABORATORIAIS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('39', 'TESTE DE FUNO FSICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('40', 'ENDOSCOPIA DIAGNSTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('41', 'RADIOLOGIA DIAGNSTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('42', 'ELETROCARDIOGRAMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('43', 'OUTROS PROCEDIMENTOS DIAGNSTICOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('44', 'VACINAO/MEDICAO PREVENTIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('45', 'EDUCAO EM SADE/ACONSELHAMENTO/DIETA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('46', 'CONSULTA COM PROFISSIONAL DE APS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('47', 'CONSULTA COM ESPECIALISTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('48', 'ESCLARECIMENTO/DISCUSSO DO MOTIVO DA CONSULTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('50', 'MEDICAO/PRESCRIO/RENOVAO/ INJEO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('51', 'INCISO/DRENAGEM/ASPIRAO/REMOO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('52', 'EXCISO /BIOPSIA/REMOO/DEBRIDAMENTO/CAUTERIZAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('53', 'CATETERIZAO/INTUBAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('54', 'REPARAO/SUTURA/GESSO/PRTESE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('55', 'INJEO LOCAL /INFILTRAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('56', 'LIGADURA/COMPRESSA /TAMPONAMENTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('58', 'ACONSELHAMENTO/ESCUTA TERAPUTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('59', 'OUTROS PROCEDIMENTOS TERAPUTICOS/PEQUENA CIRURGIA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('60', 'RESULTADOS DE ANLISES/PROCEDIMENTOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('61', 'CONTRA REFERNCIA DE OUTRO PRESTADOR - RESULTADO DE EXAMES/TESTE/ ANLISE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('62', 'PROCEDIMENTO ADMINISTRATIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('63', 'CONSULTA DE SEGUIMENTO NO ESPECIFICADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('64', 'EPISDIO / PROBLEMA INICIADO PELO PRESTADOR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('65', 'EPISDIO / PROBLEMA INICIADO POR OUTRO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('66', 'REFERENCIADO A OUTRO PRESTADOR /ENFERMEIRO /ASSISTENTE SOCIAL/TERAPEUTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('67', 'REFERENCIADO PARA MDICO/ESPECIALISTA/CLNICA/HOSPITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('68', 'OUTRAS REFERENCIAES NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('69', 'OUTRO MOTIVO DE CONSULTA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A01', 'DOR GENERALIZADA /MLTIPLA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A02', 'ARREPIOS/ CALAFRIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A03', 'FEBRE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A04', 'DEBILIDADE/CANSAO GERAL/FADIGA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A05', 'SENTIR-SE DOENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A06', 'DESMAIO/SNCOPE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A07', 'COMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A08', 'INCHAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A09', 'PROBLEMAS DE SUDORESE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A10', 'SANGRAMENTO/HEMORRAGIA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A11', 'DORES TORCICAS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A13', 'RECEIO/MEDO DO TRATAMENTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A16', 'CRIANA IRRITVEL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A18', 'PREOCUPAO COM APARNCIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A20', 'PEDIDO/DISCUSSO EUTANSIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A21', 'FATOR DE RISCO DE MALIGNIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A23', 'FATOR DE RISCO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A25', 'MEDO DE MORRER/MEDO DA MORTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A26', 'MEDO DE CNCER NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A27', 'MEDO DE OUTRA DOENA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A28', 'LIMITAO FUNCIONAL/INCAPACIDADE NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A29', 'OUTROS SINAIS/SINTOMAS GERAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D10', 'VOMITO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A94', 'MORBIDADE PERINATAL, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A95', 'MORTALIDADE PERINATAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A96', 'MORTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A71', 'SARAMPO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A72', 'VARICELA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A73', 'MALRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A74', 'RUBOLA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A75', 'MONONUCLEOSE INFECCIOSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A76', 'OUTRO EXANTEMA VIRAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A79', 'CARCINOMATOSE (LOCALIZAO PRIMRIA DESCONHECIDA)', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A80', 'LESO TRAUMTICA/ACIDENTE NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A81', 'POLITRAUMATISMOS/FERIMENTOS MLTIPLOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A82', 'EFEITO SECUNDRIO DE LESO TRAUMTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A84', 'INTOXICAO POR MEDICAMENTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A85', 'EFEITO ADVERSO DE FRMACO DOSE CORRETA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A86', 'EFEITO TXICO DE SUBSTNCIA NO MEDICINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A87', 'COMPLICAES DE TRATAMENTO MDICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A88', 'EFEITO ADVERSO DE FATOR FSICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A89', 'EFEITO DA PRTESE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A90', 'MALFORMAO CONGNITA NE/MLTIPLAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A91', 'INVESTIGAO COM RESULTADO ANORMAL NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A92', 'ALERGIA/REAO ALRGICA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A93', 'RECM NASCIDO PREMATURO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D09', 'NUSEA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A97', 'SEM DOENA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A98', 'MEDICINA PREVENTIVA/MANUTENO DA SADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A99', 'OUTRAS DOENAS GERAIS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B02', 'GNGLIO LINFTICO AUMENTADO/DOLOROSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B04', 'SINAIS/SINTOMAS SANGUE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B25', 'MEDO DE VIH/ HIV/SIDA/ AIDS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B26', 'MEDO DE CNCER NO SANGUE/LINFTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B27', 'MEDO DE OUTRAS DOENAS DO SANGUE /VASOS LINFTICOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B29', 'OUTROS SINAIS/ SINTOMAS DO SANGUE/ SISTEMA LINFTICO/ BAO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B70', 'LINFADENITE AGUDA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B71', 'LINFADENITE CRNICA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B72', 'DOENA DE HODGKIN/LINFOMAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B73', 'LEUCEMIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B74', 'OUTRA NEOPLASIA MALIGNA NO SANGUE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B75', 'NEOPLASIA BENIGNA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B76', 'ROTURA TRAUMTICA DO BAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B77', 'OUTRAS LESES TRAUMTICAS DO SANGUE/LINFA/BAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B78', 'ANEMIA HEMOLTICA HEREDITRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B79', 'OUTRA MALFORMAO CONGNITA DO SANGUE/LINFTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('B80', 'ANEMIA POR DEFICINCIA FERRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L07', 'SINAIS/SINTOMAS DA MANDBULA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L08', 'SINAIS/SINTOMAS DOS OMBROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L09', 'SINAIS/SINTOMAS DOS BRAOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L10', 'SINAIS/SINTOMAS DOS COTOVELOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L11', 'SINAIS/SINTOMAS DOS PUNHOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L12', 'SINAIS/SINTOMAS DAS MOS E DEDOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L13', 'SINAIS/SINTOMAS DO QUADRIL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L14', 'SINAIS/SINTOMAS DA COXA/PERNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L15', 'SINAIS/SINTOMAS DO JOELHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L18', 'DORES MUSCULARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L19', 'SINAIS/SINTOMAS MUSCULARES NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L20', 'SINAIS/SINTOMAS DAS ARTICULAES NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L26', 'MEDO DE CNCER NO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L27', 'MEDO DE DOENA NO APARELHO MSCULO-ESQUELTICO, OUTRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L29', 'OUTROS SINAIS/SINTOMAS DO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L70', 'INFECES DO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L71', 'NEOPLASIA MALIGNA DO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L72', 'FRATURA: RDIO/CBITO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L73', 'FRATURA: TBIA/PERNIO/ FBULA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L74', 'FRATURA: OSSO DA MO/P', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L75', 'FRATURA: FMUR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L76', 'OUTRAS FRATURAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L77', 'ENTORSES E DISTENSES DO TORNOZELO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L78', 'ENTORSES E DISTENSES DO JOELHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L79', 'ENTORSES E DISTENSES DAS ARTICULAES NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L80', 'LUXAO/SUBLUXAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L81', 'TRAUMATISMOS DO APARELHO MUSCULOESQUELTICO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L82', 'MALFORMAES CONGNITAS DO APARELHO MSCULO-ESQUELTICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('L83', 'DOENAS OU SNDROMES DA COLUNA CERVICAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P01', 'SENSAO DE ANSIEDADE/NERVOSISMO/TENSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P02', 'REAO AGUDA AO ESTRESSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P03', 'TRISTEZA/ SENSAO DE DEPRESSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P04', 'SENTIR/COMPORTAR-SE DE FORMA IRRITVEL/ZANGADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P05', 'SENSAO/COMPORTAMENTO SENIL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P06', 'PERTURBAO DO SONO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P07', 'DIMINUIO DO DESEJO SEXUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R25', 'EXPECTORAO/MUCOSIDADE ANORMAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P08', 'DIMINUIO DA SATISFAO SEXUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P09', 'PREOCUPAO COM A PREFERNCIA SEXUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P10', 'GAGUEJAR/BALBUCIAR/TIQUES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P11', 'PROBLEMAS DE ALIMENTAO DA CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P12', 'MOLHAR A CAMA/ENURESE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P13', 'ENCOPRESE/OUTROS PROBLEMAS DE INCONTINNCIA FECAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P15', 'ABUSO CRNICO DE LCOOL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D95', 'FISSURA ANAL / ABCESSO PERIANAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D96', 'LOMBRIGAS /OUTROS PARASITAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D97', 'DOENAS DO FGADO /NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D98', 'COLECISTITE, COLELITIASE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('D99', 'OUTRA DOENA DO APARELHO DIGESTIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F01', 'DOR NO OLHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F02', 'OLHO VERMELHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F03', 'SECREO OCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F04', 'MOSCAS VOLANTES/PONTOS LUMINOSOS/ESCOTOMAS/ MANCHAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F05', 'OUTRAS PERTURBAES VISUAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F13', 'SENSAES OCULARES ANORMAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F14', 'MOVIMENTOS OCULARES ANORMAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F15', 'APARNCIA ANORMAL NOS OLHOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F16', 'SINAIS/SINTOMAS DAS PLPEBRAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F17', 'SINAIS/SINTOMAS RELACIONADOS A CULOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F18', 'SINAIS/SINTOMAS RELACIONADOS A LENTES DE CONTATO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F27', 'MEDO DE DOENA OCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F29', 'OUTROS SINAIS/SINTOMAS OCULARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F70', 'CONJUNTIVITE INFECCIOSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F71', 'CONJUNTIVITE ALRGICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H86', 'SURDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F73', 'OUTRAS INFECES/INFLAMAES OCULARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F74', 'NEOPLASIA DO OLHO/ANEXOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F75', 'CONTUSO/HEMORRAGIA OCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F76', 'CORPO ESTRANHO OCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F79', 'OUTRAS LESES TRAUMTICAS OCULARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F80', 'OBSTRUO CANAL LACRIMAL DA CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F81', 'OUTRAS MALFORMAES CONGNITAS DO OLHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F82', 'DESCOLAMENTO DA RETINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F83', 'RETINOPATIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F84', 'DEGENERAO MACULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F85', 'ULCERA DA CRNEA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F86', 'TRACOMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F91', 'ERRO DE REFRAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F92', 'CATARATA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F93', 'GLAUCOMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F94', 'CEGUEIRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F95', 'ESTRABISMO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('F99', 'OUTRA DOENAS OCULARES/ANEXOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H01', 'DOR DE OUVIDOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H02', 'PROBLEMAS DE AUDIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H03', 'ACUFENO, ZUMBIDOS, RUDO, ASSOBIOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H04', 'SECREO NO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H05', 'HEMORRAGIA NO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H13', 'SENSAO DE OUVIDO TAPADO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H15', 'PREOCUPAO COM A APARNCIA DAS ORELHAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('N75', 'NEOPLASIA BENIGNA DO SISTEMA NEUROLGICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H27', 'MEDO DE DOENA DO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H29', 'OUTROS SINAIS/SINTOMAS OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H70', 'OTITE EXTERNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H71', 'OTITE MEDIA AGUDA/MIRINGITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H72', 'OTITE MDIA SEROSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H73', 'INFECO DA TROMPA DE EUSTQUIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H74', 'OTITE MEDIA CRNICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H75', 'NEOPLASIA DO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H76', 'CORPO ESTRANHO DO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H77', 'PERFURAO DO TMPANO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H79', 'OUTROS TRAUMATISMOS DO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H80', 'MALFORMAES CONGNITAS DO OUVIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H81', 'CERMEN NO OUVIDO EM EXCESSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H82', 'SNDROME VERTIGINOSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H83', 'OTOESCLEROSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H84', 'PRESBIACUSIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H85', 'LESO ACSTICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H99', 'OUTRA DOENA DO OUVIDO/MASTIDE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K01', 'DOR ATRIBUDA AO CORAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K02', 'SENSAO DE PRESSO/APERTO ATRIBUDA AO CORAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K03', 'DORES ATRIBUDAS AO APARELHO CIRCULATRIO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R88', 'OUTRA LESO RESPIRATRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R89', 'MALFORMAO CONGNITA DO APARELHO RESPIRATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R90', 'HIPERTROFIA DAS AMGDALAS/ADENIDES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R92', 'NEOPLASIA RESPIRATRIA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R97', 'RINITE ALRGICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R98', 'SNDROME DE HIPERVENTILAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R99', 'OUTRAS DOENAS RESPIRATRIAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S01', 'DOR/SENSIBILIDADE DOLOROSA DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S02', 'PRURIDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S03', 'VERRUGAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S04', 'TUMOR/INCHAO LOCALIZADO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S05', 'TUMORES/INCHAOS GENERALIZADOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S06', 'ERUPO CUTNEA LOCALIZADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S07', 'ERUPO CUTNEA GENERALIZADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S08', 'ALTERAES DA COR DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S09', 'INFECO DOS DEDOS DAS MOS/PS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S10', 'FURNCULO/CARBNCULO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S11', 'INFECO PS-TRAUMTICA DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S16', 'TRAUMATISMO/CONTUSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S17', 'ABRASO/ARRANHO/BOLHAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S18', 'LACERAO/CORTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S19', 'OUTRA LESO CUTNEA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S21', 'SINAIS/SINTOMAS DA TEXTURA DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S22', 'SINAIS/SINTOMAS DAS UNHAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S23', 'QUEDA DE CABELO/CALVCIE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S24', 'SINAIS/SINTOMAS DO CABELO/COURO CABELUDO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S26', 'MEDO DE CNCER DE PELE', 0);
COMMIT WORK;
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S27', 'MEDO DE OUTRA DOENA DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S29', 'SINAIS/SINTOMAS DA PELE, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S70', 'HERPES ZOSTER', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S71', 'HERPES SIMPLES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S72', 'ESCABIOSE/OUTRAS ACARASES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S73', 'PEDICULOSE/OUTRAS INFECES DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S74', 'DERMATOFITOSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S75', 'MONILASE ORAL/CANDIDASE NA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S76', 'OUTRAS INFECES DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S77', 'NEOPLASIAS MALIGNAS DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S78', 'LIPOMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S79', 'NEOPLASIA CUTNEA BENIGNA/INCERTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S80', 'CERATOSE/ QUERATOSE SOLAR/QUEIMADURA SOLAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S81', 'HEMANGIOMA/LINFANGIOMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S82', 'NEVOS/SINAIS DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S83', 'LESES DA PELE CONGNITAS, OUTRAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S84', 'IMPETIGO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S85', 'CISTO PILONIDAL/FISTULA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S86', 'DERMATITE SEBORREICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S87', 'DERMATITE/ECZEMA ATPICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T86', 'HIPOTIROIDISMO/MIXEDEMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S88', 'DERMATITE DE CONTATO/ALRGICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S89', 'DERMATITE DAS FRALDAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S90', 'PITIRASE ROSADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S91', 'PSORASE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S92', 'DOENA DAS GLNDULAS SUDORPARAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S93', 'CISTO SEBCEO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S94', 'UNHA ENCRAVADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S95', 'MOLUSCO CONTAGIOSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S96', 'ACNE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S97', 'LCERA CRNICA DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S98', 'URTICRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('S99', 'OUTRAS DOENAS DA PELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T01', 'SEDE EXCESSIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T02', 'APETITE EXCESSIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T03', 'PERDA DE APETITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T04', 'PROBLEMAS ALIMENTARES DE LACTENTE/CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T05', 'PROBLEMAS ALIMENTARES DO ADULTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T07', 'AUMENTO DE PESO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T08', 'PERDA DE PESO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T10', 'ATRASO DO CRESCIMENTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T11', 'DESIDRATAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T26', 'MEDO DE CNCER DO SISTEMA ENDCRINO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U29', 'SINAIS/SINTOMAS APARELHO URINRIO, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T27', 'MEDO DE OUTRA DOENA ENDCRINA/METABLICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T29', 'SINAIS/SINTOMAS ENDOCRINOLGICOS/METABOLICOS/NUTRICIONAIS, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T70', 'INFECO ENDCRINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T71', 'NEOPLASIA MALIGNA DA TIRIDE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T72', 'NEOPLASIA BENIGNA DA TIRIDE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T73', 'OUTRA NEOPLASIA ENDCRINA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T78', 'CISTO DO CANAL TIROGLOSSO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T80', 'MALFORMAO CONGNITA ENDCRINA/METABLICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T81', 'BCIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T83', 'EXCESSO DE PESO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T85', 'HIPERTIROIDISMO/TIREOTOXICOSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T87', 'HIPOGLICEMIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T89', 'DIABETES INSULINO-DEPENDENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T92', 'GOTA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T93', 'ALTERAO NO METABOLISMO DOS LPIDOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T99', 'OUTRAS DOENAS ENDOCRINOLGICA/METABLICA/NUTRICIONAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U01', 'DISRIA/MICO DOLOROSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U02', 'MICO FREQUENTE/URGNCIA URINRIA/ POLACIRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U04', 'INCONTINNCIA URINRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U05', 'OUTROS PROBLEMAS COM A MICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('U06', 'HEMATRIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z13', 'PROBLEMA COMPORTAMENTAL DO PARCEIRO/ COMPANHEIRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z14', 'PROBLEMA POR DOENA DO PARCEIRO/ COMPANHEIRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z15', 'PERDA OU FALECIMENTO DO PARCEIRO/ COMPANHEIRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z16', 'PROBLEMA DE RELACIONAMENTO COM CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z18', 'PROBLEMA COM CRIANA DOENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z19', 'PERDA OU FALECIMENTO DE CRIANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z20', 'PROBLEMA DE RELACIONAMENTO COM FAMILIARES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z21', 'PROBLEMA COMPORTAMENTAL DE FAMILIAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z22', 'PROBLEMA POR DOENA FAMILIAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z23', 'PERDA/FALECIMENTO DE FAMILIAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z24', 'PROBLEMA DE RELACIONAMENTO COM AMIGOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z25', 'ATO OU ACONTECIMENTO VIOLENTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z27', 'MEDO DE PROBLEMA SOCIAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z29', 'PROBLEMA SOCIAL NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W15', 'INFERTILIDADE/SUBFERTILDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W17', 'HEMORRAGIA PS-PARTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W19', 'SINAIS/SINTOMAS DA MAMA/LACTAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W21', 'PREOCUPAO COM A IMAGEM CORPORAL NA GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W27', 'MEDO DE COMPLICAES NA GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W29', 'SINAIS/SINTOMAS DA GRAVIDEZ, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W70', 'SEPSIS/INFECO PUERPERAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W71', 'INFECES QUE COMPLICAM A GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W72', 'NEOPLASIA MALIGNA RELACIONADA COM GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W73', 'NEOPLASIA BENIGNA/INCERTA RELACIONADA COM A GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W75', 'LESES TRAUMTICAS QUE COMPLICAM A GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W76', 'MALFORMAO CONGNITA QUE COMPLICA A GRAVIDEZ', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y05', 'SINAIS/SINTOMAS DO ESCROTO/TESTCULOS, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y06', 'SINAIS/SINTOMAS DA PRSTATA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y07', 'IMPOTNCIA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y08', 'SINAIS/SINTOMAS DA FUNO SEXUAL MASCULINA, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y10', 'INFERTILIDADE/SUBFERTILDADE MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y13', 'ESTERILIZAO MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y14', 'PLANEJAMENTO FAMILIAR, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y16', 'SINAIS/SINTOMAS DA MAMA MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y24', 'MEDO DE DISFUNO SEXUAL MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y25', 'MEDO DE DOENA SEXUALMENTE TRANSMISSVEL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y26', 'MEDO DE CNCER GENITAL MASCULINO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y27', 'MEDO DE DOENA GENITAL MASCULINA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y29', 'SINAIS/SINTOMAS, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y70', 'SFILIS MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y71', 'GONORRIA MASCULINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y72', 'HERPES GENITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y73', 'PROSTATITE/VESICULITE SEMINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y74', 'ORQUITE/EPIDIDIMITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y75', 'BALANITE/ BALANOPOSTITE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W79', 'GRAVIDEZ NO DESEJADA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W80', 'GRAVIDEZ ECTPICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W81', 'TOXEMIA GRAVDICA/ DHEG', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W82', 'ABORTO ESPONTNEO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W85', 'DIABETES GESTACIONAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W90', 'PARTO SEM COMPLICAES DE NASCIDO VIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W91', 'PARTO SEM COMPLICAES DE NATIMORTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W92', 'PARTO COM COMPLICAES DE NASCIDO VIVO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W93', 'PARTO COM COMPLICAES DE NATIMORTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W94', 'MASTITE PUERPERAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W95', 'OUTROS PROBLEMAS DA MAMA DURANTE GRAVIDEZ/PUERPRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W96', 'OUTRAS COMPLICAES DO PUERPRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W99', 'OUTROS PROBLEMAS DA GRAVIDEZ/PARTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X01', 'DOR GENITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X02', 'DORES MENSTRUAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X03', 'DORES INTERMENSTRUAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X04', 'RELAO SEXUAL DOLOROSA NA MULHER', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X05', 'MENSTRUAO ESCASSA/AUSENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X06', 'MENSTRUAO EXCESSIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X07', 'MENSTRUAO IRREGULAR/FREQUENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X08', 'HEMORRAGIA INTERMENSTRUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X09', 'SINAIS/SINTOMAS PR-MENSTRUAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X10', 'DESEJO DE ALTERAR A DATA MENSTRUAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X11', 'SINAIS/SINTOMAS DA MENOPAUSA/ CLIMATRIO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X12', 'HEMORRAGIA PS-MENOPAUSA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X13', 'HEMORRAGIA PS-COITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X14', 'SECREO VAGINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X15', 'SINAIS/SINTOMAS DA VAGINA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X16', 'SINAIS/SINTOMAS DA VULVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X17', 'SINAIS/SINTOMAS DA PLVIS FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X18', 'DOR NA MAMA FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X19', 'TUMOR OU NDULO NA MAMA FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X20', 'SINAIS/SINTOMAS DO MAMILO DA MULHER', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X21', 'SINAIS/SINTOMAS DA MAMA FEMININA, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X22', 'PREOCUPAO COM A APARNCIA DA MAMA FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X23', 'MEDO DE DOENA DE TRANSMISSO SEXUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X24', 'MEDO DE DISFUNO SEXUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X25', 'MEDO DE CNCER GENITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X26', 'MEDO DE CNCER NA MAMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X27', 'MEDO DE OUTRA DOENA GENITAL/MAMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X28', 'LIMITAO FUNCIONAL/INCAPACIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X29', 'SINAIS/SINTOMAS DO APARELHO GENITAL FEMININO, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X70', 'SFILIS FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X71', 'GONORRIA FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X72', 'CANDIDASE GENITAL FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X73', 'TRICOMONASE GENITAL FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X74', 'DOENA INFLAMATRIA PLVICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X75', 'NEOPLASIA MALIGNA DO COLO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X76', 'NEOPLASIA MALIGNA DA MAMA FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X77', 'NEOPLASIA MALIGNA GENITAL FEMININA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X78', 'FIBROMIOMA UTERINO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X79', 'NEOPLASIA BENIGNA DA MAMA FEMININA/ FIBROADENOMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X80', 'NEOPLASIA BENIGNA GENITAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X81', 'NEOPLASIA GENITAL FEMININA, OUTRA/NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X82', 'LESO TRAUMTICA GENITAL FEMININA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X83', 'MALFORMAES CONGNITAS GENITAIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X84', 'VAGINITE/VULVITE NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X85', 'DOENA DO COLO NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X86', 'ESFREGAO DE PAPANICOLAU/COLPOCITOLOGIA ONCTICA ANORMAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X87', 'PROLAPSO UTERO-VAGINAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X88', 'DOENA FIBROCSTICA DA MAMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X89', 'SNDROME DA TENSO PR-MENSTRUAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X90', 'HERPES GENITAL FEMININO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X91', 'CONDILOMA ACUMINADO FEMININO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X92', 'INFECO POR CLAMDIA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('X99', 'DOENA GENITAL FEMININA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y01', 'DOR NO PNIS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y02', 'DOR NO ESCROTO/TESTCULOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y03', 'SECREO URETRAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y04', 'SINAIS/SINTOMAS DO PNIS, OUTROS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y76', 'CONDILOMA ACUMINADO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y77', 'NEOPLASIA MALIGNA DA PRSTATA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y78', 'NEOPLASIA MALIGNA GENITAL MASCULINA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y79', 'NEOPLASIA BENIGNA GENITAL MASCULINA NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y80', 'TRAUMATISMO GENITAL MASCULINO, OUTRO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y81', 'FIMOSE/PREPCIO REDUNDANTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y83', 'TESTCULO NO DESCIDO/ CRIPTORQUIDIA/ TESTCULO ECTPICO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y84', 'MALFORMAO GENITAL CONGNITA MASCULINA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y85', 'HIPERTROFIA BENIGNA DA PRSTATA/ HIPERPLASIA PROSTTICA BENIGNA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y86', 'HIDROCELE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Y99', 'DOENA GENITAL MASCULINA, OUTRA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z01', 'POBREZA/PROBLEMAS ECONMICOS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z02', 'PROBLEMAS RELACIONADOS A GUA/ALIMENTAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z03', 'PROBLEMAS DE HABITAO/VIZINHANA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z04', 'PROBLEMA SOCIO-CULTURAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z05', 'PROBLEMAS COM CONDIES DE TRABALHO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z06', 'PROBLEMAS DE DESEMPREGO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z07', 'PROBLEMAS RELACIONADOS COM EDUCAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z08', 'PROBLEMA RELACIONADO COM SISTEMA DE SEGURANA SOCIAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z09', 'PROBLEMA DE ORDEM LEGAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z10', 'PROBLEMA RELACIONADO COM SISTEMA DE SADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z11', 'PROBLEMA RELACIONADO COM ESTAR DOENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('Z12', 'PROBLEMA DE RELACIONAMENTO COM PARCEIRO/ CONJUGAL', 0);
--INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP025', 'FENDAS OU FISSURAS LBIO PALATAIS', 0);
--INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP026', 'FLUOROSE DENTRIA MODERADA OU SEVERA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K22', 'FATOR DE RISCO PARA DOENA CARDIOVASCULAR', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('K86', 'HIPERTENSO SEM COMPLICAES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P17', 'ABUSO DO TABACO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P19', 'ABUSO DE DROGAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('57', 'MEDICINA FSICA/REABILITAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A70', 'TUBERCULOSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A77', 'DENGUE E OUTRAS DOENAS VIRAIS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('A78', 'HANSENASE E OUTRAS DOENAS INFECCIOSAS NE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('P16', 'ABUSO AGUDO DE LCOOL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R95', 'DOENA PULMONAR OBSTRUTIVA CRNICA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('R96', 'ASMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T82', 'OBESIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T90', 'DIABETES NO INSULINO-DEPENDENTE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('T91', 'DEFICINCIA VITAMNICA/NUTRICIONAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W18', 'SINAIS/SINTOMAS PS-PARTO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W78', 'GRAVIDEZ', 0);
/*
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP003', 'SAUDE SEXUAL E REPRODUTIVA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP004', 'PUERICULTURA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP005', 'HIPERTENSAO ARTERIAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP006', 'DIABETES', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP007', 'OBESIDADE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP008', 'DESNUTRICAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP009', 'ASMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP010', 'DPOC', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP011', 'TABAGISMO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP012', 'USUARIO DE ALCOOL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP013', 'USUARIO DE OUTRAS DROGAS', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP014', 'SAUDE MENTAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP015', 'REABILITACAO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP017', 'TUBERCULOSE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP018', 'HANSENIASE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP019', 'DENGUE', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP020', 'DST', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP022', 'RASTREAMENTO DE CANCER DO COLO DO UTERO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP023', 'RASTREAMENTO DE CANCER DE MAMA', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP001', 'PRE-NATAL', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP002', 'PUERPERIO (ATE 42 DIAS)', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('ABP024', 'RASTREAMENTO DE RISCO CARDIOVASCULAR', 0); */
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W83', 'ABORTO PROVOCADO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('W84', 'GRAVIDEZ DE ALTO RISCO', 0);
INSERT INTO CIAPS (CODIGO, DESCRICAO, LISTA) VALUES ('H78', 'FIBRILAO/FLUTTER AURICULAR/ATRIAL', 0);

COMMIT WORK;
