UPDATE TABDIV SET VERSAOBANCO='1.93';
commit;

ALTER TABLE RESUMOCONTABIL ADD OFICIAL CHAR(1), ADD DATAHORA VARCHAR(20);
ALTER TABLE RESUMOCONTABIL ADD PERIODO1 DATE,
                           ADD PERIODO2 DATE,
                           ADD EstInicial NUMERIC(10,2),
                           ADD ValInicial NUMERIC(10,2),
                           ADD QtdEnt NUMERIC(10,2),
                           ADD ValEnt NUMERIC(10,2),
                           ADD QtdSai NUMERIC(10,2),
                           ADD ValSai NUMERIC(10,2),
                           ADD EstFinal NUMERIC(10,2),
                           ADD ValFinal NUMERIC(10,2);
UPDATE RESUMOCONTABIL SET PERIODO2=DATAINICIO-1, OFICIAL='S', DATAHORA='27/08/2015 00:00:01', ESTFINAL=ESTOQUE, VALFINAL=VALOR;

update RDB$RELATION_FIELDS set RDB$NULL_FLAG = NULL where (RDB$FIELD_NAME = 'XDESCRICAO') and (RDB$RELATION_NAME = 'SUSPROCEDUNIF');
update RDB$RELATION_FIELDS set RDB$NULL_FLAG = NULL where (RDB$FIELD_NAME = 'XDESCRICAO') and (RDB$RELATION_NAME = 'CBO');
update RDB$RELATION_FIELDS set RDB$NULL_FLAG = NULL where (RDB$FIELD_NAME = 'XDESCRICAO') and (RDB$RELATION_NAME = 'CID');
commit;


SET TERM ^ ;
CREATE OR ALTER trigger trexcsaiestoqueitem for itenssaidas
active after delete position 0
as
declare variable UnidDestino integer;
declare variable Lote varchar(20);
declare variable TipoSaida varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable QtdAntLote numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data  from SAIDAS where Lancamento=old.Lancamento into :UnidDestino, :TipoSaida, xUsuario, xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
        into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
     if (:QtdAnt is null) then
     begin
        insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
     end
     else begin
        update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
     end
    
     /* Estornar Baixa do Lote */
     if ((old.lote <> '') and (old.lote is not null)) then
     begin
         select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
            into :QtdAntLote;   /* s p/ ver se ja ha reg na tab Estoque ou no */
         if (:QtdAntLote is null) then
         begin
            insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade );
         end
         else begin
            update Estoqueslotes set Estoque=Estoque + old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
         end
     end
    
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
        /* Nao estornei Medic. Controlada, podera dar problema */
     end

     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);
   end
end
^
SET TERM ; ^

SET TERM ^ ;
CREATE OR ALTER trigger trexcentestoqueitem for itensentradas
active after delete position 0
as
declare variable QtdAnt numeric(18,4);
declare variable QtdAntLote numeric(18,4);
declare variable UnidOrigem integer;
declare variable xTipo varchar(10);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade*(-1) );
   end
   else begin
      update Estoques set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   -- baixar do lote
   if ((old.lote <> '') and (old.lote is not null)) then
   begin
       select Estoque from Estoqueslotes where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and lote=old.lote
          into :QtdAntLote;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAntLote is null) then
       begin
          insert into Estoqueslotes (CodUnidade, CodProduto, Lote, Estoque) values (old.CodUnidade, old.CodProduto, old.lote, old.Quantidade*(-1) );
       end
       else begin
          update Estoqueslotes set Estoque=Estoque-old.Quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto and Lote=old.lote;
       end
   end

   select CodUnidadeOrigem, Data, Tipo from ENTRADAS where Lancamento=old.Lancamento into :UnidOrigem, :xData, :xTipo;
   if (:UnidOrigem is null) then
   begin /* a partir daqui calcular o custo, caso no seja transf interna */
      update produtos set QtdTotal=QtdTotal-old.Quantidade where Codigo=old.CodProduto;  /* V.Total  calc automatico */
   end
   select current_timestamp from rdb$database into :xDataHora;
   INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
     VALUES('ItensEntradas',:xTipo,'D',old.Lancamento,old.CodProduto,old.CodUnidade,:QtdAnt,old.quantidade,:xData,:UnidOrigem,'',:xDataHora);
end
^
SET TERM ; ^


