ALTER TABLE PESSOAS ADD RELIGIAO VARCHAR(20);
ALTER TABLE PESSOAS ADD SEGMENTO INTEGER;
ALTER TABLE FAMILIAS ADD VALALUGUEL dinheiro;

UPDATE TABDIV SET VERSAOBANCO='1.96';
update pessoas set segmento=0;
commit;

ALTER TABLE ESTABELECIMENTOS ADD CNAEPRINCIPAL VARCHAR(10);

ALTER TABLE FAA ADD VIGMULTA DINHEIRO, ADD PENDENTE CHAR(1), ADD PAGO CHAR(1), ADD RENEGOCIADO CHAR(1);

CREATE TABLE fontesdeagua (
    SIGLA               VARCHAR(5) NOT NULL,
    NOME                VARCHAR(80) NOT NULL,
    OBS                 blob sub_type text segment size 80
);
ALTER TABLE fontesdeagua ADD CONSTRAINT PK_fontesdeagua PRIMARY KEY (SIGLA);

CREATE TABLE PARTICIPANTESfontes (
    SIGLAfonte    VARCHAR(5) NOT NULL,
    CODPESSOA     INTEGER NOT NULL
);
ALTER TABLE PARTICIPANTESfontes ADD CONSTRAINT PK_PARTICIPANTESFontes PRIMARY KEY (SIGLAfonte, CODPESSOA);
ALTER TABLE PARTICIPANTESfontes ADD CONSTRAINT FK_PARTfontes_CODPESSOA FOREIGN KEY (CODPESSOA) REFERENCES PESSOAS (CODIGO) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE PARTICIPANTESfontes ADD CONSTRAINT FK_PARTfontes_SIGLAGRUPO FOREIGN KEY (SIGLAfonte) REFERENCES fontesdeagua (SIGLA) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE Mananciais (
    SIGLA               VARCHAR(5) NOT NULL,
    NOME                VARCHAR(80) NOT NULL,
    OBS                 blob sub_type text segment size 80
);
ALTER TABLE mananciais ADD CONSTRAINT PK_mananciais PRIMARY KEY (SIGLA);

CREATE TABLE analisesagua (
    codigo              integer not null,
    analise                VARCHAR(40),
    data timestamp,
    laboratorio varchar(40),
    responsavel varchar(40),
    turbidez varchar(40),
    mercurio varchar(40),
    fluoreto varchar(40),
    coliftotal varchar(40),
    colifterminal varchar(40),
    OBS                 blob sub_type text segment size 80
);
ALTER TABLE analisesagua ADD CONSTRAINT PK_analisesagua PRIMARY KEY (codigo);

create generator GCodAnalisesAgua;
set generator GCodAnalisesAgua to 0;

CREATE OR ALTER TRIGGER TRCODAnalisesAgua FOR AnalisesAgua
ACTIVE BEFORE INSERT POSITION 0
as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodAnalisesAgua,1);
  while (exists (select B.codigo from AnalisesAgua B
                 where B.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodAnalisesAgua,1);
  end
end;

create table AgendaAnalisesAgua(
codigo integer not null,
datasolicitacao timestamp,
dataagendada timestamp,
fonte varchar(5),
responsavel varchar(50),
obs blob sub_type text segment size 80,
primary key (codigo));
alter table AgendaAnalisesAgua add constraint fkAgendaAnalisesAgua_Fon
foreign key (fonte) references fontesdeagua (sigla) on delete no action on update cascade;

create generator GCodAgendaAnalisesAgua;
set generator GCodAgendaAnalisesAgua to 0;

CREATE OR ALTER TRIGGER TRCODAgendaAnalisesAgua FOR AgendaAnalisesAgua
ACTIVE BEFORE INSERT POSITION 0
as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodAgendaAnalisesAgua,1);
  while (exists (select B.codigo from AgendaAnalisesAgua B
                 where B.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodAgendaAnalisesAgua,1);
  end
end;




