create table demandas(
    Id_Demanda integer not null,
    Id_Cidadao integer,
    Id_TipoDemanda integer,
    DataDemanda date,
    Descricao varchar(1000),
    Custo numeric(10,2),
    ValorCobrado numeric(10,2),
    DataFinalizacao date,
    Departamento varchar(20));

SET TERM ^ ;

CREATE OR ALTER procedure SP_DEMANDAS_ANDROID
as
declare variable ID integer;
declare variable CODPESSOA integer;
declare variable DATA date;
declare variable DATAEXEC date;
declare variable QUANT numeric(15,2);
declare variable VALOR numeric(15,2);
declare variable VALORSUBSIDIO numeric(15,2);
declare variable DESCRICAO varchar(1000);
declare variable UN varchar(20);
declare variable DEPTO varchar(20);
begin
  /* Procedure Text */
  select coalesce(max(id_demanda),0)+1 from demandas
     into :id;

  for select s.codpessoa, s.data, i.quantidade, i.valortotal, p.descricao, p.un
    from itenssaidas i
    inner join saidas s on i.lancamento=s.lancamento
    left outer join produtos p on i.codproduto=p.codigo
    order by i.lancamento
    into :codpessoa, :data, :quant, :valor, :descricao, :un
  do begin
     id = :id + 1;
     descricao = CAST(:quant AS INTEGER) || ' ' || :un || ' de ' || :descricao;
     insert into demandas (id_demanda, Id_Cidadao, DataDemanda, Descricao, Custo, ValorCobrado, DataFinalizacao, Departamento)
            values(:id, :codpessoa, :data, :descricao, :valor, 0, :data, 'FARMCIA');
  end

  for select s.codpessoa, s.data, s.dataexecucao, s.historico, s.valor, s.subsidio, s.modulo
    from solicitacoes s
    order by s.requerimento
    into :codpessoa, :data, :dataexec, :descricao, :valor, :valorsubsidio, :depto
  do begin
     id = :id + 1;
  --   descricao = CAST(:quant AS INTEGER) || ' ' || :un || ' de ' || :descricao;
     insert into demandas (id_demanda, Id_Cidadao, DataDemanda, Descricao, Custo, ValorCobrado, DataFinalizacao, Departamento)
            values(:id, :codpessoa, :data, :descricao, :valor, :valorsubsidio, :dataexec, :depto);
  end

  for select l.codpessoa, l.data, li.quantidade, li.valor, i.descricao
    from lanitauxilios li
    inner join lanauxilios l on li.lancamento=l.lancamento
    left outer join itensauxilios i on li.codtipoauxilio=i.codtipoauxilio and li.coditem=i.coditem
    order by li.lancamento
    into :codpessoa, :data, :quant, :valor, :descricao
  do begin
     id = :id + 1;
     insert into demandas (id_demanda, Id_Cidadao, DataDemanda, Descricao, Custo, ValorCobrado, DataFinalizacao, Departamento)
            values(:id, :codpessoa, :data, :descricao, :valor, 0, :data, 'AUXLIOS');
  end

  for select tp.codpessoa, t.data, trim(t.motivo) || ' - ' || trim(tp.motivo)
    from transpessoas tp
    inner join transportes t on tp.lancamento=t.lancamento
    order by tp.lancamento
    into :codpessoa, :data, :descricao
  do begin
     id = :id + 1;
     insert into demandas (id_demanda, Id_Cidadao, DataDemanda, Descricao, Custo, ValorCobrado, DataFinalizacao, Departamento)
            values(:id, :codpessoa, :data, :descricao, 0, 0, :data, 'TRANSPORTE');
  end


--  suspend;
end
^

SET TERM ; ^


